note
	description: "[
		Class incapsulating the nationalities in VITP and responsible
		for the creation of those attributes. 
		These attributes are used as pseudo-constants.  I elected
		not to use once features becasue the order of calls to 
		once featues may not work for persistence.
		]"
	author: "Jimmy J. Johnson"
	date: "$Date$"
	revision: "$Revision$"

class
	NATIONALITY_CONSTANTS

feature -- Access

	nobody: INTEGER_32 = -2
			-- Not sure if this is useful ?

	either: INTEGER_32 = -1
			-- Used in SOP when either player can make a choice

	japanese: INTEGER_32 = 0
			-- Default, because Japanese always moves first

	us: INTEGER_32 = 1
			-- United States

	british: INTEGER_32 = 2
			-- An allied nationality

	dutch: INTEGER_32 = 3
			-- An allied nationality

	australian: INTEGER_32 = 4
			-- An allied nationality

	allied: INTEGER_32 = 5
			-- Catch-all for `us', `british', `dutch', and `australian'

feature -- Query

	is_allied_nationality (a_nationality: like japanese): BOOLEAN
			-- Is `a_nationality' one of the allies?
		do
			Result := a_nationality >= us
		end

end
