note
	description: "[
		Class incapsulating each {LOCATION} in VITP that is not a
		{SEA_AREA} or {PORT} but needed by the game and responsible for
		the creation of those attributes.  Decomposed into this class
		so that {VITP_GAME} would not be such a large file.
		
		These attributes are used as pseudo-constants.  I elected
		not to use once features becasue the order of calls to 
		once featues may not work for persistence.
		]"
	author: "Jimmy J. Johnson"
	date: "$Date$"
	revision: "$Revision$"

deferred class
	OTHER_ATTRIBUTES

inherit

	ANY
		redefine
			default_create
		end

feature {NONE} -- Initialization

	default_create
			-- Initialize all port attributes
		do
--			create still_in_box.make (game)
--			create Allied_starting_chart.make (game)
--			create Allied_oa_chart.make (game)
--			create Japanese_oa_chart.make (game)
--			create Uncertain.make (game)
--			create Uncommitted_japanese_location.make (game)
--			create Uncommitted_allied_location.make (game)
--			create Asia.make (game)
--			create Kamchatka.make (game)
--			create Aleutians.make (game)
--			create Solomans.make (game)
--			create Marshalls_north.make (game)
--			create Marshalls_south.make (game)
		end

feature -- Access

	game: VITP_GAME
			-- The game in which this item belongs.
		deferred
		end

feature -- Access

	still_in_box: STILL_IN_BOX  attribute create Result.make (game) end
	allied_starting_forces_chart: ALLIED_STARTING_FORCES_CHART  attribute create Result.make (game) end
	allied_oa_chart: ALLIED_ORDER_OF_APPEARANCE_CHART  attribute create Result.make (game) end
	japanese_oa_chart: JAPANESE_ORDER_OF_APPEARANCE_CHART  attribute create Result.make (game) end
	uncertain: LOCATION_UNCERTAIN  attribute create Result.make (game) end
	uncommitted_japanese_location: JAPANESE_UNCOMMITTED_LOCATION  attribute create Result.make (game) end
	uncommitted_allied_location: ALLIED_UNCOMMITTED_LOCATION  attribute create Result.make (game) end
--	Asia: ASIA  attribute create Result.make (game) end
--	Kamchatka: KAMCHATKA  attribute create Result.make (game) end
--	Aleutians: ALEUTIANS  attribute create Result.make (game) end
--	Solomans: SOLOMANS  attribute create Result.make (game) end
--	Marshalls_north: MARSHALLS_NORTH  attribute create Result.make (game) end
--	Marshalls_south: MARSHALLS_SOUTH  attribute create Result.make (game) end

end
