note
	description: "[
		Describes this chart as a location, so units can be moved to it.
		]"
	author: "Jimmy J. Johnson"

class
	ALLIED_STARTING_FORCES_CHART

inherit

	LOCATION
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Set up Current
		do
			Precursor (a_game)
			nationality := {NATIONALITY_CONSTANTS}.us
			defining_position := [0, 0]
		end

feature -- Access

	name: STRING_8 = "Allied Starting Forces Chart"
			-- This name of this item.

	defining_position: TUPLE [x, y: INTEGER_32]
			-- The x- and y-coordinate (in millimeters) of Current's
			-- position relative to the top-left corner of the board.

feature {NONE} -- Inapplicable

	adjacent_sea_areas: LINEAR [SEA_AREA]
			-- A list of all sea areas that touch this location
		do
				-- satisfy void safety
			Result := (create {LINKED_SET [SEA_AREA]}.make).linear_representation
			check
				do_not_call: False
					-- Because not applicable
			end
		end

end
