note
	description: "[
		{PORT} to be used as place holder when a unit is not in the game.
		]"
	author: "Jimmy J. Johnson"

class
	DEFAULT_PORT

inherit

	PORT
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Set up Current
		do
			Precursor (a_game)
			nationality := {NATIONALITY_CONSTANTS}.nobody
			defining_position := [0, 0]
		end

feature -- Access

	name: STRING_8 = "Default Port"
			-- This name of this item.

	defining_position: TUPLE [x, y: INTEGER_32]
			-- The x- and y-coordinate (in millimeters) of Current's
			-- position relative to the top-left corner of the board.

feature -- Access

	adjacent_sea_areas: LINEAR [SEA_AREA]
			-- A list of all sea areas that touch this location
		local
			s: LINKED_SET [SEA_AREA]
		once
			create s.make
			Result := s.linear_representation
		end

end
