note
	description: "[
		Describes this particular port
		]"
	author: "Jimmy J. Johnson"

class
	DUTCH_HARBOR

inherit

	GREEN_PORT
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Set up Current
		do
			Precursor (a_game)
			nationality := {NATIONALITY_CONSTANTS}.us
			defining_position := [670, 70]
		end

feature -- Access

	name: STRING_8 = "Dutch Harbor"
			-- This name of this item.

	defining_position: TUPLE [x, y: INTEGER_32]
			-- The x- and y-coordinate (in millimeters) of Current's
			-- position relative to the top-left corner of the board.

	adjacent_sea_areas: LINEAR [SEA_AREA]
			-- A list of all sea areas that touch this location
		local
			s: LINKED_SET [SEA_AREA]
		once
			create s.make
			s.extend (game.aleutian_islands)
			Result := s.linear_representation
		end

end
