note
	description: "[
		Describes this particular port
		]"
	author: "Jimmy J. Johnson"

class
	YOKOSUKA_NAVY_YARD

inherit

	REPAIR_PORT
		undefine
			distance_to
		redefine
			make
		end

	RED_PORT
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Set up Current
		do
			Precursor {REPAIR_PORT} (a_game)
			Precursor {RED_PORT} (a_game)
			nationality := {NATIONALITY_CONSTANTS}.Japanese
			defining_position := [300, 130]
		end

feature -- Access

	name: STRING_8 = "Yokosuka Navy Yard"
			-- This name of this item.

	defining_position: TUPLE [x, y: INTEGER_32]
			-- The x- and y-coordinate (in millimeters) of Current's
			-- position relative to the top-left corner of the board.

	repair_points: INTEGER
			-- Number of repair points for the player
		do
			if is_japanese then
				Result := 6
			end
		end

	adjacent_sea_areas: LINEAR [SEA_AREA]
			-- A list of all sea areas that touch this location
		local
			s: LINKED_SET [SEA_AREA]
		once
			create s.make
			s.extend (game.japanese_islands)
			Result := s.linear_representation
		end

end
