note
	description: "[
		Represents a sea area for the VITP game.
		]"
	author: "Jimmy J. Johnson"

deferred class
	SEA_AREA

inherit

	LOCATION

feature -- Access

	POC: INTEGER
			-- The number of points awarded at end of turn to player
			-- that controls this area.
		do
			if is_japanese then
				Result := japanese_poc
			else
				Result := allied_poc
			end
		end

	japanese_poc: INTEGER
			-- The number of points gained by the Japanese player if he
			-- controls this area at the end of a turn
		deferred
		end

	allied_poc: INTEGER
			-- The number of points gained by the Allied player if he
			-- controls this area at the end of a turn
		deferred
		end

	adjoining_ports: LINEAR [PORT]
			-- All the ports that adjoin this sea area
		deferred
		end

feature -- Status report

	is_contested: BOOLEAN
			-- Does Current contain Japanese and Allied units?
		do
			Result := japanese_units.count > 0 and allied_units.count > 0
		end

end
