note
	description: "[
		Represents the corresponding air unit in game.
		]"
	author: "Jimmy J. Johnson"

class
	FIFTH_AF

inherit

	ALLIED_AIR_UNIT
		redefine
			make,
			arrival_location,
			arrival_port
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Initialize attributes of Current
		do
			arrival_location := a_game.indonesia
			arrival_port := a_game.singapore
			PRECURSOR {ALLIED_AIR_UNIT} (a_game)
			nationality := game.us
			home_port := arrival_port
		end

feature -- Access

	name: STRING_8 = "5th A.F."
			-- The name of this unit.

	arrival_turn: INTEGER = 	1
			-- Turn on which this unit enters the game.

	airstrike_factor: INTEGER = 2
			-- The initial number of dice the unit rolls when attacking
			-- during a "day action".

	gunnery_factor: INTEGER = 0
			-- The initial value for the number of dice the unit rolls
			-- when attacking during a "night action".

	defense_factor: INTEGER = 4
			-- The number of damage points a unit can have without sinking.
			-- (This is doubled when the unit is in port.)

	speed_factor: INTEGER = 9
			-- The initial "speed" of the unit.

	attack_bonus: BOOLEAN = False
			-- The initial setting saying if a unit can add one to each die roll.
			-- If the unit is a carrier this applies only to the airstrike factor.

	arrival_location: LOCATION
			-- The port or sea area at which this unit may enter the game

	arrival_port: like home_port
			-- The port to which Current is assigned when it comes into
			-- the game during a reinforcement action.

end
