note
	description: "[
		Dummy {SHIP} used to draw a widget for the removal of
		the Valiant on turn 5 on the Allied Order of Appearance
		Chart.
		]"
	author:    "Jimmy J. Johnson"
	date:      "11/11/23"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

class
	VALIANT_REMOVAL

inherit

	BRITISH_SHIP
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Initialize attributes of Current
		do
			PRECURSOR {BRITISH_SHIP} (a_game)
			location := game.still_in_box
		end

feature -- Access

	name: STRING_8 = "Valiant"
			-- The name of this unit.

	arrival_turn: INTEGER = 2
			-- Turn on which this unit enters the game.

	airstrike_factor: INTEGER = 0
			-- The initial number of dice the unit rolls when attacking
			-- during a "day action".

	gunnery_factor: INTEGER = 4
			-- The initial value for the number of dice the unit rolls
			-- when attacking during a "night action".

	defense_factor: INTEGER = 4
			-- The number of damage points a unit can have without sinking.
			-- (This is doubled when the unit is in port.)

	speed_factor: INTEGER = 4
			-- The initial "speed" of the unit.

	attack_bonus: BOOLEAN = False
			-- The initial setting saying if a unit can add one to each die roll.
			-- If the unit is a carrier this applies only to the airstrike factor.

invariant

	never_used: location = game.still_in_box

end
