note
	description: "[
		An {ATTACK_UNIT} that belongs to the Allies.
		]"
	author:    "Jimmy J. Johnson"
	date:      "5/12/24"
	copyright: "Copyright (c) 2024, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

deferred class
	ALLIED_UNIT

inherit

	ATTACK_UNIT
		redefine
			make
		end

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Initialize attributes of Current
		do
			PRECURSOR {ATTACK_UNIT} (a_game)
			nationality := game.us
		end

feature -- Access

	reinforceable_ports: LINKED_SET [PORT]
			-- A list containing each {PORT} to which Current
			-- can be moved during the reinforcement step.
		local
			sop: VITP_SEQUENCE_OF_PLAY
			mp: VITP_TABLE [RED_PORT]
		do
--			io.put_string ("ALLIED_UNIT.reinforceable_ports: %N")
			create Result.make
			sop := game.sequence_of_play
			mp := game.major_ports
			if sop.is_reinforcement_step then
				from mp.start
				until mp.after
				loop
					if mp.item_for_iteration.is_allied then
						Result.extend (mp.item_for_iteration)
					end
					mp.forth
				end
			end
		end

invariant

	is_allied: nationality = game.us or
				nationality = game.british or
				nationality = game.australian or
				nationality = game.dutch

end
