note
	description: "[
		Any {ALLIED_UNIT} belonging to the Dutch
		]"
	author:    "Jimmy J. Johnson"
	date:      "5/12/24"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

deferred class
	DUTCH_SHIP

inherit

	ALLIED_SHIP
		redefine
			make
		end

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Initialize attributes of Current
		do
			PRECURSOR {ALLIED_SHIP} (a_game)
			nationality := game.dutch
		end

feature -- Access

	reinforceable_ports: LINKED_SET [PORT]
			-- A list containing each {PORT} to which Current
			-- can be moved during the reinforcement step.
		do
			create Result.make
			if game.sequence_of_play.is_allied_player then
				if game.singapore.is_allied then
					Result.extend (game.singapore)
				end
			end
		end

invariant

	is_allied: nationality = {NATIONALITY_CONSTANTS}.dutch

end

