note
	description: "[
		An {SHIP} that belongs to the Japanese.
		]"
	author:    "Jimmy J. Johnson"
	date:      "5/12/24"
	copyright: "Copyright (c) 2024, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

deferred class
	JAPANESE_SHIP

inherit

	JAPANESE_UNIT
		undefine
			reinforceable_ports,
			internal_is_movable,
			is_bottomed
		redefine
			make
		end

	SHIP
		undefine
--			reinforceable_ports
		redefine
			make
		end

feature {NONE} -- Initialization

	make (a_game: like game)
			-- Initialize attributes of Current
		do
			PRECURSOR {SHIP} (a_game)
			nationality := game.japanese
		end

feature -- Access

	reinforceable_ports: LINKED_SET [PORT]
			-- A list containing each {PORT} to which Current
			-- can be moved during the reinforcement step.
		do
			create Result.make
			if game.sequence_of_play.is_japanese_player then
				if game.yokosuka_navy_yard.is_japanese then
					Result.extend (game.yokosuka_navy_yard)
				end
			end
		end

end
