note
	description: "[
		An {SHIP} whose `nationality' is United States
		]"
	author:    "Jimmy J. Johnson"
	date:      "5/12/24"
	copyright: "Copyright (c) 2021, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

deferred class
	US_SHIP

inherit

	ALLIED_SHIP

feature -- Access

	reinforceable_ports: LINKED_SET [PORT]
			-- A list containing each {PORT} to which Current
			-- can be moved during the reinforcement step.
		do
			create Result.make
			if game.sequence_of_play.is_allied_player then
				if game.hawaiian_islands.is_allied then
					Result.extend (game.pearl_harbor)
				elseif game.samoa.is_allied then
					Result.extend (game.samoa)
				end
			end
		end

invariant

	is_unitied_states: nationality = {NATIONALITY_CONSTANTS}.us

end
