note
	description: "[
		Definitions of all the text-only widgets (such as the text in
		each of the sea areas) for VITP.
		]"
	author: "Jimmy J. Johnson"
	date: "$Date: 2013-04-25 18:08:32 -0400 (Thu, 25 Apr 2013) $"
	revision: "$Revision: 33 $"

class
	TEXT_CONSTANTS

inherit

	BOARD_CONSTANTS

feature -- Access

	Sea_area_texts: VITP_TABLE [SEA_AREA_TEXT]
			-- All the text in the game indexed by the name of the
			-- {VITP_ITEM} to which it is associated
		once
			create Result.make (13)
			Result.extend (Aleutian_islands_text, Aleutian_islands_text.name)
			Result.extend (Bay_of_bengal_text, Bay_of_bengal_text.name)
			Result.extend (Central_pacific_ocean_text, Central_pacific_ocean_text.name)
			Result.extend (Coral_sea_text, Coral_sea_text.name)
			Result.extend (Hawaiian_islands_text, Hawaiian_islands_text.name)
			Result.extend (Indian_ocean_text, Indian_ocean_text.name)
			Result.extend (Indonesia_text, Indonesia_text.name)
			Result.extend (Japanese_islands_text, Japanese_islands_text.name)
			Result.extend (Marianas_islands_text, Marianas_islands_text.name)
			Result.extend (North_pacific_ocean_text, North_pacific_ocean_text.name)
			Result.extend (South_pacific_ocean_text, South_pacific_ocean_text.name)
			Result.extend (US_mandate_text, US_mandate_text.name)
		end

feature -- Sea area text

	Aleutian_islands_text: SEA_AREA_TEXT once create Result.make (Aleutian_islands) end
	Bay_of_bengal_text: SEA_AREA_TEXT once create Result.make (Bay_of_bengal) end
	Central_pacific_ocean_text: SEA_AREA_TEXT once create Result.make (Central_pacific_ocean) end
	Coral_sea_text: SEA_AREA_TEXT once create Result.make (Coral_sea) end
	Hawaiian_islands_text: SEA_AREA_TEXT once create Result.make (Hawaiian_islands) end
	Indian_ocean_text: SEA_AREA_TEXT once create Result.make (Indian_ocean) end
	Indonesia_text: SEA_AREA_TEXT once create Result.make (Indonesia) end
	Japanese_islands_text: SEA_AREA_TEXT once create Result.make (Japanese_islands) end
	Marianas_islands_text: SEA_AREA_TEXT once create Result.make (Marianas_islands) end
	Marshall_islands_text: SEA_AREA_TEXT once create Result.make (Marshall_islands) end
	North_pacific_ocean_text: SEA_AREA_TEXT once create Result.make (North_pacific_ocean) end
	South_pacific_ocean_text: SEA_AREA_TEXT once create Result.make (South_pacific_ocean) end
	US_mandate_text: SEA_AREA_TEXT once create Result.make (US_mandate) end

end
