note
	description: "[
		A step in the {SEQUENCE_OF_PLAY} in {VITP_GAME}
		in which base and sea-area conrol is figured, score is
		tallied, any remaining amphibous units land, and all
		units return to base.
		]"
	author:    "Jimmy J. Johnson"
	date:      "11/11/23"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

class
	END_OF_TURN_STEP

inherit

	GAME_STEP
		redefine
			make,
			is_completed
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: VITP_GAME)
			-- Create an instance
		do
			create steps.make (0)
			game := a_game
				-- add end-of-turn steps
		end

feature -- Access

	name: STRING
			-- Displayable name of Current step
		do
			Result := "End of Turn"
		end

feature -- Status report

	is_completed: BOOLEAN
			-- Are all actions to be accomplished in this
			-- state finished, allowing `advance' to the
			-- next state?
		do
			print (generating_type.out + "  fix m!! %N")
			Result := True
		end

end
