note
	description: "[
		The Sequence of Play step in VITP in which the players
		move attack units to sea.
		]"
	author:    "Jimmy J. Johnson"
	date:      "11/11/23"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

class
	MOVEMENT_STEP

inherit

	SEQUENTIAL_GAME_STEP
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: VITP_GAME)
			-- Create an instance
		do
			Precursor {SEQUENTIAL_GAME_STEP} (a_game)
			extend (create {MOVE_PATROLLERS_STEP}.make (a_game))
			extend (create {PLACE_LAND_BASED_AIR_STEP}.make (a_game))
			extend (create {MOVE_AMPHIBIOUS_STEP}.make (a_game))
			extend (create {MOVE_RAIDERS_STEP}.make (a_game))
			extend (create {PLACE_SUBMARINE_STEP}.make (a_game))
		end

feature -- Access

	name: STRING
			-- Displayable name of Current step
		do
			Result := "Moving Units to Sea"
		end


end
