note
	description: "[
		A step in the {SEQUENCE_OF_PLAY} in {VITP_GAME}
		in which the active player is placing his arriving units.
		]"
	author:    "Jimmy J. Johnson"
	date:      "11/11/23"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

class
	PLACE_SUBMARINE_STEP

inherit

	GAME_STEP
		redefine
			make,
			is_completed
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: VITP_GAME)
			-- Create an instance
		do
			create steps.make (0)
			game := a_game
				-- Just represents a single action at a time
			is_sequential := false
			is_alternating := true
		end

feature -- Access

	name: STRING
			-- Displayable name of Current step
		do
			Result := "Place Submarine"
		end

feature -- Status report

	is_completed: BOOLEAN
			-- Are all actions to be accomplished in this
			-- state finished, allowing `advance' to the
			-- next state?
		do
			print (generating_type.out + "  fix m!! %N")
			Result := True
		end

end
