note
	description: "[
		Represents the first turn in VITP.  This turn is
		different from the subsequent turns.
		]"
	author:    "Jimmy J. Johnson"
	date:      "11/11/23"
	copyright: "Copyright (c) 2023, Jimmy J. Johnson"
	license:   "Eiffel Forum v2 (http://www.eiffel.com/licensing/forum.txt)"

class
	TURN_1

inherit

	VITP_TURN
		redefine
			make
		end

create
	make

feature {NONE} -- Initialization

	make (a_game: VITP_GAME)
			-- Create an instance
		do
			Precursor {VITP_TURN} (a_game)
			turn := 1
			extend (create {REINFORCEMENT_STEP}.make (a_game))
		end

feature -- Access

	name: STRING
			-- The displayable name of this step.
		do
			Result := "Turn 1"
		end

end
