note
	description: "[
		A desendent of {VITP_ITEM} that is used when a widget really does
		not need to be associated with a game piece.
		In other words, any {VITP_ITEM_WIDGET} created to associate with a VITP_NONE
		will hash to the same list.  This should be okay as the values from which
		these widgets are built should never change.  An example is the text in each
		of the sea areas.
		]"
	author: "Jimmy J. Johnson"

class
	VITP_NONE

inherit

	VITP_ITEM
		rename
			make as vitp_item_make
		redefine
			default_create
		end

create

feature {NONE} -- Initialization

	default_create
			-- Create an instance whose name is "None"
		do
			vitp_item_make ("None")
		end

end
