note
	description: "[
		A {SEQUENTIAL_GAME_STEP} representing one of the 
		eight (or nine) turns in the {SEQUENCE_OF_PLAY} for
		in the {VITP_GAME}.
		]"
	author: "Jimmy J. Johnson"

deferred class
	VITP_TURN

inherit

	GAME_STEP
		redefine
			make
		end

feature {NONE} -- Initialization

	make (a_game: VITP_GAME)
			-- Create an instance
		do
			Precursor {GAME_STEP} (a_game)
			extend (create {REINFORCEMENT_STEP}.make (a_game))
			extend (create {MOVEMENT_STEP}.make (a_game))
			extend (create {COMBAT_STEP}.make (a_game))
			extend (create {END_OF_TURN_STEP}.make (a_game))
		end

feature -- Access

	turn: INTEGER
			-- The number of this turn

feature -- Status report

feature -- Basic operations

feature {NONE} -- Implementation


end
