note
	description: "Root class for testing the VITP game."
	author: "Jimmy J. Johnson"

class
	VITP_APPLICATION

inherit

	JJ_APPLICATION
		redefine
			create_interface_objects,
			target,
			window_anchor
		end

create
	make_and_launch

feature {NONE} -- Initialization

	create_interface_objects
			-- Set up the attribute
		do
			print ("VITP_APPLICATION.create_interface_objects %N")
			Precursor
			target.sequence_of_play.start
			print ("%T end  VITP_APPLICATION.create_interface_objects %N")
		end

feature {NONE} -- Implementation (anchors)

	target: VITP_GAME
			-- The object this application will handle

	target_anchor: VITP_GAME
			-- Anchor for features using nodes.
			-- Not to be called; just used to anchor types.
			-- Declared as a feature to avoid adding an attribute.
		require else
			not_callable: False
		do
			check
				do_not_call: False then
					-- Because give no info; simply used as anchor.
			end
		end

	window_anchor: VITP_MAIN_WINDOW
			-- Anchor for the type of `first_window'
			-- Not to be called; just used to anchor types.
			-- Declared as a feature to avoid adding an attribute.
		require else
			not_callable: False
		do
			check
				do_not_call: False then
					-- Because give no info; simply used as anchor.
			end
		end

end
