note
	description: "[
			View to display the sequence of the vitp.play.
			]"
	author: "Jimmy J. Johnson"

class
	GAME_SEQUENCE_VIEW

inherit

	VITP_CELL_VIEW
		redefine
			create_interface_objects,
			initialize,
			draw
--			target_imp
		end

	GAME_CONSTANTS
		export
			{NONE}
				all
		undefine
			default_create,
			copy
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Create objects to be used by `Current' in `initialize'
			-- Implemented by descendants to create attached objects
			-- in order to adhere to void-safety due to the implementation bridge pattern.
		do
			Precursor {VITP_CELL_VIEW}
			create turn_text
			create phase_text
			create step_text
			create player_text
		end

	initialize
			-- Create the text widgets making up current
		local
			rp: EV_COORDINATE
		do
			Precursor {VITP_CELL_VIEW}
			world.extend (turn_text)
			world.extend (phase_text)
			world.extend (step_text)
			world.extend (player_text)
			create rp.make (10, 10)
			turn_text.set_point (rp)
			create rp.make (10, 30)
			phase_text.set_point (rp)
			create rp.make (10, 50)
			step_text.set_point (rp)
			create rp.make (10, 70)
			player_text.set_point (rp)
		end

feature -- Basic operations

	draw
			-- Redraw the view
		do
			io.put_string (generating_type.name + ".draw:  fix me %N")
--			turn_text.set_text ("Turn: %T" + vitp.turn.out)
--			phase_text.set_text ("Phase: %T" + vitp.phase_text)
--			step_text.set_text ("Set: %T" + vitp.stage_text)
--			player_text.set_text ("Player: %T" + vitp.player_text)
			Precursor {VITP_CELL_VIEW}
		end

feature {NONE} -- Implementation

--	target_imp: detachable VITP_SEQUENCE_OF_PLAY
--			-- The target of this view

	turn_text: EV_MODEL_TEXT

	phase_text: EV_MODEL_TEXT

	step_text: EV_MODEL_TEXT

	player_text: EV_MODEL_TEXT


end
