note
	description: "[
		Widget representing the brown land of Asia
		]"
	author: "Jimmy J. Johnson"

class
	ASIA_WIDGET

inherit

	LOCATION_WIDGET
		redefine
			build_widgets,
			build_land
		end

create
	default_create

feature {NONE} -- Initialization

	build_widgets
			-- Add widgets to Current
		do
			Precursor {LOCATION_WIDGET}
				-- Remove `text_widget'
			prune_all (text_widget)
				-- Put polygons representing land into the `land'
				-- Make adjustments
			rotate_widget (land, 12.0)
			scale_widget (land, 0.27)
			land.set_point_position (0,0)
			translate_widget (Current, -5, -11)
		end

	build_land
			-- Add `land' to Current and create the polygons.
		do
			Precursor {LOCATION_WIDGET}
				-- Put polygons representing land into the `land'
			land.extend (hainan)
			land.extend (mainland)
			land.extend (taiwan)
		end

feature {NONE} -- Implementation

	mainland: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1442.25, -307))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1441.2499999999993, -296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1443.2499999999993, -270))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1443.2499999999993, -257))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1448.25, -255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1441.2499999999993, -249))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1444.25, -236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1439.2499999999993, -228.00000000000003))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1440.25, -215))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1436.2499999999993, -211.00000000000003))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1437.2499999999993, -202))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1427.2499999999993, -191.00000000000006))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1419.2499999999993, -183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1415.25, -177.00000000000006))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1412.3611111111104, -169.11111111111117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1411.25, -162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1402.25, -157.00000000000006))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1398.2499999999993, -147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1393.25, -136.00000000000006))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1388.3611111111104, -126.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1386.25, -123))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1380.2499999999993, -110))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1371.2499999999993, -104))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1364.2499999999993, -93.000000000000085))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1358.2499999999993, -90))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1349.25, -77))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1346.5833333333328, -74.000000000000085))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1345.6944444444443, -66))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1338.2499999999995, -67.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1334.25, -55.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1327.2499999999995, -42.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1318.25, -34.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1299.2499999999995, -23))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1294.5833333333328, -17.111111111111256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1292.3611111111106, -18.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1290.1388888888882, -16.222222222222342))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1286.1388888888882, -16.222222222222342))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1282.1388888888882, -14.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1274.2499999999995, -13.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1271.9166666666661, -16.666666666666799))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1269.25, -13.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1266.1388888888882, -18.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1263.4722222222222, -15.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1259.9166666666661, -19.333333333333456))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.2499999999995, -17.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.2499999999995, -27))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1254.5833333333328, -26.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1251.9166666666661, -26.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.2499999999995, -19.000000000000171))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1243.9166666666661, -18.888888888888999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.0277777777776, -24.222222222222342))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1249.2499999999995, -30))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1243.2499999999995, -29.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1241.6944444444439, -23.777777777777914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1236.805555555555, -18.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1232.25, -10))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1217.25, -11))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1223.2499999999995, -7.0000000000001137))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1221.2499999999995, 2))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1218.5833333333328, -0.22222222222234222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1214.25, 2))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1211.0277777777774, 4.222222222222058))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1207.4722222222222, 8.222222222222058))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1204.805555555555, 8.6666666666665151))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1202.5833333333333, 15.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.2499999999995, 18.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.2499999999995, 27))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1199.9166666666661, 30.444444444444343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.6944444444439, 34.888888888888687))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1199.0277777777776, 42.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1198.1388888888882, 46.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1195.4722222222217, 45.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1185.2499999999995, 50))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1184.2499999999995, 56.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1181.6944444444443, 56.222222222222058))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1177.6944444444443, 59.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1173.25, 59))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1174.25, 64.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1168.3611111111106, 67.333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1163.0277777777774, 68.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1157.2499999999995, 67))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1152.3611111111106, 74.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.2499999999995, 77))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1148.805555555555, 82.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.0277777777774, 87.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1144.805555555555, 87.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.6944444444439, 93.555555555555316))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.2499999999993, 98))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1167.2499999999995, 110.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1173.25, 126.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1179.4722222222222, 136.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1184.805555555555, 136.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1190.1388888888882, 141.11111111111092))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.6944444444443, 146.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.2499999999995, 152.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1191.2499999999995, 156.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1191.2499999999995, 171.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1188.25, 184.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1195.2499999999995, 183.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1193.2499999999995, 198))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1184.2499999999995, 208.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1178.25, 212.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1174.1388888888882, 210.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1172.3611111111106, 208.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1172.3611111111106, 212.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1164.2499999999995, 213.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1162.1388888888882, 216.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1159.4722222222217, 213.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1157.2499999999995, 213.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1161.25, 220.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1156.3611111111106, 220.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1154.5833333333328, 215.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.6944444444439, 216.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1152.805555555555, 217.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1154.1388888888882, 222.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.2499999999995, 222.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1148.3611111111106, 219.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.2499999999995, 218.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.0277777777774, 223.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1139.9166666666661, 229.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.805555555555, 225.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.9166666666665, 221.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1136.805555555555, 222.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1135.0277777777774, 228.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.9166666666665, 228.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1130.5833333333328, 225.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.3611111111106, 229.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.2499999999995, 232.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.3611111111106, 233.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.805555555555, 226.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1121.25, 226.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.805555555555, 230.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1116.805555555555, 231.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1114.2499999999993, 228.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1117.6944444444439, 226.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.4722222222217, 221.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1121.6944444444443, 222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.805555555555, 222.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1125.6944444444439, 217.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1122.2499999999995, 216.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.805555555555, 213.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1122.5833333333333, 211.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.2499999999995, 204.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.9166666666661, 195.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.2499999999995, 191.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.4722222222217, 188.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1126.5833333333328, 189.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.2499999999995, 185.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.3611111111106, 181.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.3611111111106, 168.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.4722222222217, 166.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1115.2499999999995, 163.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.0277777777774, 159.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.805555555555, 161.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1121.6944444444443, 157.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.9166666666661, 158.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1124.3611111111106, 156.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.2499999999995, 156.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1132.805555555555, 161.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.4722222222217, 156.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.4722222222217, 153.11111111111092))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1127.9166666666661, 151.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1132.3611111111106, 148.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1127.0277777777776, 145.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1127.25, 140))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.25, 134))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1116.3611111111109, 136.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1114.5833333333328, 133.11111111111092))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1110.2499999999995, 132.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1108.3611111111106, 127.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.6944444444439, 129.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.6944444444439, 132.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1104.2499999999995, 138.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1100.805555555555, 136.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.6944444444439, 137.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1100.805555555555, 131.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.4722222222222, 132.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1089.6944444444439, 130.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1094.5833333333333, 127.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.9166666666661, 125.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.9166666666661, 125.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1088.2499999999995, 117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.4722222222222, 98))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1099.9166666666661, 91.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1098.5833333333328, 86.444444444444173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1101.6944444444439, 81.555555555555316))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.25, 83.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.2499999999993, 81))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1082.25, 78))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1079.4722222222217, 74.888888888888687))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.9166666666661, 75.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1074.5833333333328, 70.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1072.3611111111106, 76.222222222222001))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1051.2499999999995, 77))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1030.2499999999995, 89))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1024.805555555555, 93.555555555555316))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1018.583333333333, 99.777777777777601))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.0277777777774, 104.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.2499999999997, 103.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1004.2499999999997, 108))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.2499999999995, 99.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.2499999999995, 95.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1014.2499999999997, 87.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1004.2499999999997, 87.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.694444444444, 84.222222222222001))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1005.694444444444, 82.888888888888687))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.2499999999995, 78.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.2499999999997, 72.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.805555555555, 72.222222222222001))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1020.2499999999997, 63.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1026.25, 58))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1027.0277777777774, 53.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.2499999999993, 45.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1002.2499999999997, 42.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1000.2499999999995, 50))
			Result.extend_point (create {EV_COORDINATE}.make_precise (994.13888888888846, 50.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.24999999999955, 60))
			Result.extend_point (create {EV_COORDINATE}.make_precise (988.24999999999932, 64.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (966.25, 72))
			Result.extend_point (create {EV_COORDINATE}.make_precise (960.24999999999966, 83.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (957.25, 94))
			Result.extend_point (create {EV_COORDINATE}.make_precise (947.02777777777737, 94))
			Result.extend_point (create {EV_COORDINATE}.make_precise (939.25, 98))
			Result.extend_point (create {EV_COORDINATE}.make_precise (933.24999999999966, 92.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (924.24999999999966, 99))
			Result.extend_point (create {EV_COORDINATE}.make_precise (922.13888888888846, 107.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (928.24999999999955, 120.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (942.24999999999966, 127.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (947.25, 125))
			Result.extend_point (create {EV_COORDINATE}.make_precise (953.25, 127.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (958.24999999999955, 136.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (954.25, 141.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (956.25, 150.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (965.25, 154.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (973.24999999999955, 149.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (981.25, 141.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (984.36111111111063, 137.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (996.24999999999966, 134))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1005.2499999999997, 140))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.1388888888888, 143.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1022.2499999999997, 143))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036.2499999999995, 147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1035.4722222222217, 152.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1032.3611111111106, 153.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1034.2499999999995, 159))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1029.6944444444439, 161.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.2499999999993, 159.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1000.8055555555552, 168.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (998.1388888888888, 174.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (995.02777777777737, 172.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.24999999999955, 180.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (984.36111111111063, 183.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.91666666666629, 179.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (978.58333333333326, 180.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (982.13888888888823, 185.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (977.24999999999966, 188.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (974.25, 192.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (972.36111111111063, 197.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (968.36111111111063, 197.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (966.58333333333303, 203.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (961.24999999999932, 212.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.47222222222183, 216.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.02777777777737, 220.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (962.58333333333326, 220.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (965.25, 225))
			Result.extend_point (create {EV_COORDINATE}.make_precise (973.694444444444, 228.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.25, 235.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1001.25, 280))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.2499999999997, 283.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.2499999999997, 295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.25, 293.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1022.2499999999997, 307.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.25, 314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1022.2499999999997, 324.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.2499999999997, 326.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1000.2499999999995, 336))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1006.2499999999993, 337.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.25, 346.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1024.3611111111106, 344.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1030.583333333333, 348.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.694444444444, 348.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.9166666666666, 351.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1027.4722222222222, 355.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1022.1388888888888, 354.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.25, 359))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.2499999999997, 361.11111111111074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.2499999999997, 359.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.2499999999997, 365.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.694444444444, 373.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.805555555555, 369.55555555555509))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1013.25, 372.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.0277777777774, 378))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1014.1388888888883, 381.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.583333333333, 382.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1013.25, 388.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1014.5833333333333, 394))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.583333333333, 392.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1007.0277777777774, 396.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.4722222222218, 398.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.9166666666663, 392.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1000.2499999999995, 400.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (996.36111111111063, 402.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (992.8055555555552, 409.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.24999999999955, 415.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (980.25, 427.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (978.58333333333326, 435.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (974.1388888888888, 437.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (976.36111111111063, 432.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (971.91666666666629, 433.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (968.36111111111063, 432.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (968.8055555555552, 436.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (972.36111111111063, 439.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (974.1388888888888, 443.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (969.24999999999966, 445.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (967.47222222222217, 451.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (969.694444444444, 452.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (967.91666666666629, 456.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (967.91666666666629, 459.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (964.80555555555497, 460.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (971.02777777777737, 461.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (972.8055555555552, 464.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (968.8055555555552, 467.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (965.25, 468.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (963.02777777777737, 464.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (957.25, 466))
			Result.extend_point (create {EV_COORDINATE}.make_precise (960.8055555555552, 470.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (955.47222222222217, 471.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (953.25, 477))
			Result.extend_point (create {EV_COORDINATE}.make_precise (950.58333333333326, 481.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (944.8055555555552, 481.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (948.36111111111063, 483.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (944.36111111111063, 488.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (941.694444444444, 486.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (942.13888888888835, 491.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (936.8055555555552, 490.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (935.47222222222183, 486.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (930.58333333333303, 490.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (934.13888888888846, 494.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (930.13888888888835, 497.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (928.36111111111063, 502.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (924.8055555555552, 500.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (923.02777777777737, 505.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (919.91666666666629, 505.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (917.694444444444, 511.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (915.02777777777737, 509.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (908.36111111111063, 513.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (903.02777777777737, 518.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (898.58333333333326, 523.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (896.36111111111063, 527.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (891.91666666666663, 527.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (879.47222222222217, 531.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (874.25, 529.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (875.91666666666629, 535.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (869.694444444444, 534))
			Result.extend_point (create {EV_COORDINATE}.make_precise (867.02777777777737, 531.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (862.13888888888846, 534))
			Result.extend_point (create {EV_COORDINATE}.make_precise (859.02777777777737, 538))
			Result.extend_point (create {EV_COORDINATE}.make_precise (856.36111111111063, 532.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (853.694444444444, 533.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (852.24999999999966, 537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (846.13888888888846, 537.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (847.47222222222217, 542.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (844.8055555555552, 546.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (840.24999999999966, 547))
			Result.extend_point (create {EV_COORDINATE}.make_precise (838.58333333333303, 541.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (835.02777777777737, 537.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (832.24999999999966, 532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (831.91666666666663, 543.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (828.25, 550.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (823.47222222222217, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (823.02777777777737, 553.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (819.47222222222183, 546.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (817.69444444444412, 551.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (815.02777777777737, 554.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (812.36111111111074, 551.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (808.8055555555552, 557.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (803.91666666666629, 555.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (794.58333333333303, 556.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (795.02777777777737, 559.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (789.69444444444412, 562.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (788.36111111111109, 556.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (787.47222222222183, 562.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (778.58333333333303, 564.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (765.25, 565.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (762.13888888888846, 573.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (763.91666666666629, 578.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (756.8055555555552, 575.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (759.02777777777737, 571.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (754.58333333333303, 574.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (753.24999999999966, 578.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.25, 579.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.25, 581.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (758.58333333333303, 584.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (761.24999999999966, 586.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (756.25, 594))
			Result.extend_point (create {EV_COORDINATE}.make_precise (746.24999999999966, 592.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (746.13888888888846, 587.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (740.25, 583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (743.02777777777749, 580.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (740.25, 574))
			Result.extend_point (create {EV_COORDINATE}.make_precise (743.9166666666664, 568.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (746.13888888888846, 564.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (741.25, 564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (728.36111111111109, 565.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.25, 561.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (718.24999999999977, 559.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (716.80555555555532, 553.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (715.9166666666664, 561.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (697.24999999999977, 564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (695.9166666666664, 568.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (690.13888888888869, 569.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (694.58333333333303, 570.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (693.24999999999977, 574))
			Result.extend_point (create {EV_COORDINATE}.make_precise (683.02777777777749, 577.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (678.13888888888869, 579.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (675.02777777777749, 583.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (675.25, 592))
			Result.extend_point (create {EV_COORDINATE}.make_precise (660.25, 598.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (653.24999999999977, 608.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (650.58333333333303, 624.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (655.47222222222217, 635.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (666.24999999999977, 643.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (668.24999999999977, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (682.25, 670.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (687.25, 678.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (704.25, 691.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (714.13888888888846, 704.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (730.25, 741))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.25, 793.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (620.80555555555543, 818.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (584.06481481481478, 788.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (576.36111111111109, 786.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (576.65740740740739, 790.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.99074074074065, 791.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (574.25, 784.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (566.58333333333314, 777.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (559.25, 774.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (548.36111111111086, 774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (540.24999999999977, 776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (543.0277777777776, 756.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (536.80555555555532, 754.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (527.91666666666663, 754.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (521.25, 758.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.02777777777749, 766))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.80555555555532, 774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (519.91666666666663, 784.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (518.13888888888869, 790.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (515.47222222222194, 795.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511.472222222222, 804.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (510.58333333333309, 813.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.24999999999983, 817.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (504.80555555555532, 822.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (502.13888888888869, 839.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (502.58333333333331, 845.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.13888888888869, 849.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (504.36111111111092, 851.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.58333333333314, 854.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511.472222222222, 853.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (515.47222222222194, 851.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (519.02777777777749, 853.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.36111111111109, 862))
			Result.extend_point (create {EV_COORDINATE}.make_precise (521.25, 868.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (524.80555555555532, 873.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (527.02777777777749, 872.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (527.91666666666663, 878))
			Result.extend_point (create {EV_COORDINATE}.make_precise (531.02777777777749, 890.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (534.58333333333314, 900.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (543.91666666666663, 907.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (551.02777777777749, 908.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (556.36111111111109, 907.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (561.24999999999977, 916.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (570.13888888888869, 922.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (564.80555555555532, 930.44444444444389))
			Result.extend_point (create {EV_COORDINATE}.make_precise (563.02777777777749, 934.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (557.24999999999977, 930.44444444444389))
			Result.extend_point (create {EV_COORDINATE}.make_precise (551.91666666666652, 931.77777777777692))
			Result.extend_point (create {EV_COORDINATE}.make_precise (547.0277777777776, 928.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (546.58333333333303, 923.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (542.13888888888869, 922.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (538.13888888888869, 916.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (532.80555555555532, 916.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (527.02777777777749, 911.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (524.36111111111086, 918.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (519.91666666666663, 911.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (515.02777777777749, 909.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (514.58333333333326, 904.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (510.58333333333309, 898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.91666666666652, 899.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (505.6944444444444, 890.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.13888888888869, 886.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.0277777777776, 890.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (500.80555555555532, 894.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (499.472222222222, 885.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (497.25, 882.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.80555555555532, 881.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.6944444444444, 875.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.02777777777749, 869.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.13888888888869, 875.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.58333333333303, 879.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.58333333333303, 884.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.91666666666652, 886.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (482.13888888888869, 879.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.80555555555532, 869.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.24999999999983, 856.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (484.80555555555532, 851.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.36111111111109, 837.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.472222222222, 831.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.472222222222, 827.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.13888888888869, 820.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.6944444444444, 816.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.91666666666663, 815.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.02777777777749, 809.55555555555475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.80555555555532, 807.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.80555555555532, 802.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.36111111111109, 796.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.24999999999983, 796.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.24999999999983, 794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.0277777777776, 794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.69444444444423, 788.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.91666666666652, 790.44444444444389))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.472222222222, 790.44444444444389))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.36111111111109, 785.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.472222222222, 781.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.472222222222, 782.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.02777777777749, 778.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.472222222222, 774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.69444444444423, 776.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.36111111111109, 778.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (490.13888888888869, 775.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.02777777777749, 772.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.24999999999983, 762.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.25, 755.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (482.13888888888869, 750.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.36111111111109, 754.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (478.13888888888869, 750.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (478.58333333333331, 742.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.69444444444423, 738.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (475.47222222222206, 733.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (472.80555555555554, 725.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (470.58333333333314, 713.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (469.25, 706.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (469.25, 700.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (467.0277777777776, 697.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (465.25, 690.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.25, 684.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459.0277777777776, 680.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (456.36111111111109, 672.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (456.80555555555537, 669.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (453.69444444444423, 672.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (450.58333333333309, 671.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (450.58333333333309, 673.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (448.36111111111109, 674.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (448.36111111111109, 678.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.36111111111109, 682.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.91666666666652, 684.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (436.36111111111092, 678.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.02777777777766, 685.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (432.80555555555554, 687.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.91666666666652, 690.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (426.13888888888869, 691.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (424.80555555555554, 694.44444444444355))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.91666666666652, 700.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.36111111111097, 701.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (412.80555555555543, 701.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (410.58333333333331, 698.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.02777777777766, 692.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (408.36111111111097, 701.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (404.36111111111097, 702))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.36111111111109, 700.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.6944444444444, 696.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.02777777777766, 698.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.69444444444434, 696.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.91666666666652, 690.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.36111111111109, 683.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.13888888888869, 688.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.13888888888874, 697.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389.69444444444434, 690.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.69444444444434, 678.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (396.80555555555554, 662.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.58333333333331, 644.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (387.02777777777766, 629.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.13888888888874, 620.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.91666666666652, 622.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.47222222222206, 627.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.02777777777771, 625.55555555555486))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.91666666666652, 620.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.24999999999989, 614.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.58333333333331, 613.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (378.13888888888874, 615.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380.80555555555543, 618.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.24999999999989, 615.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.69444444444434, 610.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (378.58333333333314, 604.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.24999999999989, 601.55555555555486))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.47222222222206, 606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.91666666666652, 606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369.25, 599.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (365.69444444444434, 600.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (360.80555555555543, 597.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (362.58333333333326, 593.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (359.47222222222206, 597.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (356.80555555555543, 595.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (356.80555555555543, 586.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.02777777777766, 594))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.47222222222211, 586.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (345.69444444444434, 579.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.13888888888874, 569.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.91666666666657, 554.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.24999999999989, 552.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.24999999999989, 542.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.47222222222217, 536.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (326.58333333333326, 533.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (327.02777777777766, 536.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.69444444444434, 540.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (328.36111111111097, 542.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.24999999999989, 538.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.13888888888874, 539.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.36111111111097, 542.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.80555555555543, 546))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.36111111111097, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.36111111111097, 543.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.91666666666657, 535.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309.24999999999989, 525.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.47222222222211, 516.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (306.1388888888888, 517.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.02777777777777, 526.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (310.13888888888874, 528.22222222222149))
			Result.extend_point (create {EV_COORDINATE}.make_precise (311.02777777777766, 532.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.24999999999989, 538.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.80555555555554, 545.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309.69444444444434, 550.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (304.36111111111103, 554.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.25, 555.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (294.1388888888888, 552.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.02777777777777, 549.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.58333333333326, 555.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (283.91666666666663, 558.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.58333333333326, 557.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.58333333333326, 559.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (273.25, 559.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270.1388888888888, 557.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (269.24999999999994, 561.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (266.1388888888888, 561.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (264.80555555555549, 555.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (263.02777777777771, 563.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259.47222222222217, 562.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (260.80555555555543, 556.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.69444444444434, 561.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (255.02777777777771, 561.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (254.58333333333326, 557.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.02777777777777, 560.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (248.80555555555546, 559.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.02777777777777, 553.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (254.58333333333326, 547.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (252.36111111111103, 546.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.91666666666663, 553.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (244.80555555555549, 559.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.80555555555546, 560.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.47222222222217, 561.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (224.36111111111106, 565.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.58333333333331, 573.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.47222222222217, 581.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.47222222222217, 581.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.02777777777777, 585.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.80555555555551, 589.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.24999999999994, 587.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.9166666666666, 592.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.13888888888889, 598.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.6944444444444, 603.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (190.13888888888886, 609.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.02777777777777, 621.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.25, 643.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.58333333333331, 652.22222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.69444444444446, 658.44444444444366))
		end

	hainan: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (763.02777777777737, 601.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (760.8055555555552, 598.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (764.8055555555552, 596.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (767.47222222222217, 599.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (770.5833333333328, 599.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (771.47222222222217, 608.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (765.25, 615.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (763.91666666666617, 618.88888888888835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (763.02777777777737, 625.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (759.91666666666663, 628.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (761.69444444444412, 630.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (759.02777777777737, 631.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (756.36111111111074, 631.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (751.02777777777737, 634.88888888888823))
			Result.extend_point (create {EV_COORDINATE}.make_precise (751.47222222222217, 638.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (749.25, 639.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (746.58333333333303, 637.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (742.58333333333303, 640.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (743.9166666666664, 642.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (738.13888888888846, 643.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (735.9166666666664, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (731.02777777777737, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (724.80555555555532, 639.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.69444444444412, 637.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.02777777777715, 636.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (718.58333333333303, 631.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (717.69444444444412, 627.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (718.13888888888869, 620.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (718.13888888888869, 616.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (724.36111111111086, 611.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.69444444444412, 607.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.25, 605.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (732.80555555555532, 603.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (737.24999999999977, 604.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (738.13888888888846, 600.22222222222149))
			Result.extend_point (create {EV_COORDINATE}.make_precise (741.25, 600.22222222222149))
			Result.extend_point (create {EV_COORDINATE}.make_precise (744.8055555555552, 600.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (749.69444444444412, 600.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (753.24999999999966, 598.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.25, 597.5555555555552))
		end

	taiwan: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.2499999999995, 473.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.694444444444, 469.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.8055555555549, 469.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.0277777777774, 472.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.0277777777774, 473.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.0277777777774, 477.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1020.3611111111106, 478.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.6944444444437, 483.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.4722222222218, 488.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.4722222222218, 494.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1014.1388888888883, 499.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1013.25, 501.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.8055555555549, 512.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.694444444444, 520.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1007.4722222222215, 527.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1000.805555555555, 533.55555555555497))
			Result.extend_point (create {EV_COORDINATE}.make_precise (998.1388888888888, 539.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (997.694444444444, 544.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (997.694444444444, 550.44444444444366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (995.47222222222149, 553.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (993.25, 553.11111111111063))
			Result.extend_point (create {EV_COORDINATE}.make_precise (992.36111111111063, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (992.36111111111063, 547.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (989.694444444444, 542.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (987.02777777777737, 540.22222222222183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.02777777777737, 538.88888888888846))
			Result.extend_point (create {EV_COORDINATE}.make_precise (980.8055555555552, 528.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (978.13888888888823, 524.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (979.47222222222183, 518.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (980.36111111111063, 506.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.02777777777737, 505.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (985.694444444444, 498))
			Result.extend_point (create {EV_COORDINATE}.make_precise (990.58333333333303, 491.77777777777737))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.91666666666606, 487.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (994.58333333333269, 484.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (998.1388888888888, 478.444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.0277777777774, 474.88888888888835))
		end

invariant

--	correct_location: attached target_imp implies location = vitp.asia

end
