note
	description: "[
		Widget representing the brown land of Kamchatka and Sakhalin
		]"
	author: "Jimmy J. Johnson"

class
	KAMCHATKA_WIDGET

inherit

	LOCATION_WIDGET
		redefine
			build_widgets,
			build_land
		end

create
	default_create

feature {NONE} -- Initialization

	build_widgets
			-- Add widgets to Current
		do
			Precursor {LOCATION_WIDGET}	-- calls `build_land'
				-- Remove `text_widget'
			prune_all (text_widget)
				-- Make adjustments
			scale_widget (Current, 0.07)
			rotate_widget (land, 12.0)
			set_point_position (0,0)
			translate_widget (Current, 485, -10)
		end

	build_land
			-- Add `land' to Current and create the polygons.
		do
			Precursor {LOCATION_WIDGET}
				-- Put polygons representing land into the `land'
			land.extend (kamchatsky)
			land.extend (shumshu)
			land.extend (paramushir)
			land.extend (atlasov)
			land.extend (onekotan)
			land.extend (makanrushi)
			land.extend (kharimkotan)
			land.extend (shiashkotan)
			land.extend (ekarma)
			land.extend (matua)
			land.extend (rasshua)
			land.extend (ketoy)
			land.extend (simushir)
			land.extend (sakhalin)
		end

feature {NONE} -- Implementation

	kamchatsky: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.6666666666667425, -48))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.333333333333712, -83.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333326, -132))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.33333333333326, -120))
			Result.extend_point (create {EV_COORDINATE}.make_precise (348, -106.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.33333333333326, -93.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666652, -74.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (345.33333333333326, -65.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (348.66666666666652, -68))
			Result.extend_point (create {EV_COORDINATE}.make_precise (347.33333333333326, -59.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.33333333333326, -52))
			Result.extend_point (create {EV_COORDINATE}.make_precise (352.66666666666652, -34.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (346.66666666666652, -36.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342, -40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666652, -34))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666652, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344.66666666666652, -22))
			Result.extend_point (create {EV_COORDINATE}.make_precise (349.33333333333326, -22.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (350, -18.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (346.66666666666652, -12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (354, -14))
			Result.extend_point (create {EV_COORDINATE}.make_precise (352.66666666666652, -8.6666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (348, -2.6666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.33333333333326, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.33333333333326, -0.66666666666665719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (358, -2.6666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (356.66666666666652, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (361.33333333333326, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (360.66666666666652, 10.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (361.33333333333326, 16.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (358.66666666666652, 23.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (350.66666666666652, 18))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.33333333333326, 7.3333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (336.66666666666652, 0.66666666666665719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.33333333333326, -4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338, -4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330.66666666666652, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (326, 1.3333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (323.33333333333326, -1.3333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.33333333333326, 0.66666666666665719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.66666666666652, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333326, 14))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.33333333333326, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.66666666666652, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278, 18))
			Result.extend_point (create {EV_COORDINATE}.make_precise (263.33333333333326, 28))
			Result.extend_point (create {EV_COORDINATE}.make_precise (255.33333333333326, 34.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (244.66666666666652, 47.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (241.33333333333326, 44.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (244, 50.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (239.33333333333326, 53.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.33333333333326, 46.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (234.66666666666652, 45.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (234.66666666666652, 40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.66666666666652, 31.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228.66666666666652, 29.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (224.66666666666652, 28.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666652, 25.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666652, 30))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.66666666666652, 34.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.33333333333326, 38.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.33333333333326, 40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.66666666666652, 43.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.33333333333326, 44.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.66666666666652, 50.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222, 52.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222, 49.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226.66666666666652, 49.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.33333333333326, 49.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (230.66666666666652, 56.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (233.33333333333326, 60))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.33333333333326, 63.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226.66666666666652, 70.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666652, 68.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.33333333333326, 72))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.33333333333326, 76))
			Result.extend_point (create {EV_COORDINATE}.make_precise (224.66666666666652, 76.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228, 81.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228, 88.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.33333333333326, 92.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.33333333333326, 94.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (218, 91.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.33333333333326, 88.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214, 94.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.33333333333326, 101.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.66666666666652, 101.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.33333333333326, 108.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.33333333333326, 111.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222, 115.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.66666666666652, 118.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.66666666666652, 118.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.66666666666652, 123.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.66666666666652, 127.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (221.33333333333326, 122.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.33333333333326, 130.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220, 134.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220, 137.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.33333333333326, 135.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226, 142.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.33333333333326, 146.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.66666666666652, 145.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.66666666666652, 149.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.66666666666652, 155.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212, 159.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (208.66666666666652, 167.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.33333333333326, 163.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.33333333333326, 169.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (204, 176.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (200, 181.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.33333333333326, 191.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (194, 197.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.33333333333326, 205.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (184, 213.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178, 215.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.33333333333326, 225.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.66666666666652, 235.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166.66666666666652, 240.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162.66666666666652, 240.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.33333333333326, 245.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156, 245.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666652, 250.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146, 251.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (143.33333333333326, 253.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.33333333333326, 253.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.33333333333326, 255.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.66666666666652, 262.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333326, 268))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.66666666666652, 276))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.33333333333326, 281.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.66666666666652, 281.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114, 287.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.66666666666652, 302.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100, 303.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92, 308.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.666666666666515, 314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.333333333333258, 324.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.666666666666515, 328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333258, 331.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62, 342.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.333333333333258, 350.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.333333333333258, 348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.666666666666515, 336))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.333333333333258, 323.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.666666666666515, 319.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (57.333333333333258, 320.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58, 309.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (56.666666666666515, 302.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.333333333333258, 295.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46, 295.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (43.333333333333258, 291.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.333333333333258, 284.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39.333333333333258, 271.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36, 252.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333258, 235.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.666666666666515, 221.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34.666666666666515, 194.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36, 171.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (31.333333333333258, 148.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26, 123.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.666666666666288, 100.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.333333333333258, 89.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.6666666666662877, 70.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.6666666666662877, 38.666666666666657))
		end

	shumshu: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333258, 350.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (40, 365.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34, 376))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.666666666666515, 378))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.666666666666515, 384))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.666666666666515, 384.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.666666666666288, 384.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.333333333333258, 379.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.6666666666662877, 378))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8, 373.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (10, 364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14, 363.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.666666666666515, 353.33333333333337))
		end

	paramushir: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.6666666666667425, 364.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2, 366.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.1111111111108585, 366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6, 370.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.2222222222221717, 377.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.6666666666662877, 383.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.8888888888886868, 386.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.7777777777776009, 391.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.5555555555552019, 392.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.7777777777776009, 401.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.1111111111108585, 405.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.5555555555552019, 404.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.8888888888891415, 406.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.4444444444447981, 412.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.6666666666667425, 417.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.8888888888891415, 419.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.5555555555556566, 422))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10, 426.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.111111111111313, 430))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.888888888889142, 434.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18, 440.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22, 440.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.222222222222399, 449.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.777777777777828, 447.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.333333333333712, 449.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.333333333333712, 453.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.555555555555657, 453.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.444444444444798, 457.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.555555555555657, 465.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-62.444444444444798, 475.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.333333333333712, 470.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.888888888889142, 466.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.777777777777828, 466.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78, 467.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-80.222222222222399, 462.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.555555555555657, 461.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.888888888889142, 454.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.888888888889142, 447.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.333333333333712, 442.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-79.777777777777828, 437.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.888888888889142, 431.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.666666666666742, 430.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.666666666666742, 430.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.666666666666742, 433.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66, 433.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.333333333333712, 429.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.777777777777828, 422.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.111111111111313, 423.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.666666666666742, 422))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.444444444444798, 419.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.888888888889142, 421.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.222222222222399, 418))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30, 406))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.333333333333712, 401.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.222222222222399, 397.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.777777777777828, 390.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.555555555555657, 387.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.111111111111313, 382.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.444444444444798, 378.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.888888888889142, 372.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.5555555555556566, 367.33333333333337))
		end

	atlasov: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.777777777777828, 343.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.555555555555657, 342.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.888888888889142, 345.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.555555555555657, 343.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.444444444444798, 346))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.222222222222399, 350))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.555555555555657, 351.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.222222222222399, 354.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.888888888889142, 358.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.444444444444798, 360.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.444444444444798, 359.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.555555555555657, 359.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.555555555555657, 355.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.222222222222399, 349.11111111111097))
		end

	onekotan: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.88888888888914, 527.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.77777777777783, 526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.33333333333371, 528.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.55555555555566, 529.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.77777777777783, 530.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.88888888888914, 536.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.2222222222224, 539.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.66666666666674, 542.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114, 548.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.77777777777783, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.2222222222224, 557.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.66666666666674, 561.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.66666666666674, 569.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.88888888888914, 573.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.4444444444448, 574.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122.88888888888914, 578))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.88888888888914, 577.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.4444444444448, 577.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.55555555555566, 574))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.11111111111131, 564.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-129.55555555555566, 556.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.55555555555566, 550.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.55555555555566, 548.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122, 542))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.77777777777783, 536.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.33333333333371, 532.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.77777777777783, 530.88888888888869))
		end

	makanrushi: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.33333333333371, 510))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-153.11111111111131, 508.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-154.88888888888914, 506))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.2222222222224, 501.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.77777777777783, 499.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.55555555555566, 503.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.88888888888914, 506.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.4444444444448, 509.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148.2222222222224, 510.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.66666666666674, 511.33333333333337))
		end

	kharimkotan: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.77777777777783, 590.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146, 593.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.88888888888914, 592.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-138.88888888888914, 592.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.11111111111131, 595.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.4444444444448, 596.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.4444444444448, 600.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.55555555555566, 604.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.77777777777783, 603.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142, 605.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.11111111111131, 602))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.88888888888914, 597.55555555555554))
		end

	shiashkotan: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-180.66666666666674, 630.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178, 630))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-176.66666666666674, 627.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.55555555555566, 627.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.88888888888914, 630.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168.66666666666674, 631.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170, 632.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.4444444444448, 636.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174, 637.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174, 641.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.4444444444448, 642))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181.55555555555566, 643.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-183.33333333333371, 647.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-183.33333333333371, 650.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186.88888888888914, 652.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.4444444444448, 652.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.33333333333371, 649.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.88888888888914, 645.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187.77777777777783, 644.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.55555555555566, 645.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181.55555555555566, 640.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182, 636.22222222222217))
		end

	ekarma: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-195.77777777777783, 618.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-194, 620.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190, 619.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-188.66666666666674, 623.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.77777777777783, 626))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.11111111111131, 626))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.11111111111131, 623.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-198.88888888888914, 620.22222222222217))
		end

	matua: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-263.33333333333371, 734.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-258.88888888888914, 739.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-254, 741.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-256.2222222222224, 742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-255.77777777777783, 748.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-258, 746))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-260.66666666666674, 747.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-262, 745.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-265.11111111111131, 743.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.4444444444448, 736.22222222222217))
		end

	rasshua: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-277.11111111111131, 777.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274, 781.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-273.11111111111131, 785.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274.88888888888914, 789.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-276.2222222222224, 791.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-279.77777777777783, 793.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-280.2222222222224, 795.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-283.33333333333371, 795.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-284.2222222222224, 789.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.4444444444448, 788.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-283.33333333333371, 784.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-280.2222222222224, 778.88888888888869))
		end

	ketoy: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-333.55555555555566, 837.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-329.1111111111112, 834.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-328.66666666666674, 837.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-324.2222222222224, 836.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-322, 841.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.66666666666674, 843.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-322.88888888888903, 846.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-327.77777777777783, 847.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-332.2222222222224, 847.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-332.66666666666674, 845.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-334, 842.44444444444434))
		end

	simushir: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-353.55555555555566, 863.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-349.1111111111112, 864.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-343.77777777777783, 866.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-345.1111111111112, 869.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-346.88888888888903, 872.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-351.33333333333337, 875.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-353.1111111111112, 875.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-355.33333333333337, 879.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-355.33333333333337, 885.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-356.2222222222224, 888.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-361.55555555555566, 889.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-362.88888888888903, 893.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-365.55555555555566, 896.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-368.2222222222224, 901.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371.77777777777783, 902.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-374, 905.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-377.1111111111112, 905.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-381.1111111111112, 908.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.77777777777783, 913.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-386.44444444444468, 917.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-390.88888888888903, 918.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-392.2222222222224, 917.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-395.33333333333337, 916.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-396.2222222222224, 913.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-398, 907.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-395.77777777777783, 905.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-389.1111111111112, 904.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-386.88888888888903, 905.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.77777777777783, 904.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.33333333333337, 900.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380.66666666666674, 899.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380.66666666666674, 895.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-374.44444444444468, 892.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371.77777777777783, 888.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-367.77777777777783, 887.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-364.2222222222224, 881.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-360.2222222222224, 873.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-356.2222222222224, 867.77777777777771))
		end

	sakhalin: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275, 263.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1155, 243.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1148, 282.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1133, 338.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1129.5555555555557, 360.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1126.8888888888889, 377.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1127.7777777777778, 389.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1121.1111111111111, 421.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1108.6666666666667, 455.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1099.3333333333333, 471.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1101.1111111111111, 475.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1089.1111111111111, 507.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1086.8888888888889, 511.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1088.6666666666667, 513.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1088.6666666666667, 525.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1078, 543.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1079.7777777777778, 546))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1078.8888888888889, 555.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1077.5555555555557, 562.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1075.7777777777778, 569.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1067.3333333333335, 593.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1068.2222222222222, 594.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1063.7777777777778, 610))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1053.5555555555557, 618.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049.5555555555557, 622.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1045.1111111111111, 625.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.1111111111111, 633.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1038.4444444444443, 636.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.1111111111111, 640.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1035.7777777777778, 644.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1036.2222222222222, 646.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1038, 649.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1036.6666666666667, 655.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1034, 660.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1030.4444444444443, 662.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1032.2222222222222, 664.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1034.8888888888889, 663.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.5555555555557, 663.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1038.4444444444443, 658.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1041.5555555555557, 654))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1040.2222222222222, 646.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1042.8888888888889, 643.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1043.7777777777778, 640.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.2222222222222, 638.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1046.4444444444443, 636.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049.1111111111111, 630))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.3333333333335, 627.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1053.1111111111111, 623.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1055.3333333333335, 622.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1059.3333333333335, 616.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1062.8888888888889, 613.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1069.5555555555557, 610.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.3333333333335, 604.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1073.5555555555557, 605.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1078.4444444444443, 595.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1080.6666666666667, 594))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1084.2222222222222, 589.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1086.8888888888889, 585.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1091.7777777777778, 582))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1102, 578))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1112.6666666666667, 574.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1126.4444444444443, 572.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1123.3333333333333, 570.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1124.6666666666667, 568.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1137.1111111111111, 566.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1140.2222222222222, 564.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1145.1111111111111, 566.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1149.1111111111111, 564.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1153.1111111111111, 558.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.6666666666667, 558))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1162, 556.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1168.6666666666667, 560.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1165.5555555555557, 566.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1162.8888888888889, 565.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.6666666666667, 567.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1163.3333333333333, 569.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1159.3333333333333, 569.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1154, 570.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1151.7777777777778, 569.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1142, 569.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1142.8888888888889, 570.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1150.4444444444443, 571.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.6666666666667, 573.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1174, 579.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1187.7777777777778, 591.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1193.5555555555557, 598.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1196.6666666666667, 610.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1193.1111111111111, 617.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1192.2222222222222, 627.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1194, 633.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1205.1111111111111, 655.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1213.1111111111111, 679.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1217.5555555555557, 697.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1220.2222222222222, 703.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1220.2222222222222, 707.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1223.7777777777778, 714))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1226.8888888888889, 729.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1232.2222222222222, 750.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1232.2222222222222, 762.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1234, 767.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1232.6666666666667, 770))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1233.5555555555557, 774.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1231.7777777777778, 788.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1224.6666666666667, 808.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1216.6666666666667, 821.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1208.2222222222222, 831.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1206, 830.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1201.5555555555557, 836.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1198.8888888888889, 836.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1192.6666666666667, 845.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1190, 850.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1186.8888888888889, 863.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1186, 868.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1188.2222222222222, 874.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1181.5555555555557, 888.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1181.5555555555557, 897.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1175.3333333333333, 905.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1177.1111111111111, 909.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1183.3333333333333, 905.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1183.7777777777778, 911.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1178.8888888888889, 913.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1178.8888888888889, 920.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1176.2222222222222, 921.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1175.7777777777778, 925.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1170.4444444444443, 923.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1164.2222222222222, 924.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.6666666666667, 927.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1157.1111111111111, 926.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1156.2222222222222, 921.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1158.8888888888889, 919.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1162, 918.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1166.4444444444443, 916.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1174.4444444444443, 914.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1175.7777777777778, 912.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1173.5555555555557, 908.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1168.2222222222222, 911.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1161.5555555555557, 913.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1155.3333333333333, 913.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1152.6666666666667, 911.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1152.6666666666667, 908.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1150.8888888888889, 907.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1147.7777777777778, 910.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1145.1111111111111, 924.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1144.6666666666667, 940.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1141.1111111111111, 952.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1138, 966.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1134.8888888888889, 969.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1135.7777777777778, 972.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1138.4444444444443, 973.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1139.3333333333333, 976.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1138, 980.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1142, 981.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1145.1111111111111, 989.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1147.3333333333333, 993.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1149.5555555555557, 1000.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1148.2222222222222, 1004.2222222222221))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1148.6666666666667, 1008.2222222222221))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1151.3333333333333, 1009.9999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1151.3333333333333, 1014.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1153.5555555555557, 1016.2222222222221))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1155.7777777777778, 1007.3333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1154.4444444444443, 1003.3333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1153.1111111111111, 997.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1152.2222222222222, 988.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1155.7777777777778, 980.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1157.5555555555557, 974.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1159.7777777777778, 970.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1161.1111111111111, 962.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.6666666666667, 957.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1164.2222222222222, 952.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1172.2222222222222, 943.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1176.6666666666667, 940.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1181.5555555555557, 940.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1188.6666666666667, 941.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1191.7777777777778, 939.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1200.2222222222222, 936.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1203.3333333333333, 938.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1207.3333333333333, 940.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1210.4444444444443, 940.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1212.6666666666667, 936.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1215.3333333333333, 927.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1215.3333333333333, 922.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1219.7777777777778, 920.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1219.3333333333333, 922.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1227.3333333333333, 924.22222222222206))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1234.4444444444443, 928.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1239.3333333333333, 933.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1244.6666666666667, 945.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1247.7777777777778, 954.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1254, 971.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1258, 982.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1258.4444444444443, 993.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1261.1111111111111, 1001.5555555555555))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1263.3333333333333, 1005.5555555555555))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1263.7777777777778, 1013.5555555555555))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1266.4444444444443, 1017.111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1270.8888888888889, 1017.9999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1273.5555555555557, 1022.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1273.5555555555557, 1033.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1276.6666666666667, 1031.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1278.8888888888889, 1029.1111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282, 1023.3333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1284.2222222222222, 1017.111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1290.4444444444443, 1012.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1288.2222222222222, 1011.7777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1288.6666666666667, 1001.5555555555555))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1291.3333333333333, 983.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1293.5555555555557, 969.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1298, 954.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1299.7777777777778, 947.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1299.7777777777778, 939.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1296.6666666666667, 939.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1296.2222222222222, 934.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1296.6666666666667, 926.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1294, 925.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1290.4444444444443, 915.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1287.3333333333333, 905.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282.4444444444443, 893.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1278.8888888888889, 879.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1276.6666666666667, 865.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1278.8888888888889, 857.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1283.7777777777778, 849.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1285.5555555555557, 845.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282.4444444444443, 838.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1284.6666666666667, 830))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1286, 816.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1286.4444444444443, 805.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282.8888888888889, 798.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282, 790))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.3333333333333, 775.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1274, 770.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1267.7777777777778, 761.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1264.2222222222222, 755.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1265.5555555555557, 751.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1267.3333333333333, 731.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1266.8888888888889, 720.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 717.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1267.7777777777778, 711.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1271.3333333333333, 705.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1274.8888888888889, 694))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1284.6666666666667, 679.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1293.5555555555557, 662.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1295.3333333333333, 647.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1293.1111111111111, 639.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1289.1111111111111, 636.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1285.5555555555557, 630.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1286.8888888888889, 625.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282, 622))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1282, 612.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1279.7777777777778, 609.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1280.6666666666667, 597.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1277.5555555555557, 590.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1274.4444444444443, 582.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.7777777777778, 579.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.7777777777778, 562))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1272.6666666666667, 555.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1270.4444444444443, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269.1111111111111, 526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 521.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1267.3333333333333, 502.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269.1111111111111, 501.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1270.8888888888889, 488.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 485.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269.5555555555557, 481.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 472.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1266.4444444444443, 461.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.6666666666667, 436.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1271.3333333333333, 431.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 429.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269.1111111111111, 421.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1274.4444444444443, 411.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.7777777777778, 403.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1277.5555555555557, 400.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1278.4444444444443, 389.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.7777777777778, 376.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1273.5555555555557, 370.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1273.5555555555557, 358.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1271.7777777777778, 350.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1272.2222222222222, 345.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1265.1111111111111, 339.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1260.6666666666667, 329.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1259.3333333333333, 318.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1258.4444444444443, 309.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1261.5555555555557, 304.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1265.1111111111111, 299.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1266.8888888888889, 291.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1265.5555555555557, 288.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1268.2222222222222, 283.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1271.3333333333333, 280.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1273.5555555555557, 272.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1275.3333333333333, 268.22222222222217))
		end

invariant

--	correct_location: attached target_imp implies location = vitp.kamchatka

end
