note
	description: "[
		Widget representing the brown land of the Northern Marshall Islands
		]"
	author: "Jimmy J. Johnson"

class
	MARSHALLS_NORTH_WIDGET

inherit

	LOCATION_WIDGET
		redefine
			build_widgets,
			build_land
		end

create
	default_create

feature {NONE} -- Initialization

	build_widgets
			-- Add widgets to Current
		do
			Precursor {LOCATION_WIDGET}	-- calls `build_land'
				-- Remove `text_widget'
			prune_all (text_widget)
				-- Make adjustments
			scale_widget (land, 0.07)
--			scale_widget (land, 0.08)
			rotate_widget (land, 13.0)
			translate_widget (Current, 450, -265)
		end

	build_land
			-- Add `land' to Current and create the polygons.
		do
			Precursor {LOCATION_WIDGET}
				-- Put polygons representing land into the `land'
			land.extend (wake)
			land.extend (taongi_atoll)
			land.extend (bikar_atoll)
			land.extend (utrik_atoll)
			land.extend (taka_atoll)
			land.extend (ailuk_atoll)
			land.extend (likiep_atoll)
			land.extend (wotje_atoll)
			land.extend (erikub_atoll)
			land.extend (kwajalein_atoll)
			land.extend (namu_atoll)
			land.extend (ailinglaplap_atoll)
			land.extend (maloelap_atoll)
			land.extend (aur_atoll)
			land.extend (majuro_atoll)
			land.extend (amo_atoll)
			land.extend (ujae_atoll)
			land.extend (wotho_atoll)
			land.extend (ailinginae_atoll)
			land.extend (rongelap_atoll)
			land.extend (rongerik_atoll)
			land.extend (bikini_atoll)
			land.extend (enewetak_atoll)
		end

feature {NONE} -- Implemetation

	wake: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.3703703703703241, -1.7777777777777768))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.074074074074133, -5.0370370370370345))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.1851851851852189, -7.1111111111111072))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555555429, -5.3333333333333321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.2592592592592382, -1.1851851851851833))
		end

	taongi_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.33333333333337, 433.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.37037037037032, 432.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.5925925925925, 436.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.14814814814815, 443.55555555555549))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.48148148148141, 446.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.55555555555554, 450.96296296296288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (209.77777777777771, 448.59259259259244))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.96296296296293, 445.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.07407407407402, 441.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (207.70370370370358, 435.85185185185179))
		end

	bikar_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (314.07407407407402, 661.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.25925925925912, 659.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (317.92592592592575, 661.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320, 661.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.66666666666663, 665.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.29629629629619, 669.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (318.51851851851859, 672.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (317.33333333333337, 670.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.55555555555554, 670.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.77777777777771, 666.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (314.96296296296293, 664.29629629629619))
		end

	utrik_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.77777777777771, 748.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.25925925925912, 752.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.07407407407402, 759.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.66666666666663, 762.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.40740740740739, 764.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (284.44444444444434, 760.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (284.44444444444434, 752.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (285.62962962962956, 749.92592592592575))
		end

	taka_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (266.07407407407402, 762.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (272.29629629629619, 762.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.81481481481478, 760.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.48148148148141, 761.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.70370370370358, 763.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.70370370370358, 771.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (275.55555555555554, 773.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.40740740740739, 773.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (268.74074074074076, 769.18518518518499))
		end

	ailuk_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.03703703703695, 846.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.77777777777771, 843.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (300.14814814814815, 830.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (304.5925925925925, 829.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.25925925925912, 836.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (306.07407407407402, 844.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.25925925925912, 854.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (304, 853.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.77777777777771, 854.81481481481455))
		end

	likiep_Atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.18518518518522, 883.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.5925925925925, 880.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.77777777777771, 878.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.77777777777771, 873.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (215.40740740740739, 868.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.44444444444434, 869.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.18518518518522, 869.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (229.62962962962956, 875.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (243.25925925925912, 881.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.11111111111097, 890.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.14814814814815, 890.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (235.25925925925912, 893.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.25925925925912, 893.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226.37037037037032, 889.18518518518499))
		end

	wotje_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (300.14814814814815, 936.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.92592592592575, 927.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.66666666666663, 927.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.07407407407402, 920.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.14814814814815, 917.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.55555555555554, 917.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.37037037037032, 913.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.55555555555554, 921.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.48148148148141, 930.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.44444444444434, 931.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.5925925925925, 934.51851851851836))
		end

	erikub_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.96296296296293, 952.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.85185185185185, 941.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (305.77777777777771, 940.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.77777777777771, 946.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.70370370370358, 956.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.11111111111097, 964.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.5925925925925, 966.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309.92592592592575, 959.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (305.18518518518522, 958.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.11111111111097, 955.25925925925912))
		end

	kwajalein_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.96296296296299, 935.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.185185185185219, 935.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (43.851851851851904, 932.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.222222222222172, 937.18518518518499))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.111111111111086, 934.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.370370370370324, 934.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.185185185185219, 928.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.259259259259238, 937.18518518518499))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.51851851851859, 948.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.8888888888888, 958.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.81481481481478, 963.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (106.96296296296293, 974.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.81481481481478, 979.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.11111111111109, 993.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (91.259259259259238, 986.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (85.629629629629676, 979.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.148148148148152, 970.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86.51851851851859, 966.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.51851851851859, 959.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333371, 956.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58.666666666666629, 959.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.851851851851848, 954.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46.222222222222172, 955.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34.370370370370324, 946.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.555555555555543, 942.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.925925925925867, 939.55555555555532))
		end

	namu_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.55555555555554, 1042.3703703703702))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.25925925925924, 1039.1111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.81481481481478, 1038.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.66666666666663, 1039.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.2962962962963, 1041.185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144, 1051.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.8888888888888, 1057.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152, 1068.1481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.74074074074076, 1073.7777777777774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666663, 1079.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.77777777777771, 1082.0740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.03703703703695, 1071.4074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.81481481481478, 1067.2592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.07407407407402, 1061.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.11111111111109, 1051.8518518518517))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.11111111111109, 1048.8888888888887))
		end

	ailinglaplap_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (176.5925925925925, 1108.4444444444441))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.62962962962968, 1104.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (188.74074074074076, 1104.2962962962961))
			Result.extend_point (create {EV_COORDINATE}.make_precise (194.96296296296293, 1101.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.18518518518522, 1101.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.62962962962968, 1097.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.07407407407402, 1093.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.5925925925925, 1094.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.03703703703695, 1099.8518518518517))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.62962962962968, 1107.8518518518517))
			Result.extend_point (create {EV_COORDINATE}.make_precise (207.11111111111109, 1114.0740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (208, 1120.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.18518518518522, 1125.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (198.22222222222217, 1129.185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (191.70370370370358, 1126.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.62962962962968, 1122.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (180.14814814814815, 1116.1481481481478))
		end

	maloelap_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (380.74074074074076, 974.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.07407407407402, 973.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (404.14814814814815, 976.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (412.44444444444434, 984.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.48148148148141, 985.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.62962962962956, 992.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.29629629629619, 1000.8888888888887))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.70370370370358, 1009.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.8888888888888, 1013.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (412.74074074074076, 1014.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (404.14814814814815, 1013.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.29629629629619, 1007.1111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.40740740740739, 1002.074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (392, 988.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.96296296296293, 984.29629629629619))
		end

	aur_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.29629629629619, 1039.4074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (402.66666666666663, 1023.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (413.33333333333337, 1029.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (413.03703703703695, 1038.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.70370370370358, 1041.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.11111111111097, 1047.1111111111109))
		end

	majuro_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.18518518518522, 1136.8888888888887))
			Result.extend_point (create {EV_COORDINATE}.make_precise (404.44444444444434, 1129.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.5925925925925, 1135.4074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.11111111111097, 1134.5185185185182))
			Result.extend_point (create {EV_COORDINATE}.make_precise (432.29629629629619, 1137.7777777777774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (434.96296296296293, 1141.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.96296296296293, 1146.6666666666665))
		end

	amo_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (449.48148148148141, 1142.2222222222219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (456.88888888888869, 1129.7777777777774))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459.55555555555532, 1136.2962962962961))
			Result.extend_point (create {EV_COORDINATE}.make_precise (462.81481481481478, 1136.8888888888887))
			Result.extend_point (create {EV_COORDINATE}.make_precise (469.33333333333314, 1141.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (478.22222222222206, 1141.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.55555555555532, 1138.3703703703702))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.85185185185185, 1141.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.92592592592575, 1143.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (470.81481481481478, 1149.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (469.33333333333314, 1157.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (460.74074074074076, 1150.8148148148146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (454.51851851851859, 1151.7037037037035))
		end

	ujae_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.44444444444446, 944.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.370370370370324, 943.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.333333333333314, 949.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.814814814814781, 951.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.03703703703701, 972.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88.296296296296305, 968.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.407407407407391, 962.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.777777777777828, 952.88888888888869))
		end

	wotho_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.703703703703695, 854.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.925925925925924, 856.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.925925925925924, 860.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56, 862.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.851851851851848, 869.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.629629629629619, 872.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60.740740740740705, 868.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-62.518518518518533, 862.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.296296296296305, 860.44444444444434))
		end

	ailinginae_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.03703703703701, 764.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.666666666666629, 765.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.074074074074133, 763.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.1111111111111427, 765.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.8148148148147811, 771.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.4814814814814099, 772.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.148148148148096, 771.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.629629629629619, 771.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.740740740740705, 769.7777777777776))
		end

	rongelap_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.88888888888885731, 758.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.59259259259255259, 747.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.925925925925867, 737.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16, 737.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.925925925925867, 733.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.51851851851859, 739.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333371, 736.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.777777777777771, 738.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (38.814814814814781, 742.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.444444444444457, 747.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.51851851851859, 748.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.481481481481467, 754.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.259259259259238, 767.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.148148148148152, 768.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12.148148148148152, 767.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.8148148148147811, 762.37037037037021))
		end

	rongerik_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.148148148148152, 746.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.222222222222172, 741.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.555555555555543, 742.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.444444444444457, 746.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.370370370370324, 747.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.185185185185219, 755.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.629629629629676, 755.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592496, 757.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592496, 751.11111111111097))
		end

	bikini_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-129.48148148148141, 722.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.88888888888891, 714.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.96296296296293, 716.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.92592592592592, 713.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.81481481481478, 719.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.518518518518533, 720.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.03703703703701, 733.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.592592592592609, 734.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.66666666666663, 735.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.81481481481478, 737.18518518518499))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120, 733.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-128.2962962962963, 727.70370370370358))
		end

	enewetak_atoll: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-416.29629629629625, 731.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-409.18518518518511, 719.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-401.77777777777771, 717.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-397.92592592592587, 717.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-394.66666666666663, 721.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-390.22222222222217, 722.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-389.62962962962956, 728.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.11111111111109, 735.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-385.18518518518511, 745.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-390.51851851851848, 751.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-401.18518518518511, 750.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-410.37037037037032, 745.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-413.03703703703695, 735.11111111111097))
		end

invariant

--	correct_location: attached target_imp implies location = vitp.marshalls_north

end
