note
	description: "[
		Widget representing the brown land of the Soloman Islands
		]"
	author: "Jimmy J. Johnson"

class
	SOLOMANS_WIDGET

inherit

	LOCATION_WIDGET
		redefine
			build_widgets,
			build_land
		end

create
	default_create

feature {NONE} -- Initialization

	build_widgets
			-- Add widgets to Current
		do
			Precursor {LOCATION_WIDGET}	-- calls `build_land'
				-- Remove `text_widget'
			prune_all (text_widget)
				-- Make adjustments
			scale_widget (land, 0.13)
			rotate_widget (land, 13.0)
			translate_widget (Current, 9, 132)
		end

	build_land
			-- Add `land' to Current and create the polygons.
		do
			Precursor {LOCATION_WIDGET}
				-- Put polygons representing land into the `land'
			land.extend (new_britain)
			land.extend (new_ireland)
			land.extend (new_hanover)
			land.extend (umboi)
			land.extend (bougainville)
			land.extend (choiseul)
			land.extend (vella_lavella)
			land.extend (kolombangara)
			land.extend (new_georgia)
			land.extend (santa_isabel)
			land.extend (malaita)
			land.extend (san_cristobal)
			land.extend (nendo)
			land.extend (new_caledonia)
			land.extend (manus)
		end

feature {NONE} -- Implementation

	new_britain: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555555571, -0.88888888888891415))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.6666666666666288, 1.3333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.5555555555555571, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.777777777777743, 3.5555555555555998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.111111111111086, 1.3333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.444444444444429, 1.3333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.703703703703695, 3.407407407407419))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.6666666666666, 2.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.333333333333329, 0.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (28.296296296296276, -0.14814814814812394))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.148148148148096, 1.3333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (38.370370370370324, 3.7037037037037237))
			Result.extend_point (create {EV_COORDINATE}.make_precise (38.370370370370324, 5.4814814814814667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.333333333333258, 5.4814814814814667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.925925925925924, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (43.407407407407391, 4.8888888888889426))
			Result.extend_point (create {EV_COORDINATE}.make_precise (45.185185185185162, 4.2962962962963331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47.555555555555486, 2.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.407407407407391, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.888888888888886, 3.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (54.074074074074019, 4.5925925925926379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.962962962962905, 3.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (65.333333333333258, 1.6296296296296759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68, 1.9259259259259807))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.148148148148096, 0.14814814814815236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.740740740740705, -2.5185185185185333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.259259259259238, -3.1111111111110574))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.777777777777771, -5.1851851851852189))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.629629629629619, -9.3333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.703703703703667, -11.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.518518518518448, -12.592592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.111111111111029, -15.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.407407407407362, -19.111111111111057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.185185185185162, -21.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.629629629629619, -20.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.703703703703667, -17.925925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.03703703703701, -15.555555555555515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.6666666666666, -14.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.370370370370324, -9.0370370370370097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.592592592592581, -8.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.777777777777771, -7.5555555555555145))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.6666666666666, -2.5185185185185333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.259259259259238, 1.3333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.814814814814724, 4.5925925925926379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.555555555555543, 4.8888888888889426))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.222222222222229, 1.6296296296296759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.962962962962933, -2.5185185185185333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.59259259259258, 0.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.37037037037032, 3.7037037037037237))
			Result.extend_point (create {EV_COORDINATE}.make_precise (106.51851851851845, 3.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.99999999999994, 1.9259259259259807))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.40740740740736, 0.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.96296296296293, -1.0370370370370097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.92592592592592, 1.0370370370370665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.99999999999994, 0.14814814814815236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.55555555555554, -2.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.1481481481481, -5.7777777777777146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.99999999999994, -14.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.74074074074065, -17.925925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333331, -21.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.25925925925921, -22.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.77777777777777, -24.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.85185185185182, -26.222222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.22222222222223, -25.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333331, -23.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.11111111111097, -21.481481481481495))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.55555555555554, -23.555555555555515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.03703703703701, -25.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.92592592592584, -23.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.77777777777777, -23.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.96296296296293, -25.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.62962962962962, -24.148148148148124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.29629629629628, -23.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.66666666666663, -25.925925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.55555555555554, -30.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.37037037037032, -30.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.37037037037032, -34.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.59259259259255, -40.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.59259259259255, -44.296296296296248))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.33333333333331, -47.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.44444444444443, -52.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (143.25925925925921, -51.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.37037037037032, -56.148148148148124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.44444444444443, -58.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.51851851851845, -57.925925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.55555555555554, -58.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.85185185185182, -56.740740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.96296296296293, -57.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.25925925925918, -53.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162.51851851851842, -51.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (164.88888888888874, -51.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166.96296296296293, -55.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (164.88888888888874, -57.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.11111111111097, -57.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.40740740740733, -59.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.77777777777777, -60.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (176.74074074074065, -56.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.25925925925918, -55.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.48148148148141, -56.740740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.48148148148141, -54.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.22222222222223, -51.111111111111057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (183.85185185185179, -52.296296296296248))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.03703703703701, -49.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.48148148148141, -44.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.33333333333331, -46.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (174.66666666666663, -44.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (176.74074074074065, -44.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (180.29629629629619, -44.296296296296248))
			Result.extend_point (create {EV_COORDINATE}.make_precise (182.37037037037032, -41.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (183.25925925925918, -34.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.18518518518516, -29.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.03703703703701, -23.555555555555515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.77777777777777, -21.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.74074074074065, -22.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (164.59259259259255, -21.481481481481495))
			Result.extend_point (create {EV_COORDINATE}.make_precise (165.18518518518516, -19.111111111111057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.70370370370358, -17.333333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (164.29629629629619, -13.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.44444444444429, -11.111111111111057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.11111111111097, -6.9629629629629335))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.29629629629619, -4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (169.33333333333331, 0.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162.81481481481472, 3.407407407407419))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.88888888888874, 6.0740740740740762))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.51851851851842, 3.407407407407419))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.48148148148141, 2.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.07407407407399, 5.4814814814814667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.40740740740733, 3.7037037037037237))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.77777777777777, 2.5185185185185048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (140.29629629629628, 6.3703703703703809))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.1481481481481, 8.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (143.85185185185182, 10.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.99999999999997, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.51851851851845, 14.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (140.88888888888889, 14.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.25925925925921, 16.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.81481481481475, 20.888888888888943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.44444444444443, 22.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.48148148148141, 22.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.7407407407407, 26.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.37037037037032, 25.037037037037067))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.51851851851845, 25.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.62962962962962, 27.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.85185185185182, 25.925925925925981))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.37037037037032, 25.925925925925981))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.37037037037032, 28.592592592592638))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.88888888888889, 30.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.25925925925924, 30.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.999999999999943, 32.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.851851851851819, 36.296296296296333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (91.111111111111029, 37.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (85.48148148148141, 37.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.814814814814724, 34.81481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.6666666666666, 38.074074074074048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.888888888888886, 35.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.703703703703667, 38.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.740740740740705, 36.000000000000028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.962962962962933, 37.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.296296296296276, 36.592592592592609))
			Result.extend_point (create {EV_COORDINATE}.make_precise (67.407407407407391, 37.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.481481481481438, 37.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.888888888888886, 38.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (54.074074074074019, 38.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.888888888888886, 34.81481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.222222222222229, 29.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (44.296296296296276, 28.296296296296333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.592592592592581, 29.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (35.407407407407391, 30.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.444444444444429, 31.259259259259267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (31.851851851851819, 32.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.629629629629619, 32.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.407407407407391, 29.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.222222222222229, 29.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.518518518518476, 27.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.777777777777771, 25.037037037037067))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.370370370370338, 22.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20, 20.592592592592638))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.518518518518491, 21.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.629629629629619, 19.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.962962962962948, 18.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12, 16.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333286, 17.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.2592592592592524, 15.851851851851876))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.14814814814812394, 13.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1.9259259259259238, 10.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.222222222222257, 4.5925925925926379))
		end

	new_ireland: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.07407407407402, -132.88888888888883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.1481481481481, -132.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.51851851851845, -130.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.62962962962962, -127.85185185185182))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.22222222222223, -124.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.25925925925921, -123.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.22222222222223, -119.85185185185182))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.44444444444443, -118.96296296296292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.51851851851845, -113.03703703703698))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.48148148148141, -111.55555555555553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.07407407407396, -104.14814814814812))
			Result.extend_point (create {EV_COORDINATE}.make_precise (160.74074074074065, -104.74074074074069))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.40740740740733, -102.96296296296292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (167.85185185185179, -102.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.62962962962962, -90.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.18518518518516, -89.629629629629605))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.33333333333331, -82.222222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (187.11111111111097, -83.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.18518518518516, -82.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (191.25925925925918, -75.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (193.92592592592581, -75.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.88888888888874, -73.037037037036995))
			Result.extend_point (create {EV_COORDINATE}.make_precise (200.44444444444429, -72.444444444444386))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.33333333333331, -73.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (203.99999999999989, -71.851851851851833))
			Result.extend_point (create {EV_COORDINATE}.make_precise (203.99999999999989, -68.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (208.44444444444429, -68.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.51851851851842, -65.037037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.37037037037032, -57.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.62962962962962, -49.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.18518518518516, -44.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.66666666666663, -38.962962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.59259259259255, -38.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.59259259259255, -35.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.51851851851842, -34.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210.51851851851842, -31.555555555555515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (207.25925925925918, -30.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666663, -27.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (204.88888888888874, -30.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.62962962962962, -33.037037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (200.1481481481481, -35.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (198.37037037037032, -35.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (198.37037037037032, -39.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.29629629629619, -40.148148148148124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (195.99999999999989, -43.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (194.51851851851842, -45.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.88888888888874, -48.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.88888888888874, -58.222222222222172))
			Result.extend_point (create {EV_COORDINATE}.make_precise (193.62962962962962, -60.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (192.74074074074065, -65.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (187.99999999999989, -71.851851851851833))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.03703703703701, -73.629629629629605))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.03703703703701, -75.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.18518518518516, -79.555555555555515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.22222222222223, -84.592592592592538))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.59259259259255, -88.740740740740691))
			Result.extend_point (create {EV_COORDINATE}.make_precise (167.25925925925918, -90.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (161.62962962962962, -91.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333331, -96.740740740740691))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.51851851851845, -104.14814814814812))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.96296296296293, -105.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.40740740740733, -108.59259259259254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.55555555555554, -110.66666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.88888888888889, -112.44444444444439))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.03703703703701, -113.62962962962959))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.25925925925921, -115.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.59259259259258, -118.96296296296292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.44444444444443, -119.55555555555553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.55555555555554, -121.62962962962959))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.51851851851845, -121.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.03703703703701, -120.74074074074069))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.48148148148141, -120.14814814814811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.99999999999994, -123.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.44444444444443, -123.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.77777777777777, -125.18518518518513))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.59259259259258, -127.85185185185182))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.96296296296293, -127.85185185185182))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.44444444444443, -126.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.11111111111103, -126.66666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.29629629629628, -125.48148148148144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.25925925925924, -125.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.33333333333326, -126.66666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.1481481481481, -128.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.37037037037032, -129.92592592592587))
		end

	new_hanover: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.851851851851819, -136.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.111111111111029, -137.03703703703698))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.888888888888886, -139.70370370370367))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.962962962962933, -139.11111111111106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (80.740740740740705, -140.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.222222222222229, -141.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.555555555555543, -139.70370370370367))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.333333333333258, -139.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.629629629629619, -138.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.6666666666666, -136.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.03703703703701, -132.88888888888883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.259259259259238, -131.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.148148148148096, -127.25925925925922))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.296296296296276, -127.55555555555553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.925925925925924, -126.66666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.148148148148096, -126.96296296296292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.222222222222229, -126.66666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.6666666666666, -128.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.6666666666666, -131.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.296296296296276, -134.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.740740740740705, -134.66666666666663))
		end

	umboi: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.407407407407433, 0.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.444444444444443, -0.74074074074070495))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.481481481481495, 1.6296296296296759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.925925925925924, 1.9259259259259807))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.888888888888914, 6.6666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.481481481481524, 15.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.333333333333357, 17.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.518518518518533, 14.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.074074074074076, 14.074074074074076))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.370370370370381, 11.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333357, 10.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28, 6.0740740740740762))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.296296296296305, 3.1111111111110858))
		end

	bougainville: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.03703703703701, -16.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (284.5925925925925, -20.592592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.85185185185179, -19.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.74074074074059, -14.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.03703703703701, -6.3703703703703241))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.85185185185179, -2.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.11111111111097, -1.3333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (295.55555555555554, 2.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.99999999999983, 2.5185185185185048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.29629629629625, 6.3703703703703809))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.29629629629625, 10.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (310.37037037037032, 11.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (310.96296296296293, 17.925925925925981))
			Result.extend_point (create {EV_COORDINATE}.make_precise (314.22222222222223, 17.925925925925981))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.5925925925925, 21.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.25925925925918, 21.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.92592592592581, 25.037037037037067))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.33333333333331, 29.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (323.70370370370364, 31.851851851851876))
			Result.extend_point (create {EV_COORDINATE}.make_precise (326.66666666666663, 31.259259259259267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (327.25925925925918, 33.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.33333333333331, 34.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330.22222222222223, 32.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.18518518518511, 32.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.18518518518511, 35.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.99999999999983, 40.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.07407407407396, 46.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344.1481481481481, 47.259259259259267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (345.33333333333331, 50.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344.44444444444429, 52.000000000000028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (346.51851851851842, 57.037037037037067))
			Result.extend_point (create {EV_COORDINATE}.make_precise (345.33333333333331, 60.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.99999999999983, 60.296296296296248))
			Result.extend_point (create {EV_COORDINATE}.make_precise (336.74074074074059, 62.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.55555555555554, 65.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (332.5925925925925, 64.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330.22222222222223, 64.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.81481481481467, 62.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (318.07407407407396, 59.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.99999999999983, 56.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.44444444444429, 54.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.88888888888886, 48.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (311.85185185185179, 48.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.44444444444429, 45.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (310.96296296296293, 43.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.44444444444429, 41.925925925925895))
			Result.extend_point (create {EV_COORDINATE}.make_precise (311.25925925925918, 38.074074074074048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.70370370370364, 37.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.25925925925918, 35.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.70370370370364, 32.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.99999999999983, 29.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (295.85185185185179, 27.407407407407419))
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.48148148148141, 24.740740740740762))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.81481481481467, 23.259259259259295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.22222222222223, 19.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.70370370370364, 19.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.22222222222223, 16.444444444444485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.85185185185179, 13.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.92592592592581, 10.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.33333333333331, 8.4444444444444855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.92592592592581, 6.6666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.44444444444429, 4.8888888888889426))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.81481481481467, 4.5925925925926379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.81481481481467, 2.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.44444444444429, 0.74074074074076179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (286.07407407407396, -1.0370370370370097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (284.88888888888886, -0.14814814814812394))
			Result.extend_point (create {EV_COORDINATE}.make_precise (283.99999999999983, -2.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.92592592592581, -6.6666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282.22222222222223, -11.703703703703667))
		end

	choiseul: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (365.48148148148141, 53.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (366.96296296296288, 51.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (370.51851851851842, 51.703703703703724))
			Result.extend_point (create {EV_COORDINATE}.make_precise (372.59259259259244, 53.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.85185185185179, 53.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 56.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (378.81481481481467, 59.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (384.4444444444444, 59.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (387.11111111111103, 61.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389.77777777777771, 63.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.37037037037032, 67.703703703703638))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.66666666666663, 71.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.37037037037032, 75.703703703703638))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.74074074074059, 75.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (402.81481481481467, 78.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (405.18518518518511, 78.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (407.85185185185179, 82.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.99999999999972, 84.592592592592609))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.07407407407396, 84.592592592592609))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.25925925925907, 82.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.62962962962939, 82.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.40740740740722, 85.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.11111111111103, 88.444444444444343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.66666666666634, 89.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.07407407407396, 91.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.55555555555526, 89.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666634, 91.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (407.85185185185179, 89.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (407.55555555555554, 86.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.4444444444444, 86.370370370370381))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.96296296296288, 88.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (396.88888888888886, 83.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.62962962962945, 85.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.33333333333331, 81.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.25925925925907, 81.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.48148148148141, 72.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.18518518518511, 70.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (376.1481481481481, 65.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.37037037037032, 65.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.40740740740728, 62.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (366.37037037037032, 59.999999999999943))
		end

	vella_lavella: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.40740740740728, 99.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.37037037037032, 96.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.70370370370364, 101.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.55555555555554, 103.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.55555555555554, 105.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380.29629629629619, 108.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380.29629629629619, 113.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 113.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.03703703703701, 110.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.77777777777771, 110.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.66666666666663, 106.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (372.59259259259244, 105.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.99999999999972, 102.66666666666669))
		end

	kolombangara: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.70370370370364, 122.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (392.1481481481481, 120.14814814814815))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.37037037037032, 117.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.37037037037032, 113.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.62962962962945, 109.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.18518518518511, 108.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.4444444444444, 109.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (402.51851851851842, 113.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.62962962962945, 117.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (402.22222222222223, 118.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.1481481481481, 121.92592592592587))
		end

	new_georgia: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.62962962962945, 127.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.11111111111103, 125.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (405.48148148148141, 125.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (408.74074074074059, 120.14814814814815))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.11111111111103, 115.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.55555555555526, 114.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.88888888888886, 118.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.88888888888886, 121.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.59259259259244, 123.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.37037037037015, 126.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.96296296296288, 127.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.62962962962939, 126.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (427.99999999999972, 126.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.59259259259244, 129.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.96296296296288, 129.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.55555555555526, 133.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.33333333333331, 135.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (434.22222222222223, 137.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.62962962962939, 140.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.62962962962939, 143.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.70370370370364, 142.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (436.29629629629613, 140.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.55555555555526, 138.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (438.96296296296288, 141.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (440.4444444444444, 142.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.33333333333331, 140.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.88888888888886, 142.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.99999999999972, 144.14814814814815))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.9259259259257, 144.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.9259259259257, 145.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.70370370370364, 145.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.99999999999972, 148.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (442.81481481481461, 150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.29629629629613, 150.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (446.96296296296288, 149.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (449.33333333333331, 150.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (448.74074074074059, 153.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (446.37037037037015, 155.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.29629629629613, 152.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.03703703703701, 150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.03703703703701, 152.14814814814815))
			Result.extend_point (create {EV_COORDINATE}.make_precise (437.48148148148135, 151.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.33333333333331, 148.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.62962962962939, 145.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (432.4444444444444, 142.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.66666666666634, 142.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.37037037037015, 144.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (427.99999999999972, 141.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.9259259259257, 139.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.03703703703701, 140.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.70370370370364, 138.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.99999999999972, 136.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.33333333333331, 135.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.9259259259257, 133.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.77777777777754, 134.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.29629629629613, 133.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.40740740740722, 130.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.03703703703701, 127.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.4444444444444, 129.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666634, 129.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (412.59259259259244, 129.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.92592592592575, 128.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (408.1481481481481, 130.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.33333333333331, 132.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (410.22222222222223, 135.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.70370370370364, 138.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.62962962962945, 143.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.33333333333331, 146.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.70370370370364, 149.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.55555555555526, 149.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.62962962962939, 147.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.18518518518493, 149.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.55555555555526, 153.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.88888888888886, 153.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.33333333333331, 151.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (413.48148148148135, 150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.92592592592575, 149.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (407.55555555555554, 149.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (406.66666666666663, 146.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.62962962962945, 143.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (406.96296296296288, 137.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409.03703703703701, 134.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (406.96296296296288, 132.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.70370370370364, 130.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (402.51851851851842, 129.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.55555555555554, 128.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.74074074074059, 131.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (398.66666666666663, 132.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.18518518518511, 129.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.22222222222223, 127.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (392.4444444444444, 126.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.81481481481467, 124.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.18518518518511, 125.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.48148148148141, 123.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.85185185185179, 123.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.4444444444444, 126.37037037037038))
		end

	santa_isabel: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (447.85185185185179, 91.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (447.55555555555526, 88.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451.40740740740722, 89.037037037037067))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451.70370370370364, 90.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.55555555555526, 93.481481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459.40740740740722, 93.185185185185219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.48148148148135, 96.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (465.03703703703701, 96.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (467.99999999999972, 95.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (470.37037037037015, 98.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471.55555555555526, 96.148148148148152))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.48148148148135, 102.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.62962962962939, 104.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.70370370370364, 107.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.77777777777754, 107.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.85185185185179, 111.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.99999999999972, 111.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (494.37037037037015, 113.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (495.55555555555526, 112.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (497.62962962962939, 115.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (500.59259259259244, 114.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.11111111111103, 119.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.18518518518493, 122.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (510.96296296296288, 120.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (515.99999999999977, 126.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.7037037037037, 132.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.74074074074065, 134.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (518.96296296296282, 134.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (521.62962962962933, 137.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.99999999999977, 137.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (525.18518518518499, 142.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (519.25925925925912, 140.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (516.88888888888891, 137.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (515.99999999999977, 135.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (513.03703703703695, 134.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (513.33333333333326, 137.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (516.29629629629608, 140.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511.85185185185179, 141.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (512.44444444444434, 139.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (508.59259259259244, 139.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.81481481481461, 135.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.48148148148135, 133.18518518518522))
			Result.extend_point (create {EV_COORDINATE}.make_precise (502.37037037037015, 130.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (496.1481481481481, 127.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.59259259259244, 123.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.70370370370364, 119.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.1481481481481, 115.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.18518518518493, 115.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (474.22222222222223, 111.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (472.1481481481481, 111.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471.55555555555526, 108.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (467.40740740740722, 105.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (464.74074074074059, 106.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (465.62962962962939, 103.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (462.66666666666634, 102.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (463.25925925925907, 100.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459.70370370370364, 100.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (457.33333333333331, 99.111111111111029))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.25925925925907, 99.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (452.88888888888886, 97.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (453.77777777777754, 95.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451.11111111111103, 94.074074074074019))
		end

	malaita: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (553.92592592592564, 131.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (556.29629629629608, 130.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (561.92592592592564, 132.59259259259261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (561.92592592592564, 130.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (563.99999999999977, 130.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (568.44444444444434, 138.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.85185185185173, 145.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (574.96296296296282, 148.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.18518518518499, 148.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.18518518518499, 154.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (576.74074074074065, 155.7037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (582.37037037037021, 159.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (582.37037037037021, 162.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (584.74074074074065, 163.7037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (583.85185185185173, 166.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585.62962962962933, 167.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585.62962962962933, 170.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (588.59259259259215, 169.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (586.51851851851848, 172.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (587.11111111111109, 174.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585.03703703703695, 174.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (588.59259259259215, 178.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.2592592592589, 183.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (594.22222222222217, 182.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.55555555555543, 180.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.55555555555543, 177.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (593.92592592592564, 179.7037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (595.40740740740716, 179.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (596.88888888888891, 183.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (601.62962962962933, 188.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (601.62962962962933, 192.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (602.51851851851848, 196.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (599.2592592592589, 194.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (598.07407407407391, 192.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (595.11111111111109, 194.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (594.22222222222217, 191.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (589.77777777777737, 187.7037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (584.44444444444434, 184.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585.92592592592564, 182.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (582.96296296296282, 180.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (581.18518518518499, 181.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (579.40740740740716, 176.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.5555555555552, 176.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.5555555555552, 173.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.7777777777776, 172.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (571.99999999999977, 169.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (570.51851851851848, 171.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (565.4814814814813, 165.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (564.29629629629608, 158.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (564.29629629629608, 156.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (560.14814814814804, 150.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (561.03703703703695, 148.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (558.96296296296282, 145.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (560.44444444444434, 143.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (563.11111111111109, 141.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (560.74074074074065, 138.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (555.99999999999977, 135.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (555.99999999999977, 133.18518518518522))
		end

	san_cristobal: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (588.29629629629608, 218.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.2592592592589, 217.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (600.14814814814804, 221.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (607.55555555555543, 227.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (610.51851851851848, 227.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (611.7037037037037, 229.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (617.92592592592564, 229.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (621.77777777777737, 233.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (623.2592592592589, 230.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (625.92592592592564, 230.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (630.66666666666629, 241.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (632.14814814814804, 239.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (633.92592592592564, 244.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (631.85185185185173, 246.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (637.77777777777737, 246.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (638.96296296296282, 248.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (633.03703703703695, 247.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (629.18518518518499, 247.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (623.85185185185173, 247.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (622.37037037037021, 246.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (614.66666666666629, 244.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (609.62962962962933, 241.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (606.96296296296282, 241.62962962962968))
			Result.extend_point (create {EV_COORDINATE}.make_precise (606.37037037037021, 238.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (602.51851851851848, 238.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (601.03703703703695, 235.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (598.66666666666629, 235.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (598.96296296296282, 231.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (597.18518518518499, 231.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (596.88888888888891, 225.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (593.33333333333303, 225.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (587.7037037037037, 224.44444444444434))
		end

	nendo: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (785.62962962962933, 244.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (787.11111111111109, 241.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (788.29629629629608, 238.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (789.18518518518499, 242.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (790.07407407407391, 239.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (792.74074074074065, 237.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (794.51851851851848, 236.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (796.59259259259215, 237.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (798.66666666666629, 236.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (803.99999999999977, 238.37037037037038))
			Result.extend_point (create {EV_COORDINATE}.make_precise (800.44444444444434, 242.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (802.22222222222217, 243.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (798.96296296296282, 245.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (798.07407407407391, 243.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (795.11111111111109, 242.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (793.03703703703695, 244.2962962962963))
			Result.extend_point (create {EV_COORDINATE}.make_precise (791.85185185185173, 247.25925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (790.96296296296282, 243.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (788.59259259259215, 246.66666666666669))
		end

	new_caledonia: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (711.85185185185173, 688.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (708.88888888888891, 684.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (708.88888888888891, 681.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (710.66666666666629, 680.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (710.96296296296282, 683.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.92592592592564, 684.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (717.4814814814813, 688.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.33333333333303, 693.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (724.29629629629608, 693.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (724.29629629629608, 691.7037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (726.96296296296282, 690.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.03703703703695, 692.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (732.88888888888891, 692.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (738.51851851851848, 697.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (743.85185185185173, 702.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (745.92592592592564, 702.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (750.66666666666629, 709.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.4814814814813, 713.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (764.59259259259215, 717.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (768.14814814814804, 716.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (770.81481481481455, 719.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (769.62962962962933, 721.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (771.40740740740716, 723.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (772.29629629629608, 724.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (775.55555555555543, 725.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (776.74074074074065, 728.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (777.92592592592564, 733.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (781.4814814814813, 735.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (782.96296296296282, 739.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (788.59259259259215, 740.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (791.55555555555543, 743.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (794.81481481481455, 745.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (795.7037037037037, 747.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (801.62962962962933, 745.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (803.40740740740716, 751.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (809.33333333333326, 753.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (810.22222222222217, 756.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (813.18518518518499, 756.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (814.37037037037021, 759.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (817.62962962962933, 760.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (819.40740740740716, 762.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (822.96296296296259, 762.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (822.96296296296259, 764.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (829.18518518518499, 771.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (830.96296296296259, 770.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (829.77777777777715, 772.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (834.22222222222217, 774.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (835.70370370370347, 777.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (837.18518518518499, 776.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (839.55555555555543, 778.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (843.40740740740716, 778.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (845.4814814814813, 781.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (846.96296296296259, 785.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (849.92592592592564, 790.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (849.33333333333326, 794.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (847.85185185185173, 795.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (847.85185185185173, 798.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (844.59259259259238, 798.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (843.40740740740716, 796.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (842.51851851851848, 794.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (840.14814814814804, 793.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (839.85185185185173, 795.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (841.92592592592564, 798.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (839.85185185185173, 801.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (838.37037037037021, 798.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (835.40740740740716, 796.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (836.29629629629585, 794.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (834.51851851851848, 794.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (831.85185185185173, 792.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (826.81481481481455, 793.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (821.77777777777715, 788.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (819.40740740740716, 789.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (816.44444444444434, 789.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (816.14814814814804, 787.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (812.29629629629585, 784.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (809.92592592592564, 780.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (809.62962962962933, 777.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (808.14814814814804, 775.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (806.07407407407391, 775.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (805.4814814814813, 773.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (804.29629629629608, 775.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (801.33333333333303, 775.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (798.07407407407391, 773.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (795.40740740740716, 772.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (794.81481481481455, 768.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (792.74074074074065, 769.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (792.44444444444434, 766.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (790.07407407407391, 764.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (791.2592592592589, 767.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (788.88888888888891, 767.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (787.40740740740716, 765.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (785.92592592592564, 765.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (782.07407407407391, 762.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (778.81481481481455, 763.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (778.51851851851848, 758.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (774.37037037037021, 760.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (771.99999999999977, 758.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (769.03703703703695, 756.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (768.14814814814804, 758.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (764.59259259259215, 754.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (762.81481481481455, 748.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (759.2592592592589, 746.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (752.44444444444434, 742.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (749.18518518518499, 736.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (745.33333333333303, 734.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (745.03703703703695, 732.59259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (742.96296296296282, 732.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (742.37037037037021, 728.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (740.59259259259215, 728.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (741.18518518518499, 726.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (739.7037037037037, 725.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (737.62962962962933, 726.37037037037021))
			Result.extend_point (create {EV_COORDINATE}.make_precise (733.4814814814813, 723.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (733.77777777777737, 721.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (730.81481481481455, 721.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (727.55555555555543, 718.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (730.51851851851848, 716.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (728.14814814814804, 714.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (723.7037037037037, 709.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (720.44444444444434, 708.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.92592592592564, 706.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.2592592592589, 705.03703703703707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.2592592592589, 701.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (716.29629629629608, 700.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (715.11111111111109, 698.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (717.4814814814813, 698.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.85185185185173, 699.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.2592592592589, 695.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (716.59259259259215, 695.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (714.81481481481455, 696.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (714.81481481481455, 693.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.03703703703695, 695.85185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (711.2592592592589, 692.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.03703703703695, 690.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.62962962962933, 688.44444444444446))
		end

	manus: EV_MODEL_POLYGON
			-- Make the polygon
		attribute
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.629629629629619, -157.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-79.555555555555557, -157.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.962962962962962, -159.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.592592592592595, -159.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.740740740740733, -158.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.370370370370381, -159.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.333333333333329, -159.55555555555549))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.925925925925924, -159.55555555555549))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.629629629629633, -156.88888888888883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.592592592592595, -155.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.296296296296305, -157.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.370370370370374, -159.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.925925925925924, -157.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.518518518518526, -154.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.148148148148152, -154.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.925925925925924, -152.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.777777777777771, -147.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.629629629629633, -149.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.703703703703709, -147.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.777777777777771, -149.48148148148144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.555555555555557, -148.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69.481481481481481, -148.88888888888883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148152, -150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.111111111111114, -152.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.18518518518519, -151.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.111111111111114, -150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.296296296296305, -148.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-80.444444444444443, -149.18518518518513))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333329, -147.11111111111106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.407407407407405, -147.40740740740736))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.296296296296291, -151.55555555555549))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333329, -152.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.037037037037038, -154.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.222222222222214, -155.11111111111106))
		end

invariant

--	correct_location: attached target_imp implies location = vitp.solomans

end
