  note
	description: "[
		The widget representing this port
		]"
	author: "Jimmy J. Johnson"

class
	ANDAMAN_ISLANDS_WIDGET

inherit

--	GREEN_PORT_WIDGET
--		undefine
--			paint
--		redefine
--			create_interface_objects,
--			initialize,
--			position_widgets,
--			build_land
--		end

	ISLAND_PORT_WIDGET
		redefine
			create_interface_objects,
--			initialize,
			position_widgets,
			build_land,
			rotation_amount
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
print ("ANDAMAN_ISLANDS_WIDGET.create_interface_objects %N")
			north_andaman := north_andaman_imp
			middle_andaman := middle_andaman_imp
			labyrinth_island := labyrinth_island_imp
			little_andaman := little_andaman_imp
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
		end

--	initialize
--			-- Set up the widgets in Current.
--		do
--			Precursor {ISLAND_PORT_WIDGET}
----			Precursor {GREEN_PORT_WIDGET}
--		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
			scale_widget (land, 0.08)
			rotate_widget (land, 10.0)
			center_on (20, 215)
			translate_widget (land, 44, -136)
			translate_widget (text_group, -8, -3)
--			marker.center_on_dot (dot)
			marker.set_x_y (dot.x, dot.y)
			translate_widget (marker, 3, 5)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {ISLAND_PORT_WIDGET}
				-- Initialize attributes
			land.extend (north_andaman)
			land.extend (middle_andaman)
			land.extend (labyrinth_island)
			land.extend (little_andaman)
		end

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature{NONE} -- Implementation

	north_andaman: EV_MODEL_POLYGON
	middle_andaman: EV_MODEL_POLYGON
	labyrinth_island: EV_MODEL_POLYGON
	little_andaman: EV_MODEL_POLYGON

feature{NONE} -- Implementation

	north_andaman_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.6666666666666856, -2.6666666666666679))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.2222222222222285, -2.6666666666666679))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8, 4.8888888888888893))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.7777777777778283, 13.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.111111111111143, 23.111111111111107))
			Result.extend_point (create {EV_COORDINATE}.make_precise (10.222222222222229, 31.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.1111111111111427, 39.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555555429, 39.111111111111107))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.6666666666666856, 42.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.6666666666666856, 50.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.4444444444444571, 50.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.8888888888889142, 52.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8, 53.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333712, 57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.111111111111143, 59.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.333333333333371, 61.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.555555555555543, 59.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.777777777777828, 57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.333333333333371, 62.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20, 63.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.666666666666686, 65.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.555555555555543, 66.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12.888888888888914, 72.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16, 71.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.777777777777828, 72.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.777777777777828, 76.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.444444444444457, 83.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23.111111111111143, 86.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.222222222222229, 85.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.222222222222229, 88.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23.111111111111143, 90.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.444444444444457, 93.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.888888888888914, 97.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.111111111111143, 99.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.333333333333371, 92.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.111111111111143, 92.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.222222222222229, 95.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.222222222222229, 99.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12, 99.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.111111111111143, 93.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.7777777777778283, 91.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.2222222222222285, 93.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555555429, 93.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555555429, 96.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.74074074074076179, 95.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.6296296296296191, 91.407407407407376))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.9259259259259238, 89.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.7037037037036953, 89.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.7037037037036953, 87.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.1851851851852189, 83.703703703703681))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.5185185185185333, 82.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-0.14814814814815236, 83.999999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.5925925925926094, 82.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.3703703703703809, 83.999999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.0370370370370665, 85.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8.4444444444444571, 89.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.0370370370370665, 93.185185185185148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.3703703703703809, 94.962962962962948))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-5.4814814814814667, 97.037037037037024))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3.7037037037036953, 94.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1.6296296296296759, 93.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1.9259259259259238, 96.740740740740719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.74074074074076179, 100.88888888888889))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.1111111111111427, 102.37037037037035))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.2222222222222285, 103.55555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-0.74074074074076179, 106.8148148148148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4, 108.29629629629626))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.4814814814814667, 107.40740740740738))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.2592592592592382, 109.18518518518515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (10.518518518518533, 107.99999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.703703703703695, 109.77777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.6296296296296191, 112.44444444444441))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12.296296296296305, 115.99999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.925925925925924, 113.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.851851851851848, 115.70370370370368))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.555555555555543, 120.14814814814811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.481481481481467, 126.66666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (10.814814814814781, 128.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.9259259259259238, 130.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.7407407407407618, 140.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.5555555555555429, 146.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.7407407407407618, 147.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.1481481481481524, 150.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.2592592592592382, 150.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.1481481481481524, 158.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.9629629629629335, 161.62962962962962))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.6666666666666856, 166.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.1481481481481524, 172.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.1481481481481524, 178.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.5555555555555429, 182.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.4814814814814667, 181.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.1851851851852189, 183.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.0740740740740762, 186.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.1851851851852189, 188.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.4074074074073906, 192.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.44444444444445708, 194.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-0.74074074074076179, 195.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1.3333333333333144, 198.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.8148148148147811, 200.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.5925925925926094, 200.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.9629629629629903, 198.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.0370370370370665, 202.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-11.111111111111086, 201.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.370370370370381, 201.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.666666666666629, 202.81481481481478))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.925925925925924, 202.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.629629629629676, 204.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.148148148148152, 205.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.740740740740762, 206.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.111111111111086, 206.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.185185185185219, 203.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.370370370370381, 201.62962962962962))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.851851851851848, 199.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.851851851851848, 203.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.555555555555543, 205.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.370370370370381, 206.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.148148148148152, 207.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222172, 205.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.111111111111086, 208.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.925925925925924, 211.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222172, 213.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.296296296296305, 213.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.96296296296299, 211.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.444444444444457, 211.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.518518518518533, 208.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.037037037037067, 205.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.037037037037067, 201.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.96296296296299, 202.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.481481481481467, 201.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.370370370370381, 200.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333314, 198.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.037037037037067, 193.92592592592592))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.148148148148152, 190.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.518518518518533, 189.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.185185185185219, 191.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36, 193.62962962962962))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.074074074074076, 197.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.074074074074076, 199.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.148148148148152, 203.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.925925925925924, 203.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.259259259259238, 206.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.851851851851848, 211.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.185185185185219, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.703703703703695, 214.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333314, 218.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.555555555555543, 217.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.592592592592609, 217.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.481481481481467, 218.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28, 221.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888857, 223.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.370370370370381, 226.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.444444444444457, 225.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.296296296296305, 230.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.777777777777771, 230.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666629, 226.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.740740740740762, 227.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.925925925925924, 231.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.888888888888857, 231.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.592592592592609, 222.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.666666666666629, 218.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.148148148148152, 223.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.518518518518533, 224.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.222222222222172, 229.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.333333333333314, 230.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.518518518518533, 231.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.111111111111086, 234.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.740740740740762, 234.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518533, 235.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.814814814814781, 239.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.333333333333314, 241.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.555555555555543, 239.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.148148148148152, 237.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.259259259259238, 235.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.481481481481467, 236.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.444444444444457, 236.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.814814814814781, 239.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666629, 243.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.888888888888857, 247.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.259259259259238, 250.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.740740740740762, 253.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36, 254.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.037037037037067, 253.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.96296296296299, 255.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.259259259259238, 260.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.777777777777771, 263.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.814814814814781, 265.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.518518518518533, 270.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.740740740740762, 271.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.444444444444457, 280.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.074074074074076, 283.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.96296296296299, 285.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.444444444444457, 288.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.703703703703695, 292.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.296296296296305, 295.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222172, 298.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.740740740740762, 297.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.666666666666629, 299.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.481481481481467, 302.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.407407407407391, 302.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.925925925925924, 306.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.444444444444457, 309.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.037037037037067, 311.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.518518518518533, 312.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.740740740740762, 315.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.777777777777771, 316.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.185185185185219, 321.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.740740740740762, 318.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.629629629629676, 320.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.518518518518533, 338.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.185185185185219, 353.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.407407407407391, 359.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20.296296296296305, 363.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.037037037037067, 370.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.370370370370381, 378.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.370370370370381, 387.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.148148148148152, 392.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.629629629629676, 395.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.333333333333314, 397.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.148148148148152, 399.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.222222222222172, 399.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.222222222222172, 402.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.703703703703695, 400.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.851851851851848, 400.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333314, 402.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888857, 406.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.814814814814781, 408.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.925925925925924, 410.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.666666666666629, 408.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20.888888888888857, 407.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.703703703703695, 409.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.370370370370381, 411.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.148148148148152, 413.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222172, 416.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.703703703703695, 417.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.481481481481467, 417.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.259259259259238, 418.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.518518518518533, 418.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.740740740740762, 420.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.851851851851848, 424.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333314, 428.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.814814814814781, 431.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.111111111111086, 433.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.148148148148152, 434.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.481481481481467, 440.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.074074074074076, 444.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.444444444444457, 443.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.111111111111086, 453.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.555555555555543, 452.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.296296296296305, 454.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.592592592592609, 456.74074074074059))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.629629629629676, 460.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.222222222222172, 462.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.777777777777771, 458.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.259259259259238, 458.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.148148148148152, 461.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.185185185185219, 463.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.037037037037067, 464.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.185185185185219, 465.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.444444444444457, 466.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.259259259259238, 467.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.037037037037067, 466.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60.592592592592609, 466.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.148148148148152, 468.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-67.703703703703695, 470.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148124, 469.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.703703703703695, 467.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.111111111111086, 467.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.814814814814781, 466.81481481481472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.481481481481467, 470.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.555555555555515, 470.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.222222222222172, 473.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.07407407407408, 471.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.55555555555551, 472.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.74074074074073, 470.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.92592592592592, 471.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.77777777777777, 472.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.55555555555551, 469.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.92592592592592, 471.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.81481481481478, 468.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.48148148148147, 468.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.37037037037038, 466.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.88888888888886, 463.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.07407407407408, 461.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.85185185185182, 462.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.85185185185182, 447.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.96296296296293, 445.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.14814814814812, 443.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.14814814814812, 426.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.96296296296293, 422.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.33333333333331, 421.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 419.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.66666666666663, 416.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.55555555555551, 415.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.55555555555551, 406.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.77777777777777, 406.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.66666666666663, 400.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.14814814814812, 397.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.11111111111109, 395.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.33333333333331, 392.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.99999999999997, 390.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.7037037037037, 384.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.74074074074073, 385.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.48148148148147, 380.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.37037037037038, 376.74074074074065))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.18518518518516, 374.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 371.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.55555555555551, 364.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.07407407407408, 361.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.77777777777777, 358.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.29629629629628, 353.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.11111111111109, 350.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.11111111111109, 348.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.33333333333331, 349.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.74074074074073, 353.62962962962956))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.77777777777777, 350.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.88888888888886, 346.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 341.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.74074074074073, 341.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185182, 337.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.11111111111109, 337.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 331.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.07407407407408, 329.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.44444444444443, 325.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.59259259259258, 323.11111111111103))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.11111111111109, 319.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.55555555555551, 317.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.7037037037037, 312.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.88888888888886, 315.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.25925925925924, 316.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.96296296296293, 311.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.77777777777777, 309.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.96296296296293, 295.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.99999999999997, 287.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.74074074074073, 275.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.77777777777777, 274.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.99999999999997, 279.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.22222222222217, 273.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.44444444444443, 275.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.37037037037038, 270.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.703703703703695, 267.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.925925925925924, 264.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.370370370370381, 268.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.666666666666629, 263.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-91.703703703703695, 262.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-89.925925925925924, 263.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.370370370370381, 262.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.777777777777771, 254.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.111111111111086, 247.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.074074074074076, 248.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.666666666666629, 243.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.18518518518519, 243.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.666666666666629, 239.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.888888888888857, 237.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.296296296296305, 231.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.481481481481467, 230.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.370370370370381, 224.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.888888888888857, 223.25925925925918))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-87.259259259259238, 221.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.888888888888857, 214.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-80.740740740740733, 218.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.96296296296299, 214.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.814814814814781, 214.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.96296296296299, 212.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 208.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.222222222222172, 209.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.518518518518533, 207.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.703703703703695, 208.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-87.851851851851848, 205.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.370370370370381, 199.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.666666666666629, 189.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.888888888888857, 188.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.481481481481467, 181.77777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.592592592592581, 178.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.111111111111086, 182.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.037037037037038, 183.85185185185179))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333314, 181.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.222222222222172, 176.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333314, 174.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-79.259259259259238, 175.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.18518518518519, 177.92592592592592))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 176.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.481481481481467, 172.29629629629625))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.703703703703695, 170.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-79.555555555555515, 169.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.037037037037038, 164.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 163.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.444444444444429, 164.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69.481481481481467, 163.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.888888888888857, 160.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-67.703703703703695, 159.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.555555555555515, 155.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.703703703703695, 156.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.370370370370381, 156.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.666666666666629, 148.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.222222222222172, 149.18518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.740740740740733, 147.40740740740733))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.296296296296305, 146.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.777777777777771, 142.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 141.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.296296296296305, 135.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.629629629629648, 133.48148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.925925925925924, 130.22222222222223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.629629629629648, 128.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.703703703703695, 127.85185185185181))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.740740740740733, 121.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.888888888888857, 123.99999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.814814814814781, 121.33333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.814814814814781, 114.51851851851849))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.666666666666629, 115.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148124, 111.85185185185181))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.814814814814781, 112.14814814814811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 105.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.555555555555515, 105.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148124, 103.55555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.074074074074076, 100.88888888888889))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.111111111111086, 99.1111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.629629629629648, 94.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.407407407407391, 90.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148124, 85.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.851851851851848, 76.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.370370370370381, 74.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.592592592592581, 75.703703703703681))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.333333333333314, 71.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.777777777777771, 71.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60, 69.777777777777757))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.777777777777771, 67.407407407407405))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.148148148148152, 67.999999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.222222222222172, 66.222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.592592592592581, 65.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.888888888888857, 62.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.296296296296305, 59.703703703703681))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.851851851851848, 60.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.814814814814781, 59.407407407407405))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518533, 54.074074074074062))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.037037037037067, 54.370370370370352))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.481481481481467, 49.92592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.740740740740762, 44.592592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.037037037037067, 35.999999999999993))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.629629629629676, 34.814814814814802))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.851851851851848, 33.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.259259259259238, 28.592592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.814814814814781, 26.222222222222221))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.037037037037067, 27.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.259259259259238, 26.518518518518505))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.370370370370381, 23.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.259259259259238, 22.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.814814814814781, 23.555555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.333333333333314, 21.481481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666629, 20.592592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666629, 17.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.629629629629676, 17.037037037037031))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.407407407407391, 15.259259259259252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.518518518518533, 11.407407407407405))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.037037037037067, 12.296296296296291))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.518518518518533, 10.222222222222221))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.96296296296299, 10.81481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.925925925925924, 9.3333333333333286))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.518518518518533, 7.5555555555555571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.555555555555543, 0.14814814814814525))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.814814814814781, 2.2222222222222214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8.7407407407407618, -0.74074074074074403))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.6666666666666288, 0.74074074074073692))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3.1111111111110858, -2.518518518518519))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-0.44444444444445708, -2.518518518518519))
		end

	middle_andaman_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 474.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.7037037037037, 473.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.99999999999997, 471.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.03703703703704, 472.74074074074059))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.44444444444443, 473.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.18518518518516, 474.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.18518518518516, 478.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.25925925925924, 487.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.74074074074073, 493.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.62962962962962, 497.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.11111111111109, 494.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.88888888888886, 496.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.81481481481478, 499.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.33333333333331, 506.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.81481481481478, 509.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.62962962962962, 513.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.99999999999997, 521.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.92592592592592, 520.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.62962962962962, 521.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.18518518518516, 517.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.92592592592592, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.814814814814781, 518.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.037037037037038, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185182, 515.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.92592592592592, 513.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.7037037037037, 513.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.18518518518516, 500.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.7037037037037, 495.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.03703703703704, 494.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.51851851851848, 503.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185182, 501.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.07407407407408, 505.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.48148148148147, 500.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.96296296296293, 499.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.66666666666663, 497.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.18518518518516, 497.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.666666666666629, 499.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.370370370370381, 506.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.888888888888857, 508.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.481481481481467, 512.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.962962962962933, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.370370370370381, 517.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.296296296296305, 513.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.481481481481467, 504.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.296296296296305, 499.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.592592592592581, 495.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.666666666666629, 496.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.148148148148124, 496.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.518518518518476, 496.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.999999999999972, 493.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.07407407407408, 490.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.703703703703695, 482.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.148148148148124, 475.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.481481481481467, 474.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-91.407407407407391, 468.88888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.777777777777771, 468.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.777777777777771, 467.70370370370364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.666666666666629, 471.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.037037037037067, 471.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.555555555555543, 472.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60.888888888888857, 470.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52, 474.51851851851842))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.703703703703695, 477.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.555555555555543, 479.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.148148148148152, 481.92592592592581))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.666666666666629, 484.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.444444444444457, 485.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.666666666666629, 488.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.370370370370381, 490.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.222222222222172, 491.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.555555555555543, 491.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.666666666666629, 494.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.296296296296305, 494.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.740740740740762, 493.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.851851851851848, 495.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.888888888888857, 491.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.148148148148152, 490.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.888888888888857, 497.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36, 501.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.555555555555543, 499.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.148148148148152, 500.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.518518518518533, 498.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.777777777777771, 499.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.481481481481467, 502.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.148148148148152, 506.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.518518518518533, 500.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.703703703703695, 497.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.370370370370381, 497.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.592592592592609, 501.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52, 506.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.037037037037067, 511.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.444444444444457, 514.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.888888888888857, 513.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.851851851851848, 510.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.555555555555543, 513.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.703703703703695, 512.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.185185185185219, 515.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.407407407407391, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.407407407407391, 522.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.777777777777771, 524.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.333333333333314, 523.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.592592592592581, 525.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.555555555555515, 521.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.925925925925924, 524.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148124, 526.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69.18518518518519, 526.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.259259259259238, 532.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.851851851851848, 535.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.518518518518533, 534.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.999999999999972, 534.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.296296296296305, 539.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.925925925925924, 541.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.222222222222172, 546.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.777777777777771, 545.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.629629629629648, 548.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-80.444444444444429, 552.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.518518518518533, 561.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.666666666666629, 560.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.037037037037038, 555.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.88888888888886, 555.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.96296296296293, 547.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.29629629629628, 537.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.925925925925924, 529.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.88888888888886, 534.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.55555555555551, 542.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185182, 550.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.55555555555551, 555.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.999999999999972, 557.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.333333333333314, 560.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.814814814814781, 562.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.962962962962933, 564.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.888888888888857, 566.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.222222222222172, 566.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-89.629629629629648, 567.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.407407407407391, 568.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.96296296296299, 571.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.777777777777771, 576.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.222222222222172, 576.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.851851851851819, 575.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.333333333333314, 577.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.703703703703695, 574.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.703703703703695, 579.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.037037037037038, 579.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.555555555555515, 583.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.888888888888857, 584.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88.740740740740733, 582.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88.444444444444429, 586.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.962962962962933, 585.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.77777777777777, 586.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.03703703703704, 588.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.37037037037038, 591.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.74074074074073, 594.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.88888888888886, 596.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.62962962962962, 598.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.29629629629628, 605.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 610.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.62962962962962, 608.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.88888888888886, 610.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.259259259259238, 607.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.407407407407391, 608.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.518518518518533, 622.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.703703703703695, 625.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333314, 627.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.333333333333314, 640.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.111111111111086, 642.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-87.555555555555515, 660.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.96296296296299, 662.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-89.629629629629648, 673.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-89.333333333333314, 676.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-91.407407407407391, 682.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.851851851851819, 682.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.333333333333314, 688.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.148148148148124, 692.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.629629629629619, 694.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.29629629629628, 691.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.18518518518516, 697.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185182, 698.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.33333333333331, 696.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 697.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.96296296296293, 693.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.33333333333331, 696.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.81481481481478, 695.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.48148148148147, 697.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.59259259259258, 704.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.51851851851848, 706.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.55555555555551, 707.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122.51851851851848, 710.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.7037037037037, 712.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.48148148148147, 711.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.51851851851848, 713.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-129.03703703703704, 718.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.77777777777777, 718.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.7037037037037, 720.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 719.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.88888888888886, 715.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.77777777777777, 712.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.59259259259258, 711.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.7037037037037, 714.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.92592592592592, 716.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.33333333333331, 713.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 712.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.88888888888886, 709.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.25925925925924, 709.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.37037037037038, 706.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111.55555555555551, 704.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.29629629629628, 700.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 702.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.74074074074073, 703.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.481481481481467, 703.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.370370370370381, 705.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.407407407407391, 706.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.037037037037038, 709.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.740740740740733, 713.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.111111111111086, 716.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.814814814814781, 718.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.259259259259238, 717.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.592592592592581, 721.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.259259259259238, 727.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.407407407407391, 731.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.07407407407408, 736.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.88888888888886, 738.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.55555555555551, 741.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.96296296296293, 745.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.22222222222217, 747.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.33333333333331, 749.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.29629629629628, 758.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.40740740740739, 763.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.03703703703704, 777.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.22222222222217, 773.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.11111111111109, 777.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.88888888888886, 777.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.48148148148147, 772.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 767.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.92592592592592, 765.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.07407407407408, 766.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.18518518518516, 768.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-131.40740740740739, 769.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.96296296296293, 765.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-138.22222222222217, 764.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.11111111111109, 761.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.18518518518516, 756.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.55555555555551, 758.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.22222222222217, 757.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.7037037037037, 760.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.55555555555551, 758.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-149.18518518518516, 750.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.33333333333331, 750.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.03703703703704, 753.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.85185185185182, 755.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-140.59259259259258, 751.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.40740740740739, 755.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136.44444444444443, 751.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.03703703703704, 747.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.11111111111109, 740.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-140.88888888888886, 745.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.77777777777777, 742.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.44444444444443, 738.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.85185185185182, 742.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.44444444444443, 747.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.99999999999997, 746.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-149.18518518518516, 738.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.4444444444444, 734.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.25925925925924, 726.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.99999999999997, 724.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-140.88888888888886, 727.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.99999999999997, 721.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.48148148148147, 719.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.51851851851848, 721.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.99999999999997, 719.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.25925925925924, 721.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-157.48148148148147, 707.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.99999999999997, 701.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-156.29629629629628, 698.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.66666666666663, 692.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159.55555555555551, 695.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-163.7037037037037, 697.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.29629629629628, 693.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.66666666666663, 696.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-169.62962962962962, 697.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172.59259259259258, 691.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.18518518518516, 684.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.18518518518516, 674.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.22222222222217, 670.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-171.99999999999997, 670.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.18518518518516, 662.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.37037037037035, 655.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-175.55555555555551, 653.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.62962962962962, 651.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-175.25925925925924, 648.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.92592592592592, 647.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.81481481481478, 645.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-184.4444444444444, 648.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.62962962962962, 645.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187.99999999999997, 642.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182.96296296296293, 633.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182.66666666666663, 626.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.03703703703701, 620.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.22222222222217, 618.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-175.25925925925924, 617.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.96296296296293, 614.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172.59259259259258, 615.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168.4444444444444, 609.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.07407407407405, 612.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-162.22222222222217, 608.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-160.4444444444444, 613.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-156.59259259259258, 614.96296296296282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-154.81481481481478, 619.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.25925925925924, 613.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-150.96296296296293, 605.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.25925925925924, 598.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-153.62962962962962, 595.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.25925925925924, 593.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-150.07407407407408, 586.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.14814814814812, 582.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.22222222222217, 571.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.7037037037037, 567.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.40740740740739, 564.29629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-149.48148148148147, 556.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148.59259259259258, 549.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.44444444444443, 542.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.62962962962962, 538.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-140.88888888888886, 522.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.18518518518516, 518.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.96296296296293, 504.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.77777777777777, 505.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.62962962962962, 515.70370370370358))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136.74074074074073, 516.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.51851851851848, 504.14814814814804))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-127.85185185185182, 503.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.22222222222217, 511.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-128.74074074074073, 512.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-127.85185185185182, 507.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.37037037037038, 506.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.07407407407408, 503.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.99999999999997, 495.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.92592592592592, 495.25925925925912))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.25925925925924, 488.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.85185185185182, 480.44444444444434))
		end

	labyrinth_island_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.18518518518516, 763.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.92592592592592, 766.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.07407407407408, 767.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-131.99999999999997, 772.29629629629608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.77777777777777, 775.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-124.29629629629628, 779.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.62962962962962, 781.18518518518511))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120.74074074074073, 787.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.77777777777777, 793.92592592592575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.55555555555551, 794.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.96296296296293, 798.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.62962962962962, 796.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.99999999999997, 798.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122.51851851851848, 800.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-131.11111111111109, 805.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.66666666666663, 806.07407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.48148148148147, 809.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122.22222222222217, 809.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.92592592592592, 807.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.85185185185182, 809.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.59259259259258, 810.81481481481467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-116.29629629629628, 817.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-124.59259259259258, 821.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-125.48148148148147, 824.14814814814792))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-126.66666666666663, 822.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-132.29629629629628, 823.85185185185173))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-135.25925925925924, 826.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.66666666666663, 825.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.55555555555551, 827.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-154.22222222222217, 826.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159.25925925925924, 822.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-160.7407407407407, 817.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.99999999999997, 814.37037037037032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-156.29629629629628, 812.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-157.77777777777774, 806.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148.59259259259258, 806.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.33333333333331, 804.8888888888888))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.44444444444443, 800.74074074074053))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.74074074074073, 796.5925925925925))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.51851851851848, 795.40740740740728))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.74074074074073, 793.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-150.07407407407408, 785.62962962962945))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.99999999999997, 776.44444444444434))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.03703703703704, 769.03703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.25925925925924, 768.44444444444434))
		end

	little_andaman_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187.99999999999997, 994.51851851851836))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.62962962962962, 995.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-184.7407407407407, 994.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182.37037037037035, 994.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.33333333333331, 998.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167.55555555555551, 1007.8518518518516))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-169.33333333333331, 1011.7037037037034))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167.55555555555551, 1014.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-162.81481481481478, 1030.9629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.96296296296293, 1033.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.07407407407405, 1036.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159.85185185185182, 1038.9629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.66666666666663, 1053.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.7037037037037, 1061.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-154.51851851851848, 1070.0740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-153.62962962962962, 1074.8148148148148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-156.88888888888886, 1076.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.07407407407405, 1074.5185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-160.4444444444444, 1075.7037037037035))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-160.7407407407407, 1081.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.37037037037035, 1086.3703703703702))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-171.40740740740739, 1092))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.66666666666663, 1096.7407407407406))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.66666666666663, 1103.5555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.18518518518516, 1106.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.22222222222217, 1106.5185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.37037037037035, 1108.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.59259259259258, 1110.3703703703702))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.88888888888886, 1113.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167.25925925925924, 1117.1851851851852))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-171.11111111111109, 1120.4444444444443))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.81481481481478, 1134.9629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.92592592592592, 1138.5185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.85185185185182, 1137.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.77777777777774, 1138.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-206.96296296296293, 1135.2592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-213.18518518518516, 1129.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-219.11111111111109, 1124.8888888888889))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-220.29629629629628, 1125.7777777777778))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-225.9259259259259, 1130.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.7407407407407, 1129.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-233.03703703703701, 1130.8148148148148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.7407407407407, 1130.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-241.33333333333329, 1127.5555555555557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.18518518518516, 1123.4074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.48148148148144, 1120.4444444444443))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.22222222222217, 1114.8148148148148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.4444444444444, 1113.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-230.07407407407405, 1110.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229.77777777777774, 1103.2592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-227.40740740740739, 1101.1851851851852))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-226.51851851851848, 1097.6296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-227.70370370370367, 1097.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-227.11111111111109, 1090.2222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229.18518518518516, 1089.037037037037))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.7407407407407, 1082.5185185185185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.11111111111109, 1079.2592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-238.96296296296293, 1079.2592592592591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-241.03703703703701, 1059.4074074074074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-239.85185185185182, 1057.9259259259256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.1481481481481, 1042.8148148148148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-241.62962962962959, 1038.9629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.7407407407407, 1035.7037037037035))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.77777777777774, 1033.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.18518518518516, 1036.5925925925924))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.22222222222217, 1036))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-231.25925925925924, 1032.7407407407406))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-226.51851851851848, 1033.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-221.48148148148147, 1021.1851851851851))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-218.51851851851848, 1021.7777777777777))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-214.37037037037032, 1011.7037037037034))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-209.33333333333331, 1010.8148148148147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-209.03703703703701, 1008.1481481481479))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-210.81481481481478, 1006.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-206.07407407407405, 1003.111111111111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-204.29629629629628, 1004.296296296296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201.03703703703701, 1002.5185185185184))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.18518518518516, 997.4814814814813))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-193.03703703703701, 996.8888888888888))
		end

feature {NONE} -- Implementation

	rotation_amount: REAL_64 = 10.0
			-- Make the arrow point north-east

invariant

	correct_port: attached target_imp implies port = game.andaman_islands

end
