note
	description: "[
		Widget representing a {PORT}.
		]"
	author: "Jimmy J. Johnson"

class
	AUSTRALIA_WIDGET

inherit

	RED_PORT_WIDGET
		redefine
			create_interface_objects,
			extend_widgets,
			set_fonts_and_colors,
			position_widgets,
			build_land
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {RED_PORT_WIDGET}
			mainland := mainland_imp
			melville_island := melville_island_imp
			create not_allowed_text.make_with_text ("(No British Allowed)")
--			extend (not_allowed_text)
		end

	extend_widgets
			-- Put widgets into Current.  This cannot be done
			-- in `create_interface_object', because cannot call
			-- `extend' feature until all objects [in descendants]
			-- are also created.
		do
			Precursor {RED_PORT_WIDGET}
			text_group.extend (not_allowed_text)
		end

	set_fonts_and_colors
			-- Set up the widgets in Current.
		do
			Precursor {RED_PORT_WIDGET}
			not_allowed_text.set_font (Subtext_font)
			dot.show
			dot.set_foreground_color (Yellow)
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {RED_PORT_WIDGET}
				-- make adjustments
			scale_widget (land, 0.23)
			rotate_widget (land, 10.0)
			translate_widget (Current, 364, 773)
--			anchor.set_x_y (x, y - 200)
--			name_mt.set_x_y (x - 5, y - 190)
--			not_allowed_text.set_x_y (x, y - 170)
			text_group.set_x_y (300, 465)
			marker.set_x_y (270, 460)
			anchor.set_x_y (300, 455)
			not_allowed_text.set_x_y (300, 470)

--			translate_widget (name_mt, -68, -311)
--			translate_widget (dot, -80, -290)
----			marker.center_on_dot (dot)
--			marker.set_x_y (dot.x, dot.y)
----			anchor.center_on_dot (dot)
--			anchor.set_x_y (dot.x, dot.y)
--			translate_widget (marker, -10, -20)
--			translate_widget (anchor, 17, -30)
--			translate_widget (not_allowed_text, -77, -306)
			dot.set_x_y (x, y)

		end

	build_land
			-- Add widgets to Current
		do
			Precursor {RED_PORT_WIDGET}
				-- Initialize attributes
			land.extend (mainland)
			land.extend (melville_island)
		end

	not_allowed_text: EV_MODEL_TEXT
			-- Extra text on some Red ports (e.g. "No British Allowed").

--feature -- Access

--	defining_figure: EV_MODEL
--			-- The figure to be used to determine if other figures
--			-- overlap this one or for capturing mouse events
--		do
--			Result := mainland
--		end

feature -- Access

	mainland: EV_MODEL_POLYGON
	melville_island: EV_MODEL_POLYGON

feature -- Status report

	is_red: BOOLEAN = True
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Clockwise from Adelaide (where west coast goes off the bottom)
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3, 20))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8, 7))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-5, 5))
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, -7.5555555555555429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.4444444444442297, -9.3333333333330302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-5.3333333333331439, -15.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.3333333333331439, -20.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.7777777777778283, -16))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.777777777777828, -10.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.888888888888687, -5.7777777777777146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.555555555555316, 0.44444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.44444444444423, 6.6666666666669698))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.222222222222285, 8))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.888888888888687, 6.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333144, 8))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888687, 7.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888687, 9.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.888888888888687, 9.3333333333335986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.1111111111112, 11.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.222222222222285, 10.222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.1111111111112, 5.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.222222222222285, 0.44444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888687, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333144, 1.3333333333335986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.1111111111112, -12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222285, -10.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.666666666666515, -14.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.666666666666515, -19.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.44444444444423, -21.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.222222222222285, -22.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.1111111111112, -24.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20, -26.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20, -29.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.777777777777828, -35.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-11.555555555555316, -36.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.888888888888687, -41.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.1111111111112, -45.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.222222222222285, -47.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.222222222222285, -51.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.44444444444423, -51.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.666666666666515, -62.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.888888888888687, -65.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.1111111111112, -56.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16, -52.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.666666666666515, -52.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20.44444444444423, -49.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.555555555555316, -47.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.44444444444423, -40.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.1111111111112, -39.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.333333333333144, -33.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.1111111111112, -33.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.555555555555316, -29.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.333333333333144, -27.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44, -24.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.1111111111112, -23.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.333333333333144, -17.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.888888888888687, -14.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.888888888888687, -9.3333333333330302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.1111111111112, -10.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.777777777777828, -8.4444444444442297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56, -3.5555555555555429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56, 1.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.888888888888687, 0.88888888888914153))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.44444444444423, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.888888888888687, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60.888888888888687, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.555555555555316, -0.88888888888891415))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.888888888888687, 2.6666666666669698))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.222222222222285, -0.88888888888891415))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72, -5.3333333333330302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.333333333333144, -8.4444444444442297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.44444444444423, -7.5555555555555429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.888888888888687, -9.7777777777777146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.666666666666515, -12.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72, -10.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68.888888888888687, -8.4444444444442297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72, -13.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.666666666666515, -16.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73.777777777777828, -19.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.888888888888687, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-77.777777777777828, -30.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.555555555555316, -33.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.222222222222285, -38.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.1111111111112, -42.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88.44444444444423, -45.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.1111111111112, -45.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.555555555555316, -49.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.222222222222285, -50.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97.333333333333144, -52))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.33333333333314, -53.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.555555555555316, -55.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.44444444444423, -59.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96.44444444444423, -58.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96, -63.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.666666666666515, -66.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.77777777777783, -64.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.77777777777783, -64))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104, -69.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.1111111111112, -71.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.44444444444423, -74.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.44444444444423, -70.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.33333333333314, -76))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.22222222222229, -75.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-119.1111111111112, -72.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-127.55555555555532, -76.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.22222222222229, -80.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136, -80.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.33333333333314, -78.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.99999999999983, -77.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.88888888888869, -85.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167.11111111111092, -92))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.77777777777783, -88.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-195.99999999999983, -88.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-215.55555555555532, -86.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-231.99999999999989, -78.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-247.99999999999989, -73.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-254.222222222222, -71.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-264.44444444444423, -70.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-275.11111111111092, -70.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-280.88888888888869, -71.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-285.33333333333326, -70.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-289.77777777777771, -67.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.11111111111092, -63.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.11111111111092, -62.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.77777777777771, -58.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-312.44444444444423, -53.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.44444444444423, -52))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-326.222222222222, -48.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-328.44444444444423, -43.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-329.33333333333326, -35.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-331.99999999999977, -36))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-334.222222222222, -31.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339.11111111111092, -26.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-343.55555555555532, -26.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-349.77777777777766, -22.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-351.55555555555532, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-355.55555555555532, -26.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-356.8888888888888, -28))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-360.8888888888888, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-360.8888888888888, -25.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-364.44444444444423, -25.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-365.77777777777766, -28))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-368.44444444444423, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-368.44444444444423, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-372.8888888888888, -24.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-374.222222222222, -28.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-377.33333333333326, -28.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-378.222222222222, -26.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.11111111111092, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-384.8888888888888, -29.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-394.222222222222, -28.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-395.55555555555532, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-406.222222222222, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-410.222222222222, -24.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-420.44444444444423, -25.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-424.44444444444423, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-431.11111111111097, -19.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-430.222222222222, -13.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-433.33333333333314, -13.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-433.7777777777776, -10.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-435.99999999999977, -11.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-436.44444444444429, -8.8888888888889142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-439.55555555555532, -10.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-444.44444444444429, -11.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-447.11111111111097, -10.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-448.44444444444429, -7.1111111111108585))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-455.55555555555532, -3.1111111111108585))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-455.99999999999977, 1.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-460.44444444444429, 1.3333333333335986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-462.66666666666652, 3.5555555555557703))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-466.66666666666652, 1.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-468.44444444444429, 3.5555555555557703))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-465.7777777777776, 6.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-469.7777777777776, 7.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-472.88888888888869, 4.4444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-475.11111111111097, 7.1111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-480.44444444444429, 5.7777777777780557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-482.222222222222, 3.5555555555557703))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-484.88888888888869, 4.4444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-489.77777777777754, 3.5555555555557703))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-491.11111111111097, 6.2222222222222854))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-494.22222222222206, 2.6666666666669698))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-495.11111111111097, 4.4444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-498.66666666666652, 4.4444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-501.33333333333314, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-503.55555555555532, 0.44444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.44444444444429, -0.4444444444442297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-511.11111111111097, -0.4444444444442297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-515.11111111111097, -5.3333333333330302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-519.99999999999977, -9.7777777777777146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-523.99999999999977, -13.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-526.22222222222206, -14.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-531.11111111111097, -16.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-531.55555555555532, -13.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-533.33333333333314, -16.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-535.11111111111097, -32.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-532.88888888888869, -33.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-535.55555555555532, -37.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-532.44444444444423, -37.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-529.33333333333314, -33.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-526.22222222222206, -34.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-520.44444444444434, -40.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-518.66666666666652, -44.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-521.33333333333314, -61.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-519.11111111111097, -64.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-519.55555555555532, -72.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-517.7777777777776, -70.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-518.22222222222206, -82.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-523.99999999999977, -96))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-525.33333333333314, -102.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-531.55555555555532, -111.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-535.55555555555532, -129.77777777777754))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-534.6666666666664, -145.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-537.7777777777776, -155.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-543.55555555555532, -160.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-544.44444444444423, -168.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-550.66666666666652, -178.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.7777777777776, -179.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-555.55555555555532, -189.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.33333333333314, -190.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-557.7777777777776, -201.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-562.66666666666652, -211.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.55555555555532, -218.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-573.33333333333314, -223.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-575.11111111111086, -227.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-576.88888888888869, -229.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-576.88888888888869, -231.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-578.6666666666664, -234.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-582.22222222222194, -246.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-580.88888888888869, -248.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-578.6666666666664, -245.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-576.44444444444423, -236.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-574.22222222222194, -233.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-571.99999999999977, -235.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-569.33333333333314, -227.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.11111111111086, -227.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.99999999999977, -223.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-564.88888888888869, -223.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-564.44444444444423, -219.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-561.33333333333314, -220.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-560.44444444444423, -226.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.11111111111086, -231.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-568.44444444444423, -236.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-571.11111111111086, -242.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-568.88888888888869, -247.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.99999999999977, -243.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-564.44444444444423, -242.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.99999999999977, -232.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-561.7777777777776, -230.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-559.99999999999977, -235.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-558.66666666666652, -228.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-555.11111111111086, -223.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-552.44444444444423, -227.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.33333333333314, -229.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-552.88888888888869, -231.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-554.22222222222194, -235.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-552.44444444444423, -236.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-554.66666666666652, -240.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-556.88888888888869, -243.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-560.88888888888869, -255.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.99999999999977, -257.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-565.7777777777776, -267.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-571.11111111111086, -272.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-570.6666666666664, -283.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.99999999999977, -292.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.55555555555532, -298.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-562.22222222222194, -303.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.99999999999977, -303.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.11111111111086, -307.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-561.7777777777776, -308.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-561.7777777777776, -312.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-565.33333333333314, -316.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-566.66666666666652, -322.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.99999999999977, -322.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-562.22222222222194, -327.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-559.99999999999977, -335.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-557.33333333333314, -339.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-552.88888888888869, -340.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-554.66666666666652, -331.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.33333333333314, -326.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-554.66666666666652, -323.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-549.33333333333314, -324.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-547.11111111111086, -330.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-543.99999999999977, -334.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-543.55555555555532, -338.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.44444444444423, -343.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-533.7777777777776, -342.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-528.44444444444423, -345.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-524.88888888888869, -345.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-523.99999999999977, -348.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-521.33333333333314, -352.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-516.44444444444434, -353.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-515.11111111111097, -356.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-512.44444444444434, -359.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.44444444444429, -359.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-507.99999999999977, -363.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-502.22222222222206, -364.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-499.11111111111097, -367.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-495.55555555555532, -367.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-492.88888888888869, -373.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-490.66666666666652, -374.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-492.44444444444429, -369.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-492.44444444444429, -366.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-489.77777777777754, -366.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-485.77777777777754, -368.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-481.7777777777776, -364.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-471.55555555555532, -367.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-461.33333333333314, -376.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-455.11111111111097, -375.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-447.99999999999977, -377.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-444.44444444444429, -383.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-439.99999999999977, -386.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-434.66666666666652, -385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-431.11111111111097, -381.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-427.11111111111092, -383.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-425.7777777777776, -385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-413.33333333333314, -387.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-399.11111111111092, -393.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-391.11111111111092, -400.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.99999999999977, -415.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-381.77777777777766, -415.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-381.77777777777766, -420.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-378.66666666666657, -421.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371.55555555555532, -425.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-367.55555555555532, -427.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-367.11111111111092, -431.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-370.222222222222, -431.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371.55555555555532, -438.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-372.8888888888888, -447.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-368.44444444444423, -456.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-363.11111111111092, -457.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-363.11111111111092, -461.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-356.8888888888888, -461.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-358.66666666666657, -462.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-352.44444444444423, -471.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-351.55555555555532, -469.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-353.33333333333326, -466.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-349.33333333333326, -461.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-343.55555555555532, -447.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-338.66666666666657, -442.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339.55555555555532, -445.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339.11111111111092, -455.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-334.222222222222, -452.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-334.66666666666657, -456.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-337.77777777777766, -462.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-341.77777777777766, -463.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-342.66666666666657, -467.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339.99999999999977, -469.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339.11111111111092, -471.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-341.77777777777766, -472.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-335.99999999999977, -476.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-334.66666666666657, -473.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-330.66666666666657, -470.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-330.66666666666657, -474.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-326.222222222222, -472.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-325.33333333333326, -468.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.44444444444423, -466.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-321.77777777777766, -471.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-310.222222222222, -469.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-319.55555555555532, -472.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-318.66666666666657, -477.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315.11111111111092, -475.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315.11111111111092, -480.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-311.11111111111092, -487.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-319.11111111111092, -479.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.8888888888888, -485.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.8888888888888, -489.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-318.66666666666657, -492.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.44444444444423, -495.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-322.222222222222, -495.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-319.11111111111092, -496.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317.33333333333326, -497.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315.99999999999977, -494.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-312.44444444444423, -497.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309.33333333333326, -503.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.33333333333326, -503.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-301.77777777777771, -501.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.99999999999989, -499.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.55555555555532, -499.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-298.222222222222, -501.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.99999999999989, -503.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-301.77777777777771, -503.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.99999999999989, -505.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-303.11111111111092, -507.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-303.99999999999989, -509.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.77777777777771, -512.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-304.44444444444423, -516.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302.222222222222, -514.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-300.88888888888869, -511.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-298.222222222222, -513.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.99999999999989, -511.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-294.222222222222, -514.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-293.33333333333326, -517.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-292.88888888888869, -521.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-290.222222222222, -519.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-291.11111111111092, -515.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-291.99999999999989, -511.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-287.99999999999989, -516.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.222222222222, -509.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.222222222222, -513.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.66666666666657, -515.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-284.44444444444423, -518.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-280.88888888888869, -521.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.222222222222, -523.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-285.33333333333326, -523.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-284.88888888888869, -527.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.222222222222, -528.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-278.66666666666657, -527.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-278.66666666666657, -524.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-277.77777777777771, -521.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-275.99999999999989, -524.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-271.99999999999989, -529.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-273.33333333333326, -524.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-270.222222222222, -520.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-267.55555555555532, -526.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-264.44444444444423, -527.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.66666666666657, -527.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.66666666666657, -531.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-262.222222222222, -532.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-258.66666666666657, -527.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-252.44444444444423, -529.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-251.55555555555532, -525.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-246.66666666666657, -523.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-242.222222222222, -517.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.88888888888869, -514.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-233.77777777777771, -509.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-236.44444444444423, -505.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-236.88888888888869, -498.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-238.222222222222, -493.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.88888888888869, -489.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.222222222222, -495.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.88888888888869, -493.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.88888888888869, -496.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.66666666666657, -497.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.11111111111092, -501.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-232.44444444444423, -503.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229.33333333333326, -507.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-223.99999999999989, -509.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-223.99999999999989, -506.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-213.33333333333326, -505.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-212.44444444444423, -503.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-212.44444444444423, -499.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-213.77777777777771, -497.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-210.222222222222, -498.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-208.88888888888869, -500.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-209.33333333333326, -502.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-209.77777777777771, -505.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-205.33333333333326, -505.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-203.55555555555532, -501.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-202.222222222222, -498.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-198.66666666666652, -497.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.33333333333314, -493.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-193.77777777777783, -491.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-192.44444444444423, -493.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-195.99999999999983, -495.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.48148148148135, -499.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200.74074074074053, -501.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-204.59259259259244, -507.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201.03703703703695, -508.74074074074048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-202.51851851851836, -511.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-205.4814814814813, -515.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-208.74074074074053, -517.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-206.96296296296288, -522.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-202.51851851851836, -524.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200.1481481481481, -528.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.48148148148135, -538.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-194.81481481481467, -540.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-194.222222222222, -537.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.85185185185179, -538.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187.70370370370358, -542.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187.40740740740722, -539.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-183.85185185185179, -538.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186.222222222222, -540.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186.222222222222, -543.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.25925925925912, -546.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.37037037037027, -552.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.92592592592575, -552.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.33333333333314, -558.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181.77777777777783, -559.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-180.29629629629613, -564.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.96296296296288, -564.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168.44444444444423, -565.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-171.70370370370358, -570.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.88888888888869, -570.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-161.92592592592575, -567.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-157.18518518518511, -567.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-150.96296296296288, -569.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.70370370370358, -566.51851851851825))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.96296296296293, -569.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-138.22222222222229, -570.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.51851851851848, -570.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.48148148148141, -570.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.77777777777783, -575.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136.44444444444423, -580.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.66666666666652, -583.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139.1111111111112, -585.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.96296296296293, -585.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.1481481481481, -581.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.62962962962945, -584.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.11111111111092, -584.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-146.222222222222, -586.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148.59259259259244, -586.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.99999999999983, -589.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152.74074074074053, -588.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.85185185185179, -592.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148.88888888888869, -592.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.70370370370358, -594.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-145.62962962962945, -593.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-143.85185185185179, -594.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.07407407407391, -591.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-140.59259259259261, -593.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-138.51851851851848, -591.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.62962962962945, -593.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-137.62962962962945, -595.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.07407407407391, -596.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-134.07407407407391, -589.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.48148148148141, -585.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-131.70370370370358, -583.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-127.85185185185185, -589.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.33333333333314, -581.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117.77777777777783, -580.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.51851851851848, -578.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.14814814814815, -579.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110.37037037037032, -577.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.51851851851848, -579.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.85185185185185, -579.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-105.03703703703695, -575.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.18518518518511, -576.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.518518518518476, -576.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.518518518518476, -570.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.555555555555316, -574.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-91.703703703703582, -570.96296296296271))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-87.259259259259125, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.185185185185105, -575.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.037037037036953, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76.888888888888687, -567.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-74.518518518518476, -568.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.148148148148152, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-67.407407407407391, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.518518518518476, -575.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.555555555555316, -575.40740740740716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-60, -578.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.629629629629449, -578.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.407407407407391, -576.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.925925925925753, -575.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.148148148148152, -569.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.148148148148152, -566.51851851851825))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.185185185185105, -569.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.222222222222285, -569.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.851851851851848, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.666666666666515, -567.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.851851851851848, -563.85185185185151))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.296296296296191, -563.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.037037037036953, -566.51851851851825))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.296296296296191, -569.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.1111111111112, -571.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.777777777777828, -572.14814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.629629629629449, -573.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.851851851851848, -573.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.037037037036953, -575.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.074074074073906, -575.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44, -576.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.407407407407391, -573.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.296296296296191, -568.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.037037037036953, -569.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.259259259259125, -571.85185185185151))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.370370370370324, -569.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.1111111111112, -568.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.407407407407391, -564.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.851851851851848, -558.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.703703703703582, -553.18518518518488))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.333333333333144, -551.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.296296296296191, -549.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.740740740740534, -542.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.740740740740534, -546.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.296296296296191, -543.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.185185185185105, -544.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.259259259259125, -543.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57.037037037036953, -543.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518476, -541.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.44444444444423, -540.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.1111111111112, -538.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518476, -534.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.962962962962933, -535.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.962962962962933, -532.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-56.148148148148152, -527.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518476, -525.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.518518518518476, -521.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-62.370370370370324, -520.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.555555555555316, -516.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.333333333333144, -515.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.518518518518476, -510.81481481481455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69.48148148148141, -509.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.074074074073906, -504.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.518518518518476, -501.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-64.148148148148152, -502.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.592592592592609, -494.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.814814814814667, -494.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.518518518518476, -490.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.370370370370324, -488.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.48148148148141, -491.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.518518518518476, -491.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.518518518518476, -488.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666515, -488.29629629629602))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.296296296296191, -491.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.407407407407391, -489.48148148148124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.777777777777828, -486.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.148148148148152, -484.74074074074048))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.074074074073906, -482.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.925925925925753, -483.85185185185156))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.407407407407391, -485.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333144, -488.59259259259233))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.962962962962933, -487.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-30.962962962962933, -483.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.629629629629449, -481.18518518518493))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.592592592592609, -479.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.666666666666515, -476.14814814814787))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.629629629629449, -475.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.222222222222285, -466.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4, -461.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12.444444444444684, -457.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.8888888888888, -449.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.777777777777715, -447.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.333333333333485, -443.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.8888888888888, -442.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.333333333333485, -438.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (44.444444444444684, -440.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.666666666666856, -444.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.777777777777942, -446.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.111111111111313, -456.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.222222222222172, -466.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.666666666666856, -470.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.666666666666856, -479.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (65.333333333333485, -482.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -498.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.444444444444684, -499.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.555555555555543, -504.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -506.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -517.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666856, -522.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.777777777777942, -525.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (67.111111111111313, -526.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.8888888888888, -535.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.555555555555543, -541.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.666666666666856, -540.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.777777777777942, -550.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.222222222222172, -553.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.999999999999886, -556.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.666666666666856, -551.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.555555555555543, -559.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.111111111111313, -559.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666856, -559.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.999999999999886, -573.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (85.333333333333485, -573.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.666666666666856, -574.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.666666666666856, -587.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.111111111111313, -592.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.555555555555543, -598.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86.666666666666856, -598.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.8888888888888, -603.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.111111111111313, -603.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.444444444444684, -598.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.555555555555543, -599.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.222222222222172, -594.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.333333333333485, -590.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.999999999999886, -589.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.777777777777942, -582.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.555555555555543, -577.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.77777777777794, -575.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.8888888888888, -576.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.8888888888888, -574.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.99999999999989, -569.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.8888888888888, -564.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.44444444444468, -565.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.44444444444468, -560.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.44444444444468, -560.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.77777777777794, -551.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.11111111111131, -554.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.22222222222217, -543.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.44444444444468, -541.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.11111111111131, -532.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.22222222222217, -527.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.55555555555554, -521.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.77777777777794, -515.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.22222222222217, -515.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333348, -519.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.77777777777794, -521.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.77777777777794, -519.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.33333333333348, -523.5555555555552))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666686, -521.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.99999999999989, -514.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.55555555555554, -511.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.55555555555554, -507.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.77777777777794, -508.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.77777777777794, -504.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.77777777777794, -503.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.77777777777794, -500.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666686, -496.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.8888888888888, -497.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333348, -492.44444444444417))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.99999999999989, -489.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.33333333333348, -479.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.55555555555554, -478.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.99999999999989, -471.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.66666666666686, -468.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162.22222222222217, -463.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166.66666666666686, -459.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (170.66666666666686, -458.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.8888888888888, -454.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.44444444444468, -447.55555555555526))
			Result.extend_point (create {EV_COORDINATE}.make_precise (174.22222222222217, -442.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (174.22222222222217, -433.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.99999999999989, -428.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.44444444444468, -424.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.22222222222217, -426.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (179.55555555555554, -418.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.77777777777794, -412.88888888888869))
			Result.extend_point (create {EV_COORDINATE}.make_precise (179.99999999999989, -408.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (187.11111111111131, -403.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (190.22222222222217, -406.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.33333333333348, -402.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (191.99999999999989, -400.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (194.22222222222217, -403.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (195.11111111111131, -398.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (202.66666666666686, -397.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (202.22222222222217, -400.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (207.55555555555554, -391.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (204.44444444444468, -391.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.11111111111131, -388.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.55555555555554, -391.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.22222222222217, -386.222222222222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666686, -384.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (221.77777777777794, -381.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226.66666666666686, -379.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.55555555555554, -382.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.44444444444468, -378.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.77777777777794, -371.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (235.11111111111131, -373.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.44444444444468, -371.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.8888888888888, -365.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.33333333333348, -362.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (241.77777777777794, -359.55555555555532))
			Result.extend_point (create {EV_COORDINATE}.make_precise (245.33333333333348, -357.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (244.8888888888888, -351.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (245.33333333333348, -347.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (250.22222222222217, -346.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.99999999999989, -338.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (252.8888888888888, -327.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (256.44444444444468, -325.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (253.33333333333348, -321.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (258.22222222222229, -324.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (263.11111111111131, -318.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (260.88888888888903, -324.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259.11111111111131, -331.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666686, -331.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (266.66666666666686, -324.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666686, -321.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666686, -325.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.99999999999966, -327.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.22222222222229, -329.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (275.99999999999966, -327.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.55555555555566, -323.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.33333333333348, -318.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.99999999999966, -305.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282.66666666666686, -296.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (284.88888888888903, -298.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.22222222222229, -298.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.88888888888903, -291.55555555555537))
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.33333333333348, -286.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.55555555555566, -284.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333348, -285.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (305.77777777777794, -281.77777777777749))
			Result.extend_point (create {EV_COORDINATE}.make_precise (311.11111111111131, -268.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (317.77777777777794, -265.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.66666666666686, -255.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.33333333333348, -253.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.77777777777794, -259.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.11111111111131, -262.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.99999999999966, -265.7777777777776))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333348, -268.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.99999999999966, -264.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.66666666666686, -260.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.33333333333348, -245.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (332.44444444444468, -237.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.99999999999966, -237.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.11111111111131, -227.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (334.22222222222229, -227.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.33333333333348, -210.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.55555555555566, -207.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (332.44444444444468, -207.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (332.88888888888903, -199.55555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.22222222222229, -196.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333348, -192.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.44444444444468, -199.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.22222222222229, -208.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.88888888888903, -208.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.44444444444468, -202.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666686, -197.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.99999999999966, -188.44444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.44444444444468, -182.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.55555555555566, -178.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.11111111111131, -171.11111111111097))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344.88888888888903, -166.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344.44444444444468, -159.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.88888888888903, -157.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.77777777777794, -152.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.22222222222229, -150.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (336.88888888888903, -135.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.55555555555566, -118.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330.22222222222229, -111.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.77777777777794, -108.44444444444423))
			Result.extend_point (create {EV_COORDINATE}.make_precise (332.44444444444468, -108.88888888888863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.11111111111131, -101.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (328.88888888888903, -98.222222222221944))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.33333333333348, -92))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.33333333333348, -85.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.33333333333348, -81.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.33333333333348, -80))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.44444444444468, -76))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.44444444444468, -67.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.55555555555566, -65.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.44444444444468, -59.111111111110858))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309.77777777777794, -57.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (304.44444444444468, -56))
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.66666666666686, -45.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.99999999999966, -37.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.66666666666686, -28))
		end

	melville_island_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-183.85185185185173, -592.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-180.29629629629613, -589.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.222222222222, -589.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-174.96296296296282, -583.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-176.44444444444423, -587.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172.88888888888869, -589.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.81481481481467, -588.44444444444412))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168.74074074074053, -590.51851851851825))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.07407407407391, -589.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.88888888888869, -592.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-161.33333333333314, -591.11111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.07407407407391, -587.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159.55555555555532, -584.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.96296296296282, -582.22222222222194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-161.33333333333314, -581.92592592592564))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-163.40740740740722, -578.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-169.03703703703695, -576.29629629629596))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-171.11111111111092, -574.51851851851825))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.92592592592575, -577.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-180.29629629629613, -576.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.92592592592575, -578.07407407407379))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191.85185185185173, -576.88888888888857))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-193.33333333333314, -578.3703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-192.14814814814804, -579.85185185185151))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-192.14814814814804, -581.62962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-188.29629629629613, -580.74074074074042))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-188.59259259259244, -584.59259259259227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.37037037037027, -585.48148148148118))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.07407407407391, -587.25925925925901))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.92592592592575, -588.44444444444412))
		end

invariant

	correct_port: attached target_imp implies port = game.australia

end
