note
	description: "[
		The widget representing this port
		]"
	author: "Jimmy J. Johnson"

class
	DUTCH_HARBOR_WIDGET

inherit

--	GREEN_PORT_WIDGET
--		undefine
--			paint
--		redefine
--			create_interface_objects,
--			initialize,
--			position_widgets,
--			build_land
--		end

	ISLAND_PORT_WIDGET
		redefine
			create_interface_objects,
--			initialize,
			position_widgets,
			build_land,
			rotation_amount
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			unalaska_island := unalaska_island_imp
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
		end

--	initialize
--			-- Set up the widgets in Current.
--		do
--			Precursor {ISLAND_PORT_WIDGET}
----			Precursor {GREEN_PORT_WIDGET}
--		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
			center_on (666, 67)
			bring_to_front (land)
			translate_widget (land, -4, -7)
			scale_widget (land, 0.3)
			rotate_widget (land, 13.0)
			translate_widget (name_mt, 0, -1)
--			marker.center_on_dot (dot)
			marker.set_x_y (dot.x, dot.y)
			translate_widget (marker, 0, 7)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {ISLAND_PORT_WIDGET}
			land.extend (unalaska_island)
		end

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	unalaska_island: EV_MODEL_POLYGON

feature {NONE} -- Implementation

	unalaska_island_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.5555555555556566, -0.59259259259255259))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.148148148148266, -2.6666666666666288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8.5925925925921547, -6.8148148148147811))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.851851851851734, -7.7037037037036953))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.555555555555657, -9.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.296296296296305, -11.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.888888888889142, -10.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.962962962963047, -11.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23.407407407407391, -10.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.518518518518249, -12.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.185185185184991, -13.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.370370370370438, -14.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.259259259258897, -11.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.518518518518249, -12.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32, -12.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32, -14.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (29.92592592592564, -15.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.481481481481524, -18.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34.666666666666742, -21.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (38.518518518518249, -19.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.777777777778056, -15.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.074074074073906, -18.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (41.185185185184991, -21.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47.111111111111313, -15.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (48.296296296296305, -16.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46.518518518518249, -21.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47.703703703703923, -22.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.851851851851734, -18.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.555555555555657, -21.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.92592592592564, -22.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.962962962963047, -23.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.370370370370438, -26.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58.962962962963047, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.259259259258897, -25.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.03703703703718, -25.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.629629629629562, -23.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64, -26.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.03703703703718, -27.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.518518518518249, -28.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.518518518518249, -30.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.444444444444798, -31.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.444444444444798, -33.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.222222222222399, -30.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592155, -32.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.851851851851734, -33.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.333333333333485, -34.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.407407407407391, -33.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.814814814814781, -35.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.851851851851734, -34.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.481481481481524, -34.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.92592592592564, -32.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.740740740740648, -34.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.370370370370438, -35.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (65.185185185184991, -37.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.074074074073906, -40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64.592592592592155, -40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64, -43.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.518518518518249, -45.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.407407407407391, -47.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.666666666666742, -48.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.740740740740648, -49.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.222222222222399, -47.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72, -48))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.481481481481524, -44.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.666666666666742, -46.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.185185185184991, -49.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.148148148148266, -47.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.333333333333485, -49.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.444444444444798, -50.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.962962962963047, -53.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.888888888889142, -53.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.407407407407391, -56.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.185185185184991, -60.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.444444444444798, -62.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.259259259258897, -61.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86.814814814814781, -62.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.407407407407391, -59.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.666666666666742, -56.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.370370370370438, -52.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.777777777778056, -49.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.148148148148266, -51.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.03703703703718, -53.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.518518518518249, -50.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.481481481481524, -49.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.296296296296305, -53.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.814814814814781, -56.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.333333333333485, -57.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.629629629629562, -59.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.740740740740648, -60.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.518518518518249, -61.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.370370370370438, -57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.03703703703718, -60.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.962962962963047, -60.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.481481481481524, -60.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.592592592592155, -62.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.851851851851734, -62.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104, -62.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.77777777777806, -63.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.92592592592564, -63.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.777777777778056, -65.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.222222222222399, -65.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.481481481481524, -65.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.370370370370438, -67.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.888888888889142, -68.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.740740740740648, -68.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.185185185184991, -71.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.518518518518249, -69.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.666666666666742, -68.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.370370370370438, -70.814814814814753))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.851851851851734, -73.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.370370370370438, -73.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.481481481481524, -72.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.111111111111313, -73.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -74.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592155, -74.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592155, -76.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.814814814814781, -76.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -78.814814814814753))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.666666666666742, -79.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64, -79.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.111111111111313, -85.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64.592592592592155, -85.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.370370370370438, -85.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.444444444444798, -87.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.03703703703718, -90.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333485, -93.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.407407407407391, -95.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.185185185184991, -95.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.555555555555657, -97.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.962962962963047, -98.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.03703703703718, -100.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.407407407407391, -99.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.777777777778056, -101.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.666666666666742, -102.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.444444444444798, -101.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (85.03703703703718, -103.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.296296296296305, -104.29629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.666666666666742, -102.51851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.03703703703718, -103.11111111111106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.333333333333485, -104.59259259259255))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.592592592592155, -105.77777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.259259259258897, -107.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.74074074074065, -108.4444444444444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.92592592592564, -106.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.62962962962956, -103.70370370370367))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.51851851851825, -101.92592592592587))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104, -103.11111111111106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.59259259259215, -106.07407407407402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.85185185185173, -109.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.40740740740739, -107.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.77777777777806, -104.29629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.96296296296305, -99.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.70370370370392, -98.962962962962933))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.70370370370392, -96.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.03703703703718, -94.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.81481481481478, -91.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.2962962962963, -90.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.51851851851825, -87.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.2962962962963, -86.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.66666666666674, -87.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.96296296296305, -83.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.2962962962963, -80.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.66666666666674, -80.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.4444444444448, -82.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.51851851851825, -85.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.62962962962956, -86.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.81481481481478, -88.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.81481481481478, -91.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666674, -93.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.88888888888914, -89.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.59259259259215, -86.814814814814753))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.96296296296305, -88.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.55555555555566, -90.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.92592592592564, -91.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128, -91.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.88888888888914, -93.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.88888888888914, -98.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.96296296296305, -97.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.2592592592589, -101.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.85185185185173, -103.70370370370367))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.2222222222224, -105.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.51851851851825, -106.96296296296293))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.2962962962963, -104.29629629629628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.2222222222224, -100.7407407407407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.51851851851825, -97.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.37037037037044, -98.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.55555555555566, -99.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.62962962962956, -100.1481481481481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.51851851851825, -103.11111111111106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.2962962962963, -103.40740740740736))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.88888888888914, -99.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.07407407407391, -97.777777777777715))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.48148148148152, -95.111111111111057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.81481481481478, -93.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (143.70370370370392, -92.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.07407407407391, -93.629629629629619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.55555555555566, -96.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.03703703703718, -95.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.33333333333348, -91.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.37037037037044, -91.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.55555555555566, -88.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.51851851851825, -86.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.85185185185173, -86.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.18518518518499, -88.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136, -84.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.92592592592564, -82.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.92592592592564, -80.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.77777777777806, -79.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.96296296296305, -76.444444444444429))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.88888888888914, -75.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.51851851851825, -75.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.40740740740739, -73.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.48148148148152, -75.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.18518518518499, -73.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.51851851851825, -73.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666674, -71.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.14814814814827, -70.814814814814753))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.70370370370392, -68.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.74074074074065, -68.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.77777777777806, -66.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.55555555555566, -65.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.62962962962956, -65.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.92592592592564, -63.703703703703667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.66666666666674, -61.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.07407407407391, -60.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.03703703703718, -60.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.81481481481478, -62.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.81481481481478, -57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.59259259259215, -60.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.48148148148152, -63.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.37037037037044, -64.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.74074074074065, -62.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.14814814814827, -60.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.62962962962956, -61.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.92592592592564, -64.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.2222222222224, -66.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.96296296296305, -69.629629629629648))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.14814814814827, -67.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.85185185185173, -65.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.92592592592564, -65.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.81481481481478, -63.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.81481481481478, -67.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.40740740740739, -71.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.59259259259215, -72.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.2592592592589, -71.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (140.14814814814827, -68.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.2592592592589, -66.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.92592592592564, -65.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.2222222222224, -66.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.62962962962956, -69.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.03703703703718, -75.25925925925921))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.81481481481478, -72.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.2962962962963, -74.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.66666666666674, -77.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.96296296296305, -72.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.03703703703718, -73.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.33333333333348, -79.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.11111111111131, -81.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152.59259259259215, -79.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152.88888888888914, -82.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.2592592592589, -82.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.62962962962956, -83.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (160, -82.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.4444444444448, -78.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.55555555555566, -76.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.2222222222224, -75.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.4444444444448, -73.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.62962962962956, -71.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.70370370370392, -71.407407407407362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.48148148148152, -66.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152.2962962962963, -65.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.4444444444448, -65.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.92592592592564, -62.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.96296296296305, -62.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.18518518518499, -64.888888888888886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (143.40740740740739, -64.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.88888888888914, -61.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.81481481481478, -59.851851851851819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144, -57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.33333333333348, -57.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.03703703703718, -56.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.77777777777806, -58.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.88888888888914, -55.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.92592592592564, -58.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.62962962962956, -56.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.96296296296305, -56.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.4444444444448, -53.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.37037037037044, -53.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.40740740740739, -50.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.96296296296305, -52.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.2592592592589, -49.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120, -53.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.70370370370392, -49.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.4444444444448, -48.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.2962962962963, -46.814814814814781))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.37037037037044, -42.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.2962962962963, -44.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.62962962962956, -45.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.74074074074065, -42.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.33333333333348, -39.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.4444444444448, -38.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.37037037037044, -39.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.85185185185173, -34.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.48148148148152, -36.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112, -37.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.70370370370392, -42.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.51851851851825, -41.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.03703703703718, -44.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.4444444444448, -40.592592592592553))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.62962962962956, -37.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.2222222222224, -33.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.55555555555566, -34.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.18518518518499, -35.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.2962962962963, -38.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.11111111111131, -34.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.77777777777806, -33.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.14814814814827, -30.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.92592592592564, -29.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.14814814814827, -27.555555555555543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (106.37037037037044, -27.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.77777777777806, -30.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.2962962962963, -29.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.03703703703718, -31.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.03703703703718, -33.48148148148141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.555555555555657, -34.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.666666666666742, -36.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.666666666666742, -39.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.703703703703923, -37.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.777777777778056, -34.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.185185185184991, -31.111111111111086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.074074074073906, -29.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.666666666666742, -27.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.03703703703718, -26.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.74074074074065, -23.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.962962962963047, -23.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.14814814814827, -20.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.185185185184991, -22.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95.703703703703923, -25.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.518518518518249, -21.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.148148148148266, -21.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.148148148148266, -25.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.962962962963047, -23.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.185185185184991, -26.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.888888888889142, -24.296296296296305))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.777777777778056, -21.629629629629676))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.777777777778056, -18.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.296296296296305, -20.444444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.407407407407391, -23.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86.814814814814781, -20.148148148148096))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.740740740740648, -21.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.740740740740648, -24))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.666666666666742, -25.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.481481481481524, -23.703703703703695))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.777777777778056, -21.03703703703701))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.703703703703923, -18.074074074074019))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.518518518518249, -18.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.111111111111313, -22.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.851851851851734, -22.222222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.03703703703718, -24.888888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.259259259258897, -25.185185185185162))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.888888888889142, -23.407407407407391))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.592592592592155, -18.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.666666666666742, -17.777777777777771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64.888888888889142, -19.259259259259238))
			Result.extend_point (create {EV_COORDINATE}.make_precise (62.814814814814781, -14.518518518518476))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.259259259258897, -13.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (57.777777777778056, -11.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.407407407407391, -11.851851851851848))
			Result.extend_point (create {EV_COORDINATE}.make_precise (54.814814814814781, -10.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.370370370370438, -10.370370370370324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (49.777777777778056, -4.740740740740705))
			Result.extend_point (create {EV_COORDINATE}.make_precise (43.851851851851734, -4.1481481481480955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.666666666666742, -5.925925925925867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333485, -2.9629629629629903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333485, -0.59259259259255259))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.592592592592155, 4.7407407407407618))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.481481481481524, 6.814814814814838))
			Result.extend_point (create {EV_COORDINATE}.make_precise (31.703703703703923, 7.4074074074074474))
			Result.extend_point (create {EV_COORDINATE}.make_precise (29.629629629629562, 5.6296296296296759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.666666666666742, 4.7407407407407618))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.592592592592155, 3.8518518518519045))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.518518518518249, 2.6666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.03703703703718, 4.1481481481481524))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.333333333333485, 7.7037037037036953))
			Result.extend_point (create {EV_COORDINATE}.make_precise (21.333333333333485, 9.4814814814815236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.555555555555657, 8.5925925925926094))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.370370370370438, 10.96296296296299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.185185185184991, 8.2962962962963047))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.222222222222399, 6.814814814814838))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.1851851851849915, 6.2222222222222285))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8, 4.4444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.6296296296295623, 5.6296296296296759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.4444444444447981, 2.6666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.7777777777780557, 1.7777777777777715))
		end

feature {NONE} -- Implementation

	rotation_amount: REAL_64 = -50.0
			-- Make the arrow point north-east

end
