note
	description: "[
		Widget representing a {PORT}.
		]"
	author: "Jimmy J. Johnson"

class
	LAE_WIDGET

inherit

	GREEN_PORT_WIDGET
		redefine
			create_interface_objects,
			position_widgets,
			build_land
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {GREEN_PORT_WIDGET}
			mainland := mainland_imp
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {GREEN_PORT_WIDGET}
			center_widget_on_other (land, dot)
			scale_widget (land, 0.07)
			rotate_widget (land, 15.0)
			translate_widget (Current, 302, 385)
			translate_widget (name_mt, 2, -10)
			translate_widget (dot, 15, -5)
			center_widget_on_other (marker, dot)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {GREEN_PORT_WIDGET}
				-- Initialize attributes
			land.extend (mainland)
		end

feature -- Access

	defining_figure: EV_MODEL
			-- The figure to be used to determine if other figures
			-- overlap this one or for capturing mouse events
		do
			Result := mainland
		end

	mainland: EV_MODEL_POLYGON
			-- The Lae have of the green island

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48, -41))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-215, -117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-358, -275))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-628, -424))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-780, -513))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1007, -597))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1226, -628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1437, -599))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1434.3333333333335, -615.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1415.6666666666667, -613.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1410.7777777777778, -615))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1417.8888888888889, -616.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1432.1111111111113, -617.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1437, -617.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1440.1111111111113, -612.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1450.7777777777778, -607))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1456.1111111111113, -613.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1457, -618.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1463.2222222222222, -619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1464.1111111111113, -616.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1468.1111111111113, -614.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1472.5555555555557, -615.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1466.7777777777778, -609.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1469, -606.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1479.6666666666667, -614.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1482.3333333333335, -619.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1486.3333333333335, -619))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485.4444444444446, -615.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1481.8888888888889, -611.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1477.8888888888889, -608.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1484.1111111111113, -610.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1489, -611.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1492.5555555555557, -617.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1488.5555555555557, -618.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1480.5555555555557, -624.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1481.4444444444446, -629.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485.8888888888889, -632.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485.8888888888889, -630.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1490.7777777777778, -627.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1494.3333333333335, -629.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1497.4444444444446, -627))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1493, -626.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1494.3333333333335, -623.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1497, -624.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1499.2222222222222, -623.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1503.6666666666667, -628.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1503.2222222222222, -620.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1506.7777777777778, -626.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1509.4444444444446, -635.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1505.8888888888889, -632.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1505, -634.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1505, -637.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1510.7777777777778, -642.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1512.1111111111113, -651))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517, -647))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1515.6666666666667, -641.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1513.4444444444446, -635.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517.8888888888889, -639))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1519.2222222222222, -642.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1522.7777777777778, -640.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525.4444444444443, -642.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.1111111111111, -646.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1529, -655.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1530.7777777777778, -657.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525, -662.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1526.7777777777778, -669.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1526.7777777777778, -680.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525, -681.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.5555555555557, -683.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1518.3333333333335, -684.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517.8888888888889, -682.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517, -687.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517, -692.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517.4444444444446, -695.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1514.3333333333335, -693.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1511.6666666666667, -693.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1511.2222222222222, -699))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1507.6666666666667, -696.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1509.4444444444446, -703.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1510.7777777777778, -707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1513.4444444444446, -706.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1514.7777777777778, -699.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1518.7777777777778, -699.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1521.8888888888889, -696.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1528.5555555555557, -691))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1527.2222222222222, -684.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1528.1111111111111, -677.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1527.6666666666667, -672.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1528.1111111111111, -666.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1530.7777777777778, -663.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1532.1111111111111, -661.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1537.4444444444443, -662.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1540.1111111111111, -666.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1541, -662.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1538.3333333333335, -659.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1533.8888888888889, -653.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1534.7777777777778, -648.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1537.8888888888889, -648.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1543.6666666666667, -645.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1549.4444444444443, -639))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1550.7777777777778, -634.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1550.3333333333335, -627.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1547.2222222222222, -627.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1545.8888888888889, -623.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1551.6666666666667, -621.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1556.1111111111111, -621.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1552.5555555555557, -619.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1552.1111111111111, -616.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1556.1111111111111, -613.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1558.3333333333335, -608.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1563.6666666666667, -606.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1564.5555555555557, -602.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1575.6666666666667, -603.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1579.2222222222222, -605.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1584.1111111111111, -604.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1585.4444444444443, -599))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1590.3333333333335, -599.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1595.2222222222222, -601.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1594.7777777777778, -604.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1602.3333333333335, -611))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1604.1111111111111, -613.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1606.7777777777778, -615.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1605, -617.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1602.7777777777778, -615.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1602.7777777777778, -618.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1606.7777777777778, -623.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1608.5555555555557, -626.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1610.3333333333333, -635.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1612.5555555555557, -636.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1612.5555555555557, -644.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1610.3333333333333, -643.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1598.3333333333335, -643))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1598.3333333333335, -645.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1596.5555555555557, -648.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1593.8888888888889, -651.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1597, -651.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1598.3333333333335, -656.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1598.7777777777778, -659.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1601.8888888888889, -658.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1604.5555555555557, -659.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1605, -665.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1606.7777777777778, -667.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1602.3333333333335, -673.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1605, -674.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1605, -677.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1609.8888888888889, -677.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1613, -675.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1612.5555555555557, -672.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1614.7777777777778, -670.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1617.8888888888889, -671.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1621, -676.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1625.8888888888889, -681.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1622.3333333333333, -681.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1620.5555555555557, -683.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1622.7777777777778, -685.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1625.4444444444443, -687.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1629, -687.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1638.3333333333333, -691.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1630.3333333333333, -689.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1627.6666666666667, -689.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1627.6666666666667, -691.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1630.3333333333333, -693.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1636.5555555555557, -698.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1644.1111111111111, -703.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1647.2222222222222, -705.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1647.6666666666667, -707.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1650.3333333333333, -707.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1659.6666666666667, -708.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1668.1111111111111, -707))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1671.2222222222222, -705.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1674.3333333333333, -709.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1677, -708.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1679.6666666666667, -710.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1682.3333333333333, -711.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1676.5555555555557, -712.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1676.5555555555557, -715.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1678.7777777777778, -717.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1674.3333333333333, -719.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1675.6666666666667, -722.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1684.1111111111111, -722.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1673.4444444444443, -727))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1669.8888888888889, -727.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1661.8888888888889, -728.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1668.1111111111111, -730.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1663.6666666666667, -733.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1653.8888888888889, -732.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1645.4444444444443, -731.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1638.7777777777778, -731.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1631.6666666666667, -731.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1625.8888888888889, -730.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1617.8888888888889, -723.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1612.1111111111111, -720.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1600.1111111111111, -729.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1590.7777777777778, -737.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1584.1111111111111, -748.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1576.1111111111111, -753.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1568.1111111111111, -755.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1561, -752.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1555.6666666666667, -754.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1553.4444444444443, -749.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1553, -743.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1555.2222222222222, -735.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1552.5555555555557, -739.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1549.8888888888889, -746.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1549, -750.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1546.7777777777778, -743))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1546.7777777777778, -737.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1545.4444444444443, -747))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1542.3333333333335, -740.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1534.7777777777778, -736.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1539.6666666666667, -740.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1537.8888888888889, -742.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1534.3333333333335, -744.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1541.4444444444443, -748.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1541.4444444444443, -750.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1543.2222222222222, -753.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1541.8888888888889, -755))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1536.5555555555557, -751.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1532.5555555555557, -750.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1531.6666666666667, -747))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1528.1111111111111, -743.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1527.2222222222222, -736.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525.8888888888889, -729.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1529, -724.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1526.3333333333335, -727))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525.4444444444443, -734.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.1111111111111, -738.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.1111111111111, -740.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.1111111111111, -747))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1520.1111111111111, -746.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517, -740.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1517.8888888888889, -744.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1515.6666666666667, -746.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1514.3333333333335, -742.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1515.6666666666667, -749.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1520.1111111111111, -749.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1520.5555555555557, -753.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1511.6666666666667, -755.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1508.5555555555557, -763))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1513.4444444444446, -763.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1506.3333333333335, -765.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1507.6666666666667, -767.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1511.6666666666667, -766.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1516.5555555555557, -769.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1515.6666666666667, -772.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1511.2222222222222, -775))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1507.2222222222222, -778.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1512.1111111111113, -779.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1516.5555555555557, -775.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1518.7777777777778, -770.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1520.5555555555557, -767.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525.4444444444443, -768.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1524.5555555555557, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1520.5555555555557, -776.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1516.1111111111113, -779))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1522.7777777777778, -776.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1525.8888888888889, -775.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1527.2222222222222, -773.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1532.1111111111111, -771.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1535.6666666666667, -773.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1540.1111111111111, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1548.5555555555557, -772.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1552.1111111111111, -774.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1559.6666666666667, -774.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1562.7777777777778, -775.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1567.6666666666667, -774.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1570.3333333333335, -775.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1575.6666666666667, -775.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1577.4444444444443, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1585.8888888888889, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1591.2222222222222, -766.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1593.8888888888889, -768.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1597.8888888888889, -768.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1601, -769.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1605.8888888888889, -771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1609.8888888888889, -770.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1612.5555555555557, -767.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1613, -765.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1619.6666666666667, -767))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1621.8888888888889, -769.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1622.3333333333333, -772.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1625, -776.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1631.2222222222222, -776.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1641.4444444444443, -772.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1644.5555555555557, -768.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1651.2222222222222, -768.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1657.4444444444443, -775))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1661, -777.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1661.4444444444443, -780.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1666.7777777777778, -780.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1676.1111111111111, -787.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1670.7777777777778, -791))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1672.5555555555557, -792.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1675.6666666666667, -791))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1677.8888888888889, -794.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1680.1111111111111, -794.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1681.8888888888889, -796.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1680.5555555555557, -799.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1683.2222222222222, -799.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1685.4444444444443, -803.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1684.1111111111111, -806.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1686.3333333333333, -809.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1680.1111111111111, -815.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1676.1111111111111, -818.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1673.8888888888889, -817.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1670.7777777777778, -819.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1677.8888888888889, -820.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1675.2222222222222, -822.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1673.8888888888889, -823.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1677.8888888888889, -823.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1681, -821.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1685.8888888888889, -819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1688.1111111111111, -822.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1689.8888888888889, -825.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1688.5555555555557, -828.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1685.4444444444443, -831.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1683.6666666666667, -833.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1686.3333333333333, -832.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1689.4444444444443, -830.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1693.8888888888889, -831))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1696.5555555555557, -828.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1699.6666666666667, -831.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1704.1111111111111, -830.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1706.3333333333333, -832.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1705.8888888888889, -836.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1709.4444444444443, -835.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1712.1111111111111, -835.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1715.2222222222222, -838.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1716.1111111111111, -841.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1720.1111111111111, -840.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1725.8888888888889, -841.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1725.8888888888889, -838.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1728.5555555555557, -836.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1734.7777777777778, -841.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1733.4444444444443, -846.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1739.2222222222222, -851.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1737, -848.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1741, -847))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1739.2222222222222, -843))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1742.7777777777778, -839))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1751.2222222222222, -836.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1754.3333333333333, -841.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1759.2222222222222, -842.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1761.4444444444443, -843.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1771.2222222222222, -842.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1776.1111111111111, -844.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1770.3333333333333, -850.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1769.4444444444443, -856.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1771.6666666666667, -853.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1775.2222222222222, -851.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1779.2222222222222, -855))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1784.5555555555557, -853.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1788.1111111111111, -861.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1791.6666666666667, -859.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1793.4444444444443, -865.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1795.2222222222222, -870.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1799.6666666666667, -874.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1795.6666666666667, -875.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1803.6666666666667, -884.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1803.2222222222222, -888.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1789, -891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1777.4444444444443, -895))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1775.6666666666667, -890.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1767.6666666666667, -892.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1763.2222222222222, -886.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1764.1111111111111, -882.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1757.8888888888889, -884.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1757.8888888888889, -879.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1761.8888888888889, -875.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1764.1111111111111, -877.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1765.8888888888889, -871))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1767.6666666666667, -867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1766.3333333333333, -862.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1769.4444444444443, -860.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1767.6666666666667, -858.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1764.1111111111111, -860.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1759.2222222222222, -862.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1753, -868.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1749.8888888888889, -876.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1749, -883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1745.4444444444443, -887))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1745.8888888888889, -891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1748.1111111111111, -896.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1751.6666666666667, -900.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1740.1111111111111, -903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1730.7777777777778, -906.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1725.4444444444443, -909.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1721, -909.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1725, -905.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1717.8888888888889, -906.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1694.3333333333333, -911))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1688.1111111111111, -913.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1688.1111111111111, -916.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1681, -923.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1673.8888888888889, -925.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1672.1111111111111, -929.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1671.6666666666667, -932.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1667.2222222222222, -933.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1663.2222222222222, -938.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1657, -938.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1656.1111111111111, -940.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1649.4444444444443, -941.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1641, -944.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1629, -941.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1615.6666666666667, -942.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1607.6666666666667, -936.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1596.1111111111111, -933.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1593.4444444444443, -934.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1592.1111111111111, -930.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1589, -930.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1586.3333333333335, -928.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1581.8888888888889, -928.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1579.6666666666667, -925.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1575.6666666666667, -926.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1574.3333333333335, -923.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1566.3333333333335, -920.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1566.3333333333335, -917.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1561.8888888888889, -915.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1559.2222222222222, -911.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1553.4444444444443, -908.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1537, -906.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1537.4444444444443, -908.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1521, -907.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1518.7777777777778, -910.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1495.6666666666667, -908.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1489.4444444444446, -903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485, -897.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1487.6666666666667, -892.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1491.6666666666667, -894.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1492.1111111111113, -891.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1494.7777777777778, -890.55555555555554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1495.2222222222222, -886.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1492.1111111111113, -883))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1489.8888888888889, -875.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1486.3333333333335, -873.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1484.1111111111113, -868.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1479.6666666666667, -867))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1475.2222222222222, -855.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1471.2222222222222, -853.22222222222217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1474.7777777777778, -850.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.3333333333335, -843.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.3333333333335, -838.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.3333333333335, -834.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1482.7777777777778, -829.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485.4444444444446, -825.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1490.7777777777778, -824.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1488.5555555555557, -819))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1487.6666666666667, -806.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485, -803))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1483.6666666666667, -808.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1480.1111111111113, -813.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.7777777777778, -816.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1475.2222222222222, -816.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1475.6666666666667, -812.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.3333333333335, -810.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1478.3333333333335, -806.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1480.1111111111113, -802.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1481.4444444444446, -797.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1483.6666666666667, -800.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1487.2222222222222, -802.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1484.5555555555557, -797.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1483.2222222222222, -791.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1487.2222222222222, -787.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1485.8888888888889, -778.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1484.1111111111113, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1481, -764.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1476.5555555555557, -755.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1473.4444444444446, -753.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1468.1111111111113, -743.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1465, -741.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1466.3333333333335, -738.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1461.8888888888889, -727.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1459.2222222222222, -726.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1458.7777777777778, -720.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1456.1111111111113, -719.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1456.1111111111113, -714.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1452.1111111111113, -715.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1449.8888888888889, -719.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1451.6666666666667, -726.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1451.6666666666667, -731.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1454.3333333333335, -732.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1455.2222222222222, -741.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1450.7777777777778, -749.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1449.4444444444446, -747.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1446.7777777777778, -748.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1448.5555555555557, -752.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1450.3333333333335, -755.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1452.1111111111113, -760.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1449, -759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1446.3333333333335, -758.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1445.8888888888889, -766.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1444.5555555555557, -761.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1444.5555555555557, -755.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1445.8888888888889, -751))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1442.3333333333335, -747.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1440.1111111111113, -749.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1437, -740.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1437, -727))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1435.2222222222222, -719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1437.4444444444446, -717.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1434.7777777777778, -712.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1435.2222222222222, -707.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1433, -704.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1427.6666666666667, -701.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1427.2222222222222, -706.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1424.1111111111113, -706.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1424.1111111111113, -709.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1421.4444444444446, -709.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1421.8888888888889, -712.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1419.2222222222222, -708.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1420.5555555555557, -705.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1419.2222222222222, -701.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1422.7777777777778, -700.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1424.1111111111113, -689.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1421, -690.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1418.3333333333335, -687))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1420.1111111111113, -682.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1417, -681.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1418.3333333333335, -678.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1413, -678.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1411.2222222222222, -680.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1410.3333333333335, -675))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1405.4444444444446, -670.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1402.7777777777778, -671.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1398.3333333333335, -671.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1397.4444444444446, -667.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1392.5555555555557, -667.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1385.8888888888889, -667.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1376.1111111111113, -667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1368.5555555555557, -670.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1363.6666666666667, -667.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1354.7777777777778, -676.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1353, -683.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1349, -687.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1342.7777777777778, -688.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1341, -691.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1337.4444444444446, -692.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1339.2222222222222, -695.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1334.7777777777778, -699.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1331.2222222222222, -698.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1330.3333333333335, -702.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1323.6666666666667, -704.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1320.5555555555557, -712.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1323.2222222222222, -711.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1320.5555555555557, -716.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1319.6666666666667, -722.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1309.8888888888889, -732.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1301.8888888888889, -734.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1294.3333333333335, -738.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1289.4444444444446, -749.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1288.1111111111113, -757.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1284.5555555555557, -759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1285.4444444444446, -767))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1277.4444444444446, -774.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1272.1111111111113, -774.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269, -775.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1264.1111111111113, -773.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1260.1111111111113, -770.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1256.1111111111113, -771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1253.4444444444446, -771))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1250.3333333333335, -772.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1246.7777777777778, -769.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1239.6666666666667, -776.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1233, -776.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1229.8888888888889, -782.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1224.1111111111113, -781.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1218.7777777777778, -784.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1213.4444444444446, -783.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1208.1111111111113, -784.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1202.7777777777778, -788.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1205.4444444444446, -791))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1208.5555555555557, -791.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1205, -794.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1207.6666666666667, -799))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1210.3333333333335, -799.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1214.3333333333335, -803.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1214.7777777777778, -812.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1206.3333333333335, -815.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1200.5555555555557, -816.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1186.3333333333335, -825.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1180.1111111111113, -831))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1176.5555555555557, -831))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1168.5555555555557, -834.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1165, -837.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1156.5555555555557, -839.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1154.7777777777778, -841.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1141.8888888888891, -842.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1134.3333333333335, -835))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1123.6666666666667, -827))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1119.6666666666667, -827))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1106.3333333333335, -820.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1080.5555555555557, -813.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.1111111111113, -811.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1063.2222222222224, -803.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.5555555555557, -794.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.6666666666667, -796.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1040.5555555555557, -795.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1031.2222222222224, -788.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1022.3333333333334, -785.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1017.4444444444446, -781.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1009, -779.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-993.88888888888903, -769.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-982.33333333333337, -765.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-969.44444444444457, -759))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-951.66666666666674, -760.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-944.55555555555566, -760.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-942.77777777777783, -764.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-933.88888888888903, -758.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-932.55555555555566, -754.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-929, -755.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-921, -751))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-917.44444444444457, -751.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-919.2222222222224, -756.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-911.66666666666674, -754.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-901.44444444444457, -754.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-886.33333333333337, -750.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-882.33333333333337, -743.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-885, -741.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-888.1111111111112, -738.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-885.44444444444457, -735))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-878.77777777777783, -736.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-879.66666666666674, -739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-873, -736.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-863.66666666666674, -737.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-858.33333333333337, -739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-843.2222222222224, -735))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-829.44444444444457, -729.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-815.2222222222224, -723.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-792.11111111111131, -712.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-785.44444444444457, -709.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-778.33333333333348, -703.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-769, -705.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-752.55555555555566, -693.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-747.66666666666674, -693.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-737.88888888888914, -691))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-725, -683.44444444444446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-720.55555555555566, -680.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-715.66666666666674, -681.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-683.66666666666674, -670.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-678.77777777777783, -671.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-668.11111111111131, -670.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-660.11111111111131, -669.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-652.55555555555566, -666.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-640.55555555555566, -665.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-636.11111111111131, -661.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-630.77777777777783, -663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-625.88888888888914, -654.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-622.33333333333348, -657.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-618.77777777777783, -655.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-619.66666666666674, -650.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-609.44444444444457, -645.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-607.2222222222224, -647.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-601.88888888888914, -643.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-602.33333333333348, -641.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-592.55555555555566, -636.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-592.11111111111131, -631.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-586.77777777777783, -628.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-583.2222222222224, -630.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-571.66666666666674, -630.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-575.2222222222224, -626.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-566.33333333333348, -624.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.66666666666674, -627.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-569, -629.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.2222222222224, -631))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.44444444444457, -630.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.55555555555566, -627))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-537.44444444444457, -622.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-534.77777777777783, -620.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-537, -618.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.55555555555566, -613.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-533, -610.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-528.11111111111131, -610.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-512.11111111111131, -602.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-507.2222222222224, -597.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-510.33333333333348, -595.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-509.44444444444457, -592.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-505, -593.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-498.33333333333348, -587.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-497.44444444444457, -582.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-494.77777777777806, -582.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-492.55555555555566, -577.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-486.77777777777806, -576.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-482.77777777777806, -573.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-467.2222222222224, -575.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-463.66666666666674, -571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-458.33333333333348, -569.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-445.88888888888914, -555))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-434.77777777777806, -541.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-421.88888888888914, -533.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-421.88888888888914, -529.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-424.55555555555566, -524.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-421.88888888888914, -514.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-422.77777777777806, -510.5555555555556))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-422.33333333333348, -497.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-426.33333333333348, -489.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-426.33333333333348, -486.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-428.11111111111131, -480.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-423.2222222222224, -474.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-418.77777777777806, -476.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-413, -474.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-406.33333333333348, -476.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-404.11111111111131, -473.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-398.33333333333348, -473.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-393.88888888888914, -470.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-390.77777777777806, -471))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-387.66666666666674, -468.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380.55555555555566, -467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-377.4444444444448, -465.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-374.33333333333348, -467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371.66666666666674, -466.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-370.77777777777806, -463))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-365.88888888888914, -463))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-364.55555555555566, -464.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-361.88888888888914, -463.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-360.55555555555566, -461.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-353.4444444444448, -458.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-349, -450.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-340.55555555555566, -450.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-333, -441.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-329.4444444444448, -443))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-321.88888888888914, -440.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.11111111111131, -436.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-312.11111111111131, -433.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-310.33333333333348, -435.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-306.33333333333348, -435))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-306.33333333333348, -431.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302.33333333333348, -433.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-293.88888888888914, -431.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-289.88888888888914, -436.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-285, -434.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.77777777777806, -435))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-281.4444444444448, -432.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-272.55555555555566, -431.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-268.11111111111131, -425.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-261, -422.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-256.11111111111131, -417.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-251.66666666666674, -410.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-251.66666666666674, -405.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-248.11111111111131, -401.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240.11111111111131, -399.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.88888888888914, -393.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.77777777777806, -387.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-236.55555555555566, -381.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-236.11111111111131, -376.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234.77777777777806, -369.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237.4444444444448, -367))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-245, -363.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-254.77777777777806, -362.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-261.4444444444448, -362.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-260.11111111111131, -359))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269.4444444444448, -359.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-278.33333333333348, -363.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-281.88888888888914, -359.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.33333333333348, -359.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-297.88888888888914, -360.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.2222222222224, -363.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.88888888888914, -363))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309.88888888888914, -361.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315.2222222222224, -359.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317.88888888888914, -350.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317, -346.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-318.77777777777806, -343.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-316.55555555555566, -337.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309.4444444444448, -333.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.88888888888914, -327.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309.4444444444448, -325.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-308.11111111111131, -322.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-304.55555555555566, -320.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-300.55555555555566, -314.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-301.88888888888914, -310.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.2222222222224, -305.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.66666666666674, -300.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.66666666666674, -298.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-296.55555555555566, -295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-293.4444444444448, -293.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-292.55555555555566, -291))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-289.88888888888914, -293.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-287.2222222222224, -289.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-282.77777777777806, -289.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-281.4444444444448, -287))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-275.2222222222224, -284.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-273, -280.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, -279.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.33333333333348, -275.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, -273.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.77777777777806, -271.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-261.88888888888914, -271.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-259.66666666666674, -268.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-262.33333333333348, -267.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-259.66666666666674, -264.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-253, -263.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-250.77777777777806, -259.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-249.88888888888914, -256.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-250.33333333333348, -253.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-247.66666666666674, -250.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-244.55555555555566, -248.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-242.33333333333348, -251.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-238.77777777777806, -248.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.66666666666674, -250.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229.4444444444448, -245.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-226.33333333333348, -246.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-225.4444444444448, -241.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-222.33333333333348, -237.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-221.4444444444448, -239.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-210.77777777777806, -238.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-210.33333333333348, -232.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-208.11111111111131, -229.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-205.88888888888914, -223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-203.2222222222224, -215))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-204.55555555555566, -206.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201.4444444444448, -204.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200.55555555555566, -198.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-202.77777777777806, -196.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201, -190.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-196.11111111111131, -187.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.77777777777806, -187.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185.4444444444448, -184.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-179.2222222222224, -183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177.88888888888914, -179.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.77777777777806, -175))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178.77777777777806, -166.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-176.55555555555566, -160.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.88888888888914, -155.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172.55555555555566, -150.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166.77777777777806, -143.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-157.88888888888914, -142.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-149, -142.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.88888888888914, -144.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141.4444444444448, -147.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-130.33333333333348, -147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123.2222222222224, -148.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.33333333333348, -153.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-118.33333333333348, -150.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.11111111111131, -152.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-108.55555555555566, -150.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.55555555555566, -151))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.4444444444448, -145.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-104.55555555555566, -142.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-101.4444444444448, -140.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-102.33333333333348, -136.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-106.77777777777806, -135.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.88888888888914, -133.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.88888888888914, -125.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112.11111111111131, -122.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114.77777777777806, -120.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-113.88888888888914, -115))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.4444444444448, -106.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.2222222222224, -104.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-97, -103.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.777777777778056, -99))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.777777777778056, -95))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.333333333333485, -97.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.333333333333485, -96.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.222222222222399, -95))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.111111111111313, -97.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69.444444444444798, -95.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-61.888888888889142, -98.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-59.222222222222399, -95.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.777777777778056, -95.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53, -92.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.111111111111313, -94.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.777777777778056, -95.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.666666666666742, -94.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.777777777778056, -91.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.666666666666742, -90.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.222222222222399, -86.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.222222222222399, -85.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.555555555555657, -82.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.777777777778056, -79.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.333333333333485, -79.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-62.333333333333485, -79.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.777777777778056, -76.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.333333333333485, -73.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.222222222222399, -70.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.777777777778056, -68.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.444444444444798, -61.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50.333333333333485, -58.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.888888888889142, -53.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.222222222222399, -52.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33, -52.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29, -48.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.777777777778056, -51.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.222222222222399, -50.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.333333333333485, -48.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.777777777778056, -47.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.888888888889142, -43.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.77777777777760093, -40.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7, -39))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.8888888888886868, -41.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.777777777777601, -39.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.666666666666515, -38.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.444444444444343, -35))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.333333333333258, -34.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.555555555555202, -36.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (28.777777777777601, -36.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.666666666666515, -37.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.666666666666515, -39.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.777777777777601, -36.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (31.444444444444343, -35.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (28.777777777777601, -32.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.111111111110858, -34.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23.444444444444343, -30.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.444444444444343, -29.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.666666666666515, -26.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11, -28.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3.6666666666667425, -31.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.2222222222223991, -29.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.6666666666667425, -24.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-5, -22.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.4444444444443434, -21.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.5555555555552019, -19.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.555555555555202, -17.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.888888888888687, -16.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.444444444444343, -11.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23, -10.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.555555555555202, -6.5555555555556566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.777777777777601, -6.5555555555556566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.111111111110858, -5.2222222222223991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.888888888888687, -3.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.6666666666665151, -1.2222222222223991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.2222222222219443, -3.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.5555555555552019, -3))
		end

invariant

	correct_port: attached target_imp implies port = game.lae

end
