note
	description: "[
		The widget representing this port
		]"
	author: "Jimmy J. Johnson"

class
	OKINAWA_WIDGET

inherit

--	GREEN_PORT_WIDGET
--		undefine
--			paint
--		redefine
--			create_interface_objects,
--			initialize,
--			position_widgets,
--			build_land
--		end

	ISLAND_PORT_WIDGET
		redefine
			create_interface_objects,
--			initialize,
			position_widgets,
			build_land,
			rotation_amount
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			mainland := mainland_imp
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
		end

--	initialize
--			-- Set up the widgets in Current.
--		do
--			Precursor {ISLAND_PORT_WIDGET}
----			Precursor {GREEN_PORT_WIDGET}
--		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {GREEN_PORT_WIDGET}
			center_on (295, 174)
			translate_widget (land, 28, -80)
			translate_widget (name_mt, 0, 0)
--			translate_widget (dot, -30, -30)
--			marker.center_on_dot (dot)
			marker.set_x_y (dot.x, dot.y)
			translate_widget (marker, 2, 5)
			scale_widget (land, 0.04)
			rotate_widget (land, 13.0)
			bring_to_front (marker)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {ISLAND_PORT_WIDGET}
			land.extend (mainland)
		end

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland: EV_MODEL_POLYGON

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (8, 1))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6, 7))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19, 15))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18, 21))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24, 22))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26, 29))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32, 23))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37, 25))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39, 37))
			Result.extend_point (create {EV_COORDINATE}.make_precise (48, 52))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47, 66))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53, 77))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51, 85))
			Result.extend_point (create {EV_COORDINATE}.make_precise (49, 96))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53, 101))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47, 105))
			Result.extend_point (create {EV_COORDINATE}.make_precise (49, 114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39, 117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37, 124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (31, 124))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32, 133))
			Result.extend_point (create {EV_COORDINATE}.make_precise (29, 135))
			Result.extend_point (create {EV_COORDINATE}.make_precise (28, 142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22, 147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19, 161))
			Result.extend_point (create {EV_COORDINATE}.make_precise (10, 167))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9, 175))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3, 176))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1, 181))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1, 186))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4, 189))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14, 199))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21, 199))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37, 202))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53, 203))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65, 200))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-76, 200))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75, 207))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71, 217))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75, 227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85, 224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-91, 223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-89, 233))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83, 237))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-80, 247))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75, 249))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83, 251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82, 261))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88, 260))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103, 263))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-110, 273))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-117, 274))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112, 281))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-123, 276))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-129, 270))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-138, 264))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-148, 267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155, 263))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-157, 267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-152, 276))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147, 288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159, 289))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-160, 295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164, 296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-175, 295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181, 295))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182, 301))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186, 299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-191, 301))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-185, 310))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-188, 321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-199, 329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-209, 331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-213, 325))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-223, 326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-220, 330))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-224, 335))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-222, 341))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-227, 345))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-223, 355))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-233, 353))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-241, 355))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-248, 351))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-256, 348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-264, 346))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-276, 343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-285, 344))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-296, 354))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299, 364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-307, 363))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-310, 369))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302, 371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-300, 378))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-290, 386))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-280, 396))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274, 398))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274, 407))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-275, 415))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, 431))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-255, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-246, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-240, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234, 458))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-242, 454))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-244, 457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-239, 464))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-245, 473))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-252, 468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-259, 467))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, 454))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-278, 446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-291, 447))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-303, 444))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-304, 449))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-296, 453))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302, 457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309, 458))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-310, 465))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317, 464))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-321, 473))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-318, 481))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-321, 489))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-329, 495))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-333, 504))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339, 510))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-340, 527))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-352, 545))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-350, 554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-348, 568))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339, 571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-339, 565))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-336, 559))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315, 554))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315, 563))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-307, 568))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-307, 577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315, 579))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-325, 588))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-331, 595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-338, 605))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-351, 608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-365, 614))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-371, 623))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-381, 634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-387, 640))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-398, 640))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-410, 643))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-418, 652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-423, 650))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-435, 646))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-435, 627))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-432, 621))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-431, 614))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-428, 605))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-432, 604))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-435, 602))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-438, 608))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-442, 605))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-440, 597))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-442, 592))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-429, 588))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-440, 585))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-442, 576))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-438, 568))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-445, 571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-445, 565))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-447, 557))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-450, 550))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-446, 546))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-441, 535))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-436, 534))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-424, 521))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-424, 510))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-412, 503))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-399, 491))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-392, 486))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-389, 491))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380, 483))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-368, 474))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-361, 457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-367, 455))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-375, 443))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-373, 433))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-382, 408))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-389, 395))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-396, 375))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-394, 361))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-392, 353))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-386, 353))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-378, 364))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-374, 368))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-370, 362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-358, 357))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-350, 347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-341, 351))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-329, 350))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-330, 342))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-325, 334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-312, 328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-307, 320))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299, 317))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302, 312))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-302, 306))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-297, 299))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-291, 303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-284, 297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-276, 294))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-267, 297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-258, 291))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-246, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-244, 282))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-234, 273))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-228, 273))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-220, 267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-211, 265))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-202, 249))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200, 235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-207, 231))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-219, 228))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-225, 222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-231, 222))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-237, 219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-243, 216))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-248, 223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-255, 223))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-264, 218))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, 202))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274, 187))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274, 178))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, 170))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-269, 163))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-277, 153))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-275, 142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-273, 133))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-256, 141))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-252, 138))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-244, 139))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229, 138))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-224, 134))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-205, 138))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-207, 142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181, 150))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178, 145))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-182, 131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167, 133))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166, 140))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164, 146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172, 148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-181, 156))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190, 164))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-175, 159))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168, 161))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-166, 169))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164, 180))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-179, 180))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190, 180))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-189, 174))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-195, 175))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-187, 185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-178, 194))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-168, 197))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-162, 192))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147, 191))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-135, 185))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-120, 178))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-112, 164))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-114, 159))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103, 135))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84, 134))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82, 130))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71, 126))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68, 117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-73, 111))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75, 105))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-68, 105))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-57, 100))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-50, 96))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48, 89))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38, 86))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25, 65))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18, 59))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18, 54))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10, 41))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-11, 36))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3, 19))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7, 14))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7, 4))
		end

feature {NONE} -- Implementation

	rotation_amount: REAL_64 = 180.0
			-- Make the arrow point north-east

end
