note
	description: "[
		Widget representing a {PORT}.
		]"
	author: "Jimmy J. Johnson"

class
	PHILIPPINES_WIDGET

inherit

	GREEN_PORT_WIDGET
		redefine
			create_interface_objects,
			set_fonts_and_colors,
			position_widgets,
			build_land
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {GREEN_PORT_WIDGET}
			luzon := luzon_imp
			mindoro := mindoro_imp
			panay := panay_imp
			negros := negros_imp
			cebu := cebu_imp
			bohol := bohol_imp
			leyte := leyte_imp
			samar := samar_imp
			masbate := masbate_imp
			catanduanes := catanduanes_imp
			mindanao := mindanao_imp
		end

	set_fonts_and_colors
			-- Set the default fonts for any text widgets and set
			-- the default colors for any contained widgets.
		do
			Precursor {GREEN_PORT_WIDGET}
			dot.set_foreground_color (Yellow)
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {GREEN_PORT_WIDGET}
				-- make adjustments
			scale_widget (land, 0.07)
			rotate_widget (land, 5.0)
--			text_widget.set_point_position (190, 585)
			text_group.set_point_position (190, 585)
			dot.set_point_position (200, 600)
--			marker.center_on_dot (dot)
			marker.set_x_y (dot.x, dot.y)
			translate_widget (Current, 11, -350)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {GREEN_PORT_WIDGET}
				-- Initialize attributes
			land.extend (luzon)
			land.extend (mindoro)
			land.extend (panay)
			land.extend (negros)
			land.extend (cebu)
			land.extend (bohol)
			land.extend (leyte)
			land.extend (samar)
			land.extend (masbate)
			land.extend (catanduanes)
			land.extend (mindanao)
		end

feature -- Access

	luzon: EV_MODEL_POLYGON
	mindoro: EV_MODEL_POLYGON
	panay: EV_MODEL_POLYGON
	negros: EV_MODEL_POLYGON
	cebu: EV_MODEL_POLYGON
	bohol: EV_MODEL_POLYGON
	leyte: EV_MODEL_POLYGON
	samar: EV_MODEL_POLYGON
	masbate: EV_MODEL_POLYGON
	catanduanes: EV_MODEL_POLYGON
	mindanao: EV_MODEL_POLYGON

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	luzon_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333428, 9.3333333333333321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.666666666666686, 1.9999999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.666666666666686, 2.666666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.333333333333314, 33.999999999999993))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.33333333333331, 34.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.66666666666669, 24.666666666666661))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.33333333333326, 12.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.66666666666663, 13.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130, 22.666666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (133.99999999999994, 26))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.66666666666669, 39.333333333333321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.66666666666663, 53.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.33333333333331, 72.666666666666671))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.66666666666669, 77.999999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.33333333333326, 121.33333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.66666666666669, 125.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.66666666666663, 124.66666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.99999999999994, 141.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.66666666666663, 147.33333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333326, 143.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.99999999999994, 153.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148, 161.33333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.99999999999994, 211.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.66666666666663, 221.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666669, 229.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.33333333333326, 234.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.33333333333331, 249.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.66666666666669, 228.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.33333333333331, 229.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.66666666666669, 238.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.666666666666686, 244.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.333333333333343, 266.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (65.333333333333314, 274.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72, 275.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72, 280))
			Result.extend_point (create {EV_COORDINATE}.make_precise (67.999999999999972, 282.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.666666666666686, 297.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.666666666666657, 311.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.666666666666657, 325.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (56.666666666666657, 328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.666666666666657, 361.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.999999999999943, 374.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333343, 376.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.333333333333286, 404.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.333333333333258, 413.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.333333333333258, 422.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.999999999999943, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.33333333333331, 448))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666669, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.333333333333314, 421.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.66666666666663, 419.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.66666666666669, 444.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132, 437.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (120.66666666666663, 425.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333331, 418))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130, 425.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (135.33333333333326, 430))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666663, 416.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.66666666666669, 407.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.99999999999994, 412.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (173.33333333333326, 411.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (184, 415.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (200.66666666666663, 431.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (204.66666666666669, 449.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (202, 461.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216, 465.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.99999999999994, 458.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.99999999999994, 445.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216.66666666666669, 439.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.33333333333331, 431.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (235.3333333333332, 446.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (261.99999999999994, 449.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (285.99999999999994, 463.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (275.33333333333331, 465.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (268.66666666666663, 469.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (249.99999999999994, 466.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (245.33333333333331, 475.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (265.33333333333331, 500.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.99999999999994, 511.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (265.99999999999994, 512.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (265.99999999999994, 525.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.3333333333332, 528.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666663, 522.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277.33333333333331, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282, 521.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (294, 531.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (300, 527.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (305.33333333333331, 529.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333331, 535.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333331, 547.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.66666666666663, 567.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.33333333333326, 577.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.33333333333331, 568.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (273.99999999999994, 563.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (273.99999999999994, 551.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (253.99999999999989, 543.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (234, 529.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.33333333333326, 533.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666669, 523.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.99999999999994, 513.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (214.66666666666663, 505.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.33333333333326, 494.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (193.99999999999994, 485.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.33333333333326, 474.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.33333333333326, 465.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (169.99999999999994, 456.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166, 460.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162.66666666666669, 451.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144, 447.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.66666666666669, 464.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.33333333333326, 470.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (162, 484.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.66666666666669, 513.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (160.66666666666663, 517.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152.66666666666669, 512.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333326, 502.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.66666666666663, 479.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666669, 478.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.66666666666669, 461.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.99999999999994, 460))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.999999999999943, 454))
			Result.extend_point (create {EV_COORDINATE}.make_precise (90.666666666666686, 450.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (85.333333333333314, 444.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78, 443.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78, 448))
			Result.extend_point (create {EV_COORDINATE}.make_precise (57.333333333333343, 454.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.333333333333314, 461.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (56.666666666666657, 467.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52, 472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42, 473.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.333333333333314, 477.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.333333333333314, 470.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.333333333333314, 460.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.3333333333333428, 470.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.9999999999999716, 460))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.9999999999999716, 450.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.000000000000028, 448.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.333333333333314, 459.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20, 430))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333343, 428.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24, 415.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-11.333333333333343, 412.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.6666666666666856, 396.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333428, 395.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.9999999999999716, 377.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1.3333333333333144, 369.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.666666666666686, 365.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24, 358.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24, 366.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.666666666666657, 371.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.000000000000028, 387.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.333333333333314, 398.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.333333333333314, 397.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42, 384.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.666666666666657, 373.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.999999999999986, 361.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.666666666666671, 359.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-58.666666666666671, 370.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-67.333333333333329, 371.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.666666666666671, 359.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-71.333333333333314, 341.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78, 318.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85.333333333333329, 309.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81.999999999999986, 296.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-82.666666666666671, 281.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-88.666666666666657, 278.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-84.666666666666671, 272.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-86.666666666666671, 259.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92, 254.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-94.666666666666671, 259.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.333333333333314, 259.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.333333333333314, 244.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-96, 218.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.999999999999986, 215.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-78.666666666666657, 235.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-67.333333333333329, 237.33333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-66.666666666666686, 245.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.666666666666671, 245.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.333333333333314, 235.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44, 222.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46, 211.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46, 200.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.666666666666686, 189.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.333333333333314, 173.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.666666666666657, 164.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.666666666666657, 138.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38, 125.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.333333333333314, 110.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.333333333333314, 102.66666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.333333333333314, 92.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.666666666666657, 83.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.666666666666686, 78.666666666666671))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36, 76))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38, 67.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333314, 61.999999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.666666666666657, 52.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.333333333333343, 46.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.000000000000028, 39.333333333333321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-22.000000000000028, 29.333333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.000000000000028, 14.666666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.333333333333314, 10.666666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.000000000000028, 11.999999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8.6666666666666572, 9.3333333333333321))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-5.3333333333333144, 11.33333333333333))
		end

	mindoro_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42, 484))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8.0000000000000284, 490.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.9999999999999716, 485.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.333333333333286, 495.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24, 491.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.999999999999972, 481.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46.666666666666629, 508.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.666666666666686, 509.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.999999999999972, 520.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.333333333333314, 519.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.999999999999943, 525.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58.666666666666686, 530.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.333333333333314, 552.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66, 565.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.999999999999943, 572.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58.666666666666686, 575.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52, 580.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.333333333333314, 591.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (48.666666666666686, 591.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (44.666666666666657, 599.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36, 603.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.666666666666686, 602.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.999999999999972, 613.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.333333333333314, 609.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.333333333333343, 600.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.999999999999972, 599.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.666666666666657, 594.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.3333333333333144, 577.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.3333333333333144, 571.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.66666666666668561, 560.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.6666666666666856, 558.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.3333333333333428, 548.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.3333333333333428, 534.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.666666666666686, 515.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.666666666666686, 513.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333314, 507.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.333333333333314, 496))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.333333333333314, 496))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.666666666666686, 500.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.666666666666657, 499.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.666666666666686, 492.66666666666669))
		end

	panay_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.999999999999943, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114, 643.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.99999999999994, 643.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.66666666666663, 658.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.66666666666669, 667.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (165.33333333333331, 668.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.33333333333331, 657.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (183.33333333333331, 668.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (188.66666666666669, 670.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.33333333333331, 677.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (193.33333333333331, 675.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.33333333333331, 664.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (209.33333333333331, 675.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.33333333333326, 676.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (207.99999999999994, 679.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210, 686.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666669, 688.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666669, 695.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (208.66666666666663, 703.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (204, 705.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (199.99999999999994, 705.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (199.99999999999994, 709.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.33333333333331, 719.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.33333333333331, 721.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.66666666666663, 730.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.66666666666669, 741.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.66666666666663, 747.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (170.66666666666669, 761.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.99999999999994, 766.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (168.66666666666669, 770.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.99999999999994, 771.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (160.66666666666663, 775.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (152.66666666666669, 773.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.33333333333331, 768.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150, 757.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666663, 755.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.99999999999994, 743.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.99999999999994, 742.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.99999999999994, 747.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126, 752.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.66666666666663, 757.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.66666666666669, 761.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.33333333333331, 769.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.33333333333331, 773.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.999999999999943, 771.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.999999999999943, 765.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.33333333333331, 761.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.99999999999994, 750.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.333333333333258, 743.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.333333333333258, 735.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.66666666666663, 717.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.66666666666669, 705.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.99999999999994, 696.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.33333333333331, 691.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.66666666666663, 686.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (109.33333333333326, 678.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.66666666666669, 673.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.33333333333331, 657.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.33333333333331, 659.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (103.33333333333331, 652.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.66666666666663, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (91.999999999999943, 649.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.666666666666686, 637.33333333333314))
		end

	negros_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.66666666666663, 729.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.99999999999994, 728.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.99999999999994, 719.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 714.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.99999999999994, 723.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (244.66666666666663, 727.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.99999999999994, 735.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (242.66666666666669, 745.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (241.99999999999994, 757.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (229.33333333333331, 772.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.99999999999994, 791.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.3333333333332, 812.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (208.66666666666663, 821.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.99999999999994, 844.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210, 853.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222, 865.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (224.66666666666669, 881.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.99999999999994, 891.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.99999999999994, 897.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (210, 896.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.99999999999994, 900.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (202.66666666666669, 897.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (195.33333333333326, 899.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.33333333333326, 895.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (182.66666666666663, 885.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.99999999999994, 872.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.33333333333326, 869.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333326, 859.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (148.66666666666669, 852.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.33333333333326, 843.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (141.33333333333326, 843.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666663, 827.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.33333333333326, 820.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.33333333333331, 814.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166, 813.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (174.66666666666663, 805.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (180.66666666666669, 805.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (184, 801.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.33333333333326, 791.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (184.66666666666669, 777.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.66666666666663, 769.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.99999999999994, 762.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (188.66666666666669, 758.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (193.33333333333331, 739.99999999999977))
		end

	cebu_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.33333333333331, 687.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (294, 697.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.66666666666669, 711.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.99999999999994, 719.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.99999999999989, 726.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.99999999999994, 730.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288, 741.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.99999999999989, 766.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.66666666666669, 777.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.66666666666669, 783.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (276, 789.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270.66666666666669, 789.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (258.66666666666669, 799.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (258.66666666666669, 805.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (253.99999999999989, 803.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.33333333333331, 825.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (246.66666666666669, 826.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (246.66666666666669, 836.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (242.66666666666669, 836.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (238.66666666666663, 852.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.66666666666663, 862.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228.66666666666669, 868.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.99999999999994, 862.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.33333333333331, 833.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (233.33333333333331, 821.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.33333333333326, 818.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (238.66666666666663, 801.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (249.33333333333326, 789.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (248.66666666666669, 781.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (256.66666666666663, 776.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666663, 766.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (260.66666666666669, 761.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666663, 753.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270.66666666666669, 745.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (280.66666666666663, 721.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.66666666666669, 717.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282, 711.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.33333333333331, 704.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.3333333333332, 695.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.99999999999989, 689.33333333333326))
		end

	bohol_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.99999999999994, 795.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (314.66666666666669, 795.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.66666666666669, 802.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (334.66666666666669, 805.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333331, 799.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.99999999999994, 798.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666669, 805.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333331, 807.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (338.66666666666669, 819.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.99999999999994, 823.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.33333333333331, 826.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.33333333333331, 831.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.66666666666669, 836.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.3333333333332, 837.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330.66666666666669, 834.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 839.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 846.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (300.66666666666669, 849.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.33333333333326, 851.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (276, 847.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (266.66666666666669, 856.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (264, 852.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (261.99999999999994, 849.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666663, 843.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (275.33333333333331, 837.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270, 837.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (267.99999999999994, 833.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.3333333333332, 823.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.99999999999994, 819.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282, 814.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.99999999999989, 814.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.66666666666663, 806.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.33333333333326, 804.66666666666652))
		end

	leyte_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (318.66666666666669, 657.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (327.33333333333326, 653.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333331, 658.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.3333333333332, 669.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.33333333333331, 675.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.99999999999994, 677.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.99999999999994, 679.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.66666666666669, 691.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.99999999999994, 691.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333331, 684.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333331, 681.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.3333333333332, 681.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.99999999999994, 694.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380.66666666666657, 699.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (378.66666666666669, 706.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.99999999999994, 719.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.99999999999994, 728.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.99999999999994, 743.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389.33333333333331, 749.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.99999999999994, 753.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.33333333333331, 760.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.99999999999983, 777.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.66666666666657, 777.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.99999999999994, 781.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.3333333333332, 789.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.99999999999994, 786.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.66666666666669, 790.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.33333333333331, 798.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.99999999999983, 800.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (406.66666666666669, 818.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.33333333333331, 821.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (396.66666666666669, 807.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (392.66666666666669, 807.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389.33333333333331, 801.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (388.66666666666669, 794.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.3333333333332, 777.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 777.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.99999999999983, 788.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.99999999999994, 791.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.3333333333332, 799.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.3333333333332, 811.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.99999999999994, 806.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (370.66666666666669, 805.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369.99999999999994, 800.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (361.3333333333332, 801.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.3333333333332, 795.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (359.33333333333331, 785.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (358.66666666666669, 779.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.99999999999994, 776.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.33333333333331, 765.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (356.66666666666669, 761.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (359.33333333333331, 749.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.3333333333332, 739.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.3333333333332, 732.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (348.66666666666669, 726.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.33333333333331, 719.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.33333333333331, 721.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (336.66666666666669, 732.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330, 733.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.99999999999989, 727.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.33333333333326, 727.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 721.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.99999999999994, 713.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 708.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (323.33333333333331, 697.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.66666666666663, 688.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.99999999999994, 683.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.33333333333331, 670.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.66666666666663, 665.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (323.33333333333331, 675.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (330, 685.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (328.66666666666663, 673.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 667.99999999999977))
		end

	samar_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (312, 571.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.33333333333331, 575.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.66666666666669, 567.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (326.66666666666657, 573.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (337.99999999999994, 578.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (366.66666666666669, 576.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (364.66666666666669, 571.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.66666666666669, 573.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.3333333333332, 575.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (376.66666666666669, 564.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (385.33333333333331, 563.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (388.66666666666669, 573.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.66666666666669, 573.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (404.66666666666669, 584.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (406.66666666666669, 597.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.99999999999983, 598.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (427.3333333333332, 609.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.3333333333332, 611.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (417.99999999999983, 617.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.66666666666669, 617.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.33333333333331, 623.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.99999999999994, 629.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.3333333333332, 640.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.33333333333331, 647.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.99999999999983, 650.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (420.66666666666657, 661.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.99999999999994, 666.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.3333333333332, 669.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.33333333333331, 673.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.99999999999994, 678.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.66666666666657, 682.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.99999999999983, 685.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (436.66666666666657, 691.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.3333333333332, 694.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.66666666666657, 701.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.99999999999983, 699.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (438.66666666666657, 699.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.99999999999994, 708.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.3333333333332, 725.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (447.3333333333332, 719.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999994, 715.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (437.3333333333332, 707.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.99999999999994, 710.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.66666666666657, 705.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (424.66666666666669, 711.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666657, 707.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.66666666666657, 711.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.99999999999994, 706.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.66666666666657, 712.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.33333333333331, 703.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.66666666666669, 692.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.66666666666669, 695.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 691.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (376.66666666666669, 685.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.66666666666669, 677.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369.99999999999994, 673.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (365.99999999999994, 677.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (360.66666666666669, 669.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.99999999999994, 655.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (353.33333333333331, 653.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.99999999999994, 655.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (364.66666666666669, 667.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369.3333333333332, 666.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 661.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.99999999999994, 657.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.3333333333332, 652.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (375.99999999999994, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (368.66666666666669, 652.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (361.99999999999994, 644.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (349.33333333333331, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (349.99999999999994, 625.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.3333333333332, 623.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (326.66666666666657, 617.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (318.66666666666669, 602.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.66666666666663, 586.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312, 585.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (312.66666666666669, 578.66666666666652))
		end

	masbate_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 570.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (226.66666666666663, 571.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (229.33333333333331, 580.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (234.66666666666669, 578.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (246, 581.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (249.33333333333326, 592.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259.33333333333331, 596.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (267.99999999999994, 605.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277.33333333333331, 606.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.66666666666663, 629.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (285.33333333333326, 627.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (294, 641.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (294, 653.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282, 641.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.3333333333332, 635.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666663, 635.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (261.99999999999994, 627.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.33333333333331, 618.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (243.99999999999994, 607.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (233.33333333333331, 608.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.66666666666663, 617.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.33333333333331, 619.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.33333333333331, 627.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.3333333333332, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.99999999999994, 637.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (209.33333333333331, 634.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.66666666666669, 625.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.99999999999994, 615.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.3333333333332, 614.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666669, 607.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (216, 606.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 594.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666669, 587.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 578.66666666666652))
		end

	catanduanes_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.66666666666663, 436))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.99999999999994, 436))
			Result.extend_point (create {EV_COORDINATE}.make_precise (306, 429.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.33333333333331, 438.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.33333333333326, 448))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.99999999999994, 444.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (321.99999999999994, 450.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.99999999999989, 454.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.33333333333331, 463.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (324, 465.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.99999999999989, 472))
			Result.extend_point (create {EV_COORDINATE}.make_precise (319.33333333333331, 472.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (318, 484))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.33333333333326, 478.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.66666666666657, 478.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.66666666666657, 489.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299.33333333333331, 479.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.66666666666663, 478.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.3333333333332, 471.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (296.66666666666669, 467.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333331, 446.66666666666663))
		end

	mindanao_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.66666666666657, 829.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.33333333333331, 819.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.3333333333332, 820.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.3333333333332, 813.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.99999999999983, 805.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.66666666666669, 805.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.66666666666669, 795.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.66666666666657, 791.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.99999999999983, 781.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.33333333333331, 779.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.99999999999983, 767.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.99999999999994, 774.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.33333333333331, 789.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.3333333333332, 793.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (437.99999999999994, 799.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.99999999999994, 806.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999994, 812.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.3333333333332, 821.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (448.66666666666669, 827.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (442.66666666666669, 835.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.3333333333332, 835.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (436.66666666666657, 846.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.99999999999994, 853.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (464.66666666666657, 863.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.33333333333331, 869.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (469.99999999999983, 867.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (465.3333333333332, 871.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (473.99999999999994, 882.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (484.66666666666669, 875.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (490.66666666666657, 875.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666669, 881.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.99999999999994, 894.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (498.66666666666669, 910.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (499.99999999999994, 921.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.3333333333332, 935.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (479.33333333333331, 938.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.99999999999994, 946.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.66666666666657, 945.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.33333333333331, 945.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.99999999999983, 952.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (501.99999999999994, 957.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.66666666666657, 959.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (499.3333333333332, 963.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (502.66666666666669, 967.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.99999999999983, 964.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.99999999999983, 971.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (496.66666666666669, 975.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (500.66666666666657, 978.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (510.66666666666657, 972.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (510.66666666666657, 977.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (512.66666666666674, 994.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.99999999999983, 994.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.3333333333332, 1001.3333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (502.66666666666669, 1001.3333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.33333333333331, 1008.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (513.33333333333326, 1013.3333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (514.66666666666674, 1017.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.66666666666674, 1020.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520, 1034.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.99999999999977, 1036.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.99999999999977, 1047.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520, 1047.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520, 1061.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (524.66666666666652, 1061.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.33333333333326, 1068.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (518.66666666666652, 1068.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (518, 1077.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (514, 1077.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.99999999999994, 1086))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511.99999999999994, 1092))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.99999999999983, 1089.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (499.99999999999994, 1089.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (496.66666666666669, 1097.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (501.99999999999994, 1102.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (500.66666666666657, 1107.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (495.3333333333332, 1106))
			Result.extend_point (create {EV_COORDINATE}.make_precise (496.66666666666669, 1102.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.66666666666657, 1094))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.3333333333332, 1095.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.66666666666657, 1102.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (493.99999999999994, 1112.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.99999999999994, 1120.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (488.66666666666657, 1133.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (490.66666666666657, 1140.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666669, 1142.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666669, 1155.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.99999999999983, 1148))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.99999999999994, 1146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.3333333333332, 1143.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (476.66666666666669, 1136))
			Result.extend_point (create {EV_COORDINATE}.make_precise (475.33333333333331, 1122))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.99999999999994, 1119.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (478.66666666666669, 1113.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (475.99999999999994, 1112.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (475.33333333333331, 1104))
			Result.extend_point (create {EV_COORDINATE}.make_precise (470.66666666666657, 1101.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (465.99999999999994, 1094))
			Result.extend_point (create {EV_COORDINATE}.make_precise (467.33333333333331, 1088.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (464.66666666666657, 1082))
			Result.extend_point (create {EV_COORDINATE}.make_precise (460.66666666666669, 1082.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (457.99999999999994, 1077.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459.3333333333332, 1072.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451.99999999999983, 1063.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (445.3333333333332, 1066.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.99999999999994, 1064))
			Result.extend_point (create {EV_COORDINATE}.make_precise (437.99999999999994, 1071.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999994, 1076.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.99999999999983, 1071.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (449.99999999999983, 1077.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (449.99999999999983, 1086.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (449.99999999999983, 1094))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.66666666666669, 1089.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.33333333333331, 1082.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (436.66666666666657, 1081.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.99999999999983, 1086.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (424.66666666666669, 1098.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.3333333333332, 1106.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (413.99999999999983, 1114.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666669, 1126.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.99999999999994, 1124.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (426.66666666666669, 1133.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.99999999999994, 1131.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.3333333333332, 1136.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.99999999999994, 1140))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.33333333333331, 1147.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999994, 1156.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (444.66666666666669, 1167.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (441.3333333333332, 1182.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.33333333333331, 1204.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (424.66666666666669, 1209.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (416.66666666666657, 1221.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.3333333333332, 1220))
			Result.extend_point (create {EV_COORDINATE}.make_precise (405.99999999999994, 1210.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (397.99999999999983, 1203.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (396.66666666666669, 1191.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.99999999999994, 1185.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.33333333333331, 1177.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (394.66666666666669, 1173.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.66666666666669, 1192.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.99999999999983, 1194.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333331, 1188.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.66666666666669, 1171.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (302.66666666666669, 1160.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.33333333333326, 1155.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (298.66666666666663, 1153.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.99999999999994, 1146))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.33333333333331, 1130))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.99999999999994, 1130.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.66666666666669, 1116.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (291.33333333333326, 1111.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288, 1107.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (285.33333333333326, 1112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (283.33333333333331, 1101.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.66666666666657, 1076))
			Result.extend_point (create {EV_COORDINATE}.make_precise (300, 1072.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (310.66666666666663, 1057.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.66666666666657, 1049.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (301.33333333333331, 1052))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.3333333333332, 1032))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277.33333333333331, 1025.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (263.33333333333331, 1022.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259.33333333333331, 1015.3333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.33333333333331, 1011.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.66666666666657, 1014.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (243.99999999999994, 1016.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (240, 1020.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (240, 1028.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228, 1036.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (230.66666666666669, 1043.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.66666666666657, 1047.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.33333333333326, 1054.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.99999999999994, 1055.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.33333333333331, 1050.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.66666666666663, 1046))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222.66666666666669, 1040))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.3333333333332, 1040))
			Result.extend_point (create {EV_COORDINATE}.make_precise (213.33333333333326, 1046))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.33333333333331, 1038.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (212.66666666666669, 1032.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666669, 1022.6666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (198.66666666666669, 1028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (201.33333333333331, 1034.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.66666666666663, 1046))
			Result.extend_point (create {EV_COORDINATE}.make_precise (186.66666666666669, 1040))
			Result.extend_point (create {EV_COORDINATE}.make_precise (181.33333333333326, 1048.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (186.66666666666669, 1052))
			Result.extend_point (create {EV_COORDINATE}.make_precise (188.66666666666669, 1048.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (192.66666666666663, 1056))
			Result.extend_point (create {EV_COORDINATE}.make_precise (187.99999999999994, 1059.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (179.33333333333331, 1062.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.99999999999994, 1056.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (179.33333333333331, 1043.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.99999999999994, 1043.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.99999999999994, 1020.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (172.66666666666663, 1020.6666666666665))
			Result.extend_point (create {EV_COORDINATE}.make_precise (169.33333333333331, 1015.9999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.66666666666669, 1019.9999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.33333333333326, 1033.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.33333333333331, 1038.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.99999999999994, 1044.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.33333333333331, 1069.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126, 1074))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128.66666666666663, 1079.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (122.66666666666669, 1087.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.33333333333331, 1089.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (131.33333333333331, 1092.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.99999999999994, 1100))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108, 1097.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.33333333333331, 1093.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94, 1075.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.66666666666663, 1065.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.33333333333331, 1061.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (107.33333333333331, 1058))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112, 1042.6666666666667))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.66666666666669, 1035.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.33333333333331, 1034))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.33333333333326, 1027.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112.66666666666669, 1021.9999999999999))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.99999999999994, 1017.9999999999998))
			Result.extend_point (create {EV_COORDINATE}.make_precise (119.99999999999994, 1009.333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126, 1005.3333333333333))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.33333333333331, 999.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.33333333333331, 991.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (161.33333333333331, 987.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166.66666666666669, 980.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (169.33333333333331, 984.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (187.99999999999994, 982.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (195.33333333333326, 974.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (188.66666666666669, 969.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (195.33333333333326, 963.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (191.99999999999994, 958.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (198.66666666666669, 955.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (199.99999999999994, 949.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.99999999999994, 947.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (222, 948.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228, 935.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.33333333333326, 930.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (241.33333333333331, 937.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (246.66666666666669, 943.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (249.99999999999994, 934.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (258.66666666666669, 937.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (264, 945.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (269.33333333333331, 948.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666663, 960.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666663, 974.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (274.66666666666663, 982.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (264, 991.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (258, 991.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (253.3333333333332, 995.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.33333333333331, 1001.3333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (264, 995.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270, 989.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (279.33333333333326, 985.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282, 980.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (289.99999999999989, 979.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.33333333333326, 977.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309.99999999999994, 972.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (307.3333333333332, 964.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.33333333333331, 958.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (314.66666666666669, 945.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.33333333333331, 937.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (334.66666666666669, 943.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (341.33333333333331, 946.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.3333333333332, 953.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (354.66666666666669, 945.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.3333333333332, 939.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.3333333333332, 932.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (352.66666666666669, 926.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (358.66666666666669, 925.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.99999999999994, 906.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (365.33333333333331, 901.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333331, 909.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (385.33333333333331, 917.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.99999999999994, 917.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.33333333333331, 909.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.3333333333332, 901.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (393.99999999999994, 896.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.99999999999983, 893.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (401.99999999999994, 903.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (411.3333333333332, 904.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (424.66666666666669, 899.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.3333333333332, 891.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.99999999999983, 885.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.99999999999994, 874.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666657, 870.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666669, 839.33333333333314))
		end

invariant

	correct_port: attached target_imp implies port = game.philippines

end
