note
	description: "[
		Widget representing a {PORT}.
		]"
	author: "Jimmy J. Johnson"

class
	PORT_MORESBY_WIDGET

inherit

	GREEN_PORT_WIDGET
		redefine
			create_interface_objects,
			position_widgets,
			build_land
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {GREEN_PORT_WIDGET}
			mainland := mainland_imp
			dot.set_foreground_color (Chrome)
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {GREEN_PORT_WIDGET}
			center_widget_on_other (land, dot)
			scale_widget (land, 0.07)
			rotate_widget (land, 15)
			translate_widget (Current, 311, 399)
			translate_widget (name_mt, -7, -1)
			translate_widget (marker, -120, -110)

			bring_to_front (dot)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {GREEN_PORT_WIDGET}
				-- Initialize attributes
			land.extend (mainland)
		end

feature -- Access

	defining_figure: EV_MODEL
			-- The figure to be used to determine if other figures
			-- overlap this one or for capturing mouse events
		do
			Result := mainland
		end

	mainland: EV_MODEL_POLYGON
			-- The Port Moresby half of the green island

feature -- Status report

	is_red: BOOLEAN = False
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48, -41))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-214.99999999999977, -117))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-357.99999999999977, -275))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-627.99999999999977, -424))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-779.99999999999977, -513))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1006.9999999999999, -597))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1225.9999999999998, -628))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1436.9999999999998, -599))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1429.4444444444443, -591))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1421.4444444444443, -587.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1414.7777777777776, -587.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1411.6666666666665, -582.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1399.6666666666665, -575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1387.6666666666665, -567.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1382.7777777777776, -569.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1372.5555555555554, -570.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1366.3333333333333, -571.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1350.333333333333, -567))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1340.1111111111109, -566.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1321.8888888888887, -566.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1312.5555555555554, -558.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1298.333333333333, -550.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1287.2222222222222, -548.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1285.4444444444443, -550.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1269.8888888888887, -543))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1266.333333333333, -538.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1257.4444444444443, -536.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1243.6666666666665, -527.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1236.1111111111111, -528.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1231.6666666666665, -532.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1226.7777777777776, -532.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1230.7777777777776, -528.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1224.9999999999998, -525.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1221.8888888888887, -527))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1218.333333333333, -530.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1217.8888888888887, -527))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1217.8888888888887, -523.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1215.6666666666665, -522.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1212.5555555555554, -525.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1212.1111111111111, -521.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1208.9999999999998, -521.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1205.4444444444443, -519))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1204.1111111111109, -524.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1201.8888888888887, -523.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1201.4444444444443, -519.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1197.8888888888887, -516.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1197.8888888888887, -521.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1195.6666666666665, -517.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1192.1111111111109, -513.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1184.9999999999998, -507.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1183.6666666666665, -511.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1180.9999999999998, -508.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1178.333333333333, -505.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1176.5555555555554, -507.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1174.3333333333333, -511.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1173.4444444444443, -508.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1168.9999999999998, -507.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1172.5555555555554, -505.22222222222234))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1173.4444444444443, -503.00000000000006))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1164.5555555555554, -500.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.1111111111109, -504.33333333333343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1159.2222222222222, -501.66666666666669))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1160.9999999999998, -501.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1161.4444444444443, -498.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1158.7777777777776, -492.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1154.7777777777776, -493.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1154.7777777777776, -491))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1158.333333333333, -488.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1156.9999999999998, -484.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1153.8888888888889, -488.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1152.1111111111111, -485.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1147.2222222222222, -485.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1138.3333333333333, -479))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1130.7777777777776, -475))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1124.9999999999998, -471))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1128.1111111111111, -467.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1126.3333333333333, -454.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1126.3333333333333, -450.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1122.7777777777776, -452.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1119.2222222222222, -454.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1115.2222222222222, -453.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1117.8888888888889, -449.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1116.5555555555554, -445.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1107.2222222222222, -441.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1096.9999999999998, -444.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1096.9999999999998, -442.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1109.4444444444443, -439.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1109.8888888888887, -435.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1103.6666666666665, -430.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1102.3333333333333, -419.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1096.9999999999998, -411.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1097.4444444444443, -407.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1095.2222222222222, -397.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1092.9999999999998, -392.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1085, -386.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1077.8888888888889, -378.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1074.3333333333333, -374.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1069.8888888888889, -371.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1057.4444444444443, -363.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1060.5555555555554, -364.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.6666666666665, -369.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.1111111111109, -366.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.6666666666665, -362.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1064.1111111111111, -358.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1057.8888888888889, -352.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1050.3333333333333, -352.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1043.2222222222222, -351.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.4444444444443, -346.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1032.1111111111111, -342.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1027.6666666666665, -340.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1029.4444444444443, -339))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1034.7777777777776, -343))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1041.8888888888889, -347.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1045.8888888888889, -350.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.5555555555557, -350.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1059.2222222222222, -349.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1061.8888888888887, -353.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1068.1111111111111, -358.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.6666666666665, -358.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1075.6666666666665, -360.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1077.8888888888889, -358.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1073, -352.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.2222222222222, -348.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1065.8888888888889, -347.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1062.7777777777778, -350.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1060.5555555555554, -348.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1064.1111111111111, -346.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1067.6666666666665, -345.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.5555555555554, -345.22222222222229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1075.2222222222222, -346.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1081.4444444444443, -343.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1081.8888888888889, -339.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1078.3333333333333, -335))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1075.6666666666665, -334.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1064.9999999999998, -325.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1057.4444444444443, -322.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1048.5555555555554, -322.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1039.2222222222222, -317.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1029.4444444444443, -316.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1025, -316.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1021.8888888888889, -323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1018.3333333333333, -321.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1020.5555555555554, -319.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1022.7777777777776, -316.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1025.4444444444443, -314.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1031.6666666666665, -314.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1038.3333333333333, -314.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.1111111111111, -315))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1048.5555555555554, -319))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1054.3333333333333, -316.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1063.6666666666665, -316.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.1111111111109, -317.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.1111111111109, -315))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1062.3333333333333, -312.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1059.2222222222222, -308.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1053.8888888888889, -307))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1048.5555555555554, -298.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.9999999999998, -288.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.8888888888887, -288.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1032.1111111111111, -287))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1031.2222222222222, -282.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1035.6666666666665, -277.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.4444444444443, -272.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1038.7777777777778, -268.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1040.1111111111111, -264.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1039.6666666666665, -258.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.9999999999998, -254.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049.4444444444443, -251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.6666666666665, -247.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.6666666666665, -253.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1048.1111111111109, -256.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1042.3333333333333, -259))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1042.3333333333333, -266.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1040.1111111111111, -271.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1039.2222222222222, -277.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1034.333333333333, -283.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1047.6666666666665, -286.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.6666666666665, -289.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1054.3333333333333, -296.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1063.2222222222222, -301.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1073, -302.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1081.4444444444443, -301.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1105.4444444444443, -295.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1118.333333333333, -289.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1128.1111111111111, -279.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1136.9999999999998, -269.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1148.1111111111109, -251.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1150.7777777777776, -241.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1156.1111111111109, -233.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1162.3333333333333, -220.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1165.4444444444443, -203.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1162.7777777777776, -203.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1156.5555555555554, -207.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1146.333333333333, -210.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1129.8888888888889, -209.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1116.1111111111111, -209.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1110.333333333333, -208.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1108.9999999999998, -204.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1100.5555555555554, -206.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1091.6666666666665, -211.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1085, -217.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1076.1111111111111, -223.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.6666666666665, -232.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1066.3333333333333, -232.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1060.5555555555554, -234.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1057.8888888888889, -238.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.9999999999998, -239))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.5555555555557, -242.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.5555555555557, -244.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049, -246.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049.8888888888887, -242.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049, -239))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1051.6666666666665, -236.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1055.6666666666665, -236.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1056.5555555555554, -232.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1060.5555555555554, -231))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1066.3333333333333, -228.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1069.4444444444443, -229.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1072.1111111111109, -224.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1077.4444444444443, -219.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1081.4444444444443, -215.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1081.4444444444443, -213.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1078.3333333333333, -211.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1071.6666666666665, -211.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1064.1111111111111, -209.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1057.8888888888889, -210.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1050.3333333333333, -209.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1047.6666666666665, -211.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.5555555555554, -212.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1041.8888888888889, -214.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1041.8888888888889, -218.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1044.5555555555554, -220.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1047.2222222222222, -218.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1048.5555555555554, -215))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1049.8888888888887, -219))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.9999999999998, -223.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1055.6666666666665, -227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1055.2222222222222, -229.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1052.9999999999998, -225.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1050.3333333333333, -221.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1046.333333333333, -223.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1043.6666666666665, -225.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1037.8888888888887, -231.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1022.3333333333331, -236.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1020.9999999999998, -242.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1020.9999999999998, -234.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1016.1111111111111, -228.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-1010.3333333333331, -226.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-995.66666666666652, -227.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-988.99999999999989, -231.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-976.11111111111097, -234.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-961.88888888888891, -233.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-956.55555555555554, -233.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-952.55555555555543, -237.66666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-947.66666666666652, -238.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-944.99999999999977, -238.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-945.44444444444446, -235.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-949.44444444444434, -235.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-953.44444444444434, -234.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-955.66666666666663, -230.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-954.77777777777771, -226.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-937.44444444444434, -213.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-928.99999999999989, -206.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-920.55555555555554, -200.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-916.99999999999989, -193.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-907.22222222222217, -187.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-903.22222222222217, -177.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-894.33333333333326, -165.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-879.66666666666652, -152.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-874.33333333333326, -146.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-869.44444444444434, -143.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-858.33333333333326, -139.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-852.11111111111109, -136.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-848.55555555555554, -130.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-841.44444444444434, -130.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-833.44444444444434, -134.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-828.55555555555543, -139.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-820.99999999999977, -140.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-816.11111111111109, -137.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-812.99999999999977, -134.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-805.88888888888891, -134.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-803.66666666666652, -131.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-796.11111111111109, -135))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-787.22222222222217, -135.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-776.55555555555543, -133.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-771.66666666666652, -135.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-773.44444444444434, -133.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-765.44444444444457, -135))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-752.11111111111109, -139.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-749.88888888888891, -149.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-747.22222222222217, -154.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-747.22222222222217, -151.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-748.55555555555543, -145.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-748.55555555555543, -141.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-748.55555555555543, -137.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-742.7777777777776, -132.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-735.66666666666652, -133.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-728.55555555555543, -131.44444444444468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-719.66666666666652, -122.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-710.7777777777776, -121.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-702.33333333333326, -125.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-694.7777777777776, -131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-684.99999999999977, -135.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-682.7777777777776, -139.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-672.55555555555543, -145.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-663.22222222222217, -146.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-660.99999999999977, -149.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-647.2222222222224, -147.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-644.99999999999977, -151.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-641.88888888888891, -150.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-638.7777777777776, -149.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-637.44444444444434, -152.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-637.44444444444434, -155))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-640.55555555555543, -155))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-640.11111111111109, -166.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-641.88888888888891, -167.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-640.55555555555543, -175.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-648.99999999999977, -185.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-655.22222222222217, -192.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-664.99999999999977, -199.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-671.2222222222224, -203.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-683.66666666666652, -206.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-694.33333333333326, -212.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-701.88888888888891, -215.44444444444468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-709.44444444444434, -215.44444444444468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-715.66666666666674, -214.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-720.55555555555543, -211.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-724.11111111111109, -210.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-729.88888888888891, -212.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-732.11111111111109, -217.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-734.33333333333326, -223.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-736.55555555555543, -227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-742.7777777777776, -227.44444444444468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-739.22222222222217, -230.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-733.88888888888891, -229.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-731.66666666666652, -225.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-731.2222222222224, -220.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-729.44444444444457, -215))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-723.66666666666652, -214.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-720.55555555555543, -215))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-715.66666666666674, -218.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-712.11111111111109, -218.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-706.33333333333326, -220.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-697.44444444444434, -218.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-690.33333333333326, -214.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-686.7777777777776, -216.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-681.44444444444457, -212.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-673.44444444444434, -214.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-664.55555555555543, -217.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-652.99999999999977, -220.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-646.7777777777776, -222.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-626.7777777777776, -222.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-623.2222222222224, -222.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-614.7777777777776, -224.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-613.44444444444434, -228.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-618.33333333333326, -227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-624.11111111111109, -229.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-620.55555555555543, -230.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-616.11111111111109, -230.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-616.11111111111109, -234.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-620.55555555555543, -236.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-613.88888888888891, -236.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-616.99999999999977, -240.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-624.11111111111109, -243))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-618.7777777777776, -244.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-612.99999999999977, -240.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-607.22222222222217, -241.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-599.2222222222224, -240.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-598.7777777777776, -244.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-594.7777777777776, -243.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-595.22222222222217, -251.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-598.7777777777776, -256.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-600.11111111111109, -265.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-599.2222222222224, -268.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-593.88888888888891, -261.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-588.55555555555543, -259.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-590.7777777777776, -265.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-595.66666666666674, -268.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-600.99999999999977, -274.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-590.7777777777776, -269.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-585.44444444444457, -266.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-580.11111111111109, -265.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-579.66666666666652, -269.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-576.99999999999977, -264.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-572.55555555555543, -262.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-572.11111111111109, -267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-570.33333333333326, -262.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.66666666666652, -264.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-565.44444444444434, -267))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-563.66666666666652, -271.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-567.22222222222217, -274.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-561.88888888888891, -275.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-559.22222222222217, -270.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-556.55555555555543, -270.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-558.33333333333326, -275.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-557.88888888888891, -278.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-554.7777777777776, -274.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-553.44444444444434, -270.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-552.55555555555543, -266.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-549.88888888888891, -266.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-547.22222222222217, -268.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-544.99999999999977, -263.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-540.11111111111109, -263))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-544.55555555555543, -268.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-545.44444444444434, -271.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-545.44444444444434, -275))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-548.11111111111109, -281.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-548.55555555555543, -284.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-545.44444444444434, -282.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-540.99999999999977, -276.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-539.2222222222224, -272.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.99999999999977, -275))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-540.55555555555543, -279.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-539.2222222222224, -281.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-540.11111111111109, -287.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.99999999999977, -291.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-536.99999999999977, -286.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-535.22222222222217, -279.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-530.33333333333326, -276.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-525.88888888888891, -276.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-527.66666666666652, -283.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-527.66666666666652, -287.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-525.88888888888891, -285.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-523.22222222222217, -287))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-523.22222222222217, -281.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-518.33333333333326, -278.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-518.7777777777776, -275.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-512.11111111111109, -275.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-510.7777777777776, -280.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-512.11111111111109, -284.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.55555555555543, -282.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.99999999999977, -279.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.11111111111109, -276.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.11111111111109, -272.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-508.55555555555543, -268.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-512.11111111111109, -270.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-507.66666666666652, -265.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-498.7777777777776, -263))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-493.88888888888891, -259))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-488.55555555555543, -261.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-481.88888888888891, -259))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-473.44444444444457, -258.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-466.33333333333326, -257.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-461.88888888888891, -254.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-457.44444444444457, -249.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-438.77777777777783, -251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-425.44444444444457, -247))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-420.11111111111109, -241.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-406.33333333333326, -238.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-399.22222222222217, -235.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-395.2222222222224, -229.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-392.11111111111109, -223.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-383.2222222222224, -220.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380.55555555555543, -211.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-380.99999999999977, -206.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-373.44444444444457, -193.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-366.33333333333326, -187.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-360.55555555555543, -183))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-357.44444444444457, -175.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-355.66666666666674, -170.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-352.99999999999977, -157.22222222222251))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-348.99999999999977, -150.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-338.33333333333326, -147))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-331.22222222222217, -145.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-324.11111111111109, -140.77777777777794))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317.44444444444457, -146.11111111111131))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-315.2222222222224, -149.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-316.99999999999977, -143.44444444444468))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.55555555555543, -141.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-322.33333333333326, -137.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-321.88888888888891, -132.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.55555555555543, -125.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-314.77777777777806, -125.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-311.2222222222224, -113.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-303.2222222222224, -108.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-304.55555555555543, -113.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-301.88888888888891, -114.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-299.66666666666674, -110.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.66666666666674, -103.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-290.77777777777806, -103.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-292.11111111111131, -108.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-288.11111111111109, -107.88888888888914))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.33333333333326, -100.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-278.33333333333348, -94.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-274.33333333333326, -86.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-268.99999999999977, -80.777777777777942))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-266.77777777777806, -73.222222222222513))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-261.4444444444448, -67.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-259.22222222222217, -62.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-252.99999999999977, -58.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-249, -58.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-247.66666666666674, -50.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-244.99999999999977, -52.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-239.66666666666674, -55.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.22222222222217, -52.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-229.44444444444457, -52.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-225.4444444444448, -43.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-220.11111111111131, -47))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-213.88888888888891, -47.444444444444684))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-208.55555555555543, -51.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-203.2222222222224, -58.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-204.55555555555566, -54.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-204.11111111111109, -51.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200.55555555555543, -51))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-197.44444444444457, -47))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-193.88888888888891, -48.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-190.77777777777783, -43.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186.33333333333326, -41.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-173.44444444444457, -43.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-164.11111111111109, -43.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-159.66666666666652, -47.444444444444684))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-156.55555555555566, -45.666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-158.33333333333348, -43.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-151.22222222222217, -42.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.2222222222224, -40.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-150.33333333333326, -38.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-142.33333333333326, -39))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136.11111111111131, -36.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.88888888888891, -31.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-129.4444444444448, -36.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-122.77777777777806, -38.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.22222222222217, -36.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-107.2222222222224, -33.666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-100.99999999999977, -30.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-98.333333333333485, -34.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-92.555555555555429, -31.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-90.777777777778056, -27.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-83.222222222222399, -27))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-75.666666666666515, -28.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-63.222222222222399, -28.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-53.888888888889142, -23.444444444444684))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.111111111111086, -14.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.444444444444798, -19.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.555555555555429, -17.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-36.555555555555657, -17.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.111111111111086, -17.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.444444444444571, -19.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.444444444444571, -15))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33, -15.888888888889142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.666666666666742, -14.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.666666666666515, -12.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.666666666666742, -12.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-45.888888888888914, -12.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48.999999999999773, -11.444444444444684))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.111111111111313, -14.111111111111313))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.222222222222172, -15.888888888889142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-55.666666666666742, -12.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.111111111111313, -10.55555555555577))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.444444444444571, -8.3333333333334849))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44.111111111111086, -8.777777777777942))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.777777777778056, -5.6666666666667425))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.777777777778056, -6.1111111111111995))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-38.333333333333485, -3.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.888888888889142, 2.3333333333331439))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.666666666666515, -0.77777777777782831))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-23.222222222222399, 0.11111111111085847))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24.111111111111086, 2.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.222222222222172, 4.9999999999998863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.555555555555429, 2.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-13.888888888888914, 2.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-9.8888888888889142, -0.77777777777782831))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-8.5555555555554292, 2.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3.2222222222223991, 3.222222222222058))
		end

invariant

	correct_port: attached target_imp implies port = game.port_moresby

end
