note
	description: "[
		Widget representing a {PORT}.
		]"
	author: "Jimmy J. Johnson"

class
	SAIGON_WIDGET

inherit

	RED_PORT_WIDGET
		redefine
			create_interface_objects,
			position_widgets,
			build_land
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {RED_PORT_WIDGET}
			mainland := mainland_imp
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {RED_PORT_WIDGET}
				-- make adjustments
			scale_widget (land, 0.27)
			rotate_widget (land, 13.0)
			translate_widget (Current, 70, 46)
			marker.set_x_y (x + 8, y + 65)
			text_group.set_x_y (x, y + 80)
			anchor.set_x_y (x + 10, y + 88)

			dot.set_x_y (x - 5 , y + 90)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {RED_PORT_WIDGET}
				-- Initialize attributes
			land.extend (mainland)
		end

feature -- Access

	mainland: EV_MODEL_POLYGON

feature -- Status report

	is_red: BOOLEAN = True
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.222222222222172, 8.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20, 0.44444444444457076))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.4444444444444, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.111111111111086, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.777777777777715, 7.1111111111111995))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.8888888888888, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.222222222222172, -2.2222222222221717))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.666666666666629, 2.2222222222223991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47.555555555555486, -1.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.4444444444444, -0.44444444444434339))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.777777777777715, -3.5555555555554292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.777777777777715, -7.5555555555554292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (63.555555555555486, -12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64.8888888888888, -14.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333314, -10.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666629, -7.5555555555554292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.111111111111086, -6.6666666666666288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.333333333333258, -4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.444444444444343, -5.7777777777776009))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88, -3.1111111111109722))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.777777777777715, -4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.111111111111086, -0.44444444444434339))
			Result.extend_point (create {EV_COORDINATE}.make_precise (98.222222222222172, 5.3333333333333712))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.666666666666629, 6.2222222222223991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.777777777777715, 10.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96, 20.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.333333333333258, 19.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.44444444444434, 20.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.8888888888888, 23.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.55555555555543, 25.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.55555555555543, 29.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114.22222222222217, 27.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.33333333333326, 30.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (123.11111111111109, 27.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (128, 31.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125.77777777777771, 32.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.77777777777771, 32.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.66666666666663, 36.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (116.44444444444434, 40.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (112, 44.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (106.66666666666663, 46.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.22222222222217, 47.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101.33333333333326, 51.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100.8888888888888, 56))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.8888888888888, 64.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.8888888888888, 65.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.8888888888888, 65.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86.222222222222172, 68.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (82.666666666666629, 70.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (80.444444444444343, 75.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.777777777777715, 79.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.777777777777715, 85.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76, 90.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (74.222222222222172, 92))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.555555555555429, 95.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (77.333333333333258, 98.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (79.111111111111086, 104))
			Result.extend_point (create {EV_COORDINATE}.make_precise (84.444444444444343, 110.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (89.777777777777715, 113.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.444444444444343, 117.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92, 121.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.111111111111086, 131.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105.33333333333326, 137.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.33333333333326, 147.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.44444444444434, 154.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.77777777777771, 158.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134.66666666666663, 164.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666663, 170.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (145.33333333333326, 177.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (147.55555555555543, 184.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (150.22222222222217, 192.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.77777777777771, 196.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.11111111111109, 207.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.8888888888888, 216.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156, 220.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.33333333333326, 224.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.55555555555543, 226.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (158.22222222222217, 234.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (160.8888888888888, 237.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.44444444444434, 243.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.8888888888888, 248.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666663, 250.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156, 255.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (156.8888888888888, 259.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.11111111111109, 261.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (155.55555555555543, 264.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.33333333333326, 268.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.11111111111109, 268.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.33333333333326, 273.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.66666666666663, 273.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (142.22222222222217, 278.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.8888888888888, 281.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (130.22222222222217, 283.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.66666666666663, 289.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115.55555555555543, 293.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.55555555555543, 293.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.22222222222217, 296.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99.111111111111086, 292.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (100, 298.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96.8888888888888, 304.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.333333333333258, 308.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (96, 312))
			Result.extend_point (create {EV_COORDINATE}.make_precise (92.444444444444343, 315.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88, 317.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.111111111111086, 320))
			Result.extend_point (create {EV_COORDINATE}.make_precise (75.555555555555429, 323.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.777777777777715, 327.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.222222222222172, 333.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (60.8888888888888, 336.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.8888888888888, 337.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.4444444444444, 320))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53.777777777777715, 308.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (57.777777777777715, 305.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (57.777777777777715, 302.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (54.666666666666629, 304))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.8888888888888, 301.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (48.8888888888888, 304))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46.666666666666629, 299.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.666666666666629, 299.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39.555555555555486, 293.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.777777777777715, 292.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.8888888888888, 295.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.4444444444444, 295.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.777777777777715, 301.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36, 305.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (33.777777777777715, 300))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.222222222222172, 295.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.777777777777715, 293.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.666666666666629, 290.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.8888888888888, 287.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.111111111111086, 286.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.222222222222172, 282.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (24.8888888888888, 279.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22.222222222222172, 285.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.666666666666629, 284.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.8888888888888, 288.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.222222222222172, 284.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13.333333333333314, 278.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.7777777777777146, 272.88888888888891))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12, 270.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333144, 267.11111111111109))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.2222222222221717, 258.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.7777777777777146, 253.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (6.2222222222221717, 248))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.3333333333333144, 244.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (0.44444444444440023, 234.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-3.5555555555555998, 230.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-2.6666666666666856, 221.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4.4444444444444002, 221.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (2.6666666666666288, 219.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.7777777777777146, 210.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (11.111111111111086, 206.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (18.222222222222172, 201.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (27.555555555555486, 200.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34.666666666666629, 204))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39.555555555555486, 200.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (45.777777777777715, 202.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (50.222222222222172, 201.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (56.4444444444444, 201.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.111111111111086, 205.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (61.333333333333314, 202.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.8888888888888, 199.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666629, 195.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.777777777777715, 192.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (69.333333333333314, 187.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68, 183.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666629, 176))
			Result.extend_point (create {EV_COORDINATE}.make_precise (70.666666666666629, 171.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68, 170.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (65.333333333333314, 168))
			Result.extend_point (create {EV_COORDINATE}.make_precise (66.666666666666629, 163.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.111111111111086, 162.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (58.666666666666629, 159.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.4444444444444, 153.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (51.555555555555486, 137.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (52.8888888888888, 130.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (44.4444444444444, 124.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (39.111111111111086, 117.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34.666666666666629, 108.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (32.8888888888888, 110.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (26.222222222222172, 107.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20.4444444444444, 106.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.777777777777715, 107.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (19.555555555555486, 109.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.555555555555486, 110.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (15.111111111111086, 114.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (14.666666666666629, 116.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.3333333333333144, 116.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (5.3333333333333144, 121.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.1111111111110858, 120.88888888888903))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.1111111111110858, 117.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-0.44444444444451392, 117.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-7.5555555555555998, 111.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-11.5555555555556, 116.44444444444457))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.666666666666686, 115.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16, 118.2222222222224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.5555555555556, 118.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.5555555555556, 121.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-24, 123.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.777777777777828, 129.77777777777783))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-33.333333333333371, 127.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.888888888888914, 119.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888914, 115.55555555555566))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.444444444444514, 109.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-31.5555555555556, 106.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.1111111111112, 100))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28, 95.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-25.333333333333371, 91.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.1111111111112, 88.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.444444444444514, 83.555555555555657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222285, 77.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.666666666666686, 76.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-37.333333333333371, 81.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-39.5555555555556, 78.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.666666666666686, 80.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-46.666666666666686, 78.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-47.1111111111112, 74.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-44, 72))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-42.666666666666686, 65.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-48, 59.1111111111112))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51.5555555555556, 61.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-54.222222222222285, 61.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-52.888888888888914, 56.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49.777777777777828, 48.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-43.5555555555556, 45.777777777777828))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-40.444444444444514, 36.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-34.666666666666686, 36))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-29.777777777777828, 30.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-27.1111111111112, 32))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.888888888888914, 34.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.222222222222285, 34.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-28.444444444444514, 38.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-26.666666666666686, 40))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-21.333333333333371, 37.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.888888888888914, 40.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-14.666666666666686, 38.222222222222399))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-16.888888888888914, 36.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.1111111111112, 24.888888888889028))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-17.777777777777828, 20.444444444444571))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-20.888888888888914, 14.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.666666666666686, 12))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.222222222222285, 8.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15.5555555555556, 8))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-12.888888888888914, 10.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-10.666666666666686, 8.4444444444445708))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-4.4444444444445139, 9.7777777777778283))
		end

invariant

	correct_port: attached target_imp implies port = game.saigon

end
