note
	description: "[
		The widget representing this port
		]"
	author: "Jimmy J. Johnson"

class
	SAMOA_WIDGET

inherit

--	RED_PORT_WIDGET
--		undefine
--			paint
--		redefine
--			create_interface_objects,
--			initialize,
--			extend_widgets,
--			position_widgets,
--			build_land
--		end

	ISLAND_PORT_WIDGET
		redefine
			create_interface_objects,
--			initialize,
			extend_widgets,
			set_fonts_and_colors,
			position_widgets,
			build_land,
			rotation_amount
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			create not_allowed_text.make_with_text ("(No British Allowed%Nexcept Victorious)")
			mainland := mainland_imp
			upolu := upolu_imp
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {RED_PORT_WIDGET}
		end

	extend_widgets
			-- Put widgets into Current.  This cannot be done
			-- in `create_interface_object', because cannot call
			-- `extend' feature until all objects [in descendants]
			-- are also created.
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {RED_PORT_WIDGET}
			extend (not_allowed_text)
		end

	set_fonts_and_colors
			-- Set the default fonts for any text widgets and set
			-- the default colors for any contained widgets.
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {RED_PORT_WIDGET}
			not_allowed_text.set_font (Subtext_font)
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {ISLAND_PORT_WIDGET}
--			Precursor {RED_PORT_WIDGET}
			scale_widget (land, 0.06)
			rotate_widget (land, 10.0)
			translate_widget (land, -65, -70)
			translate_widget (name_mt, -1, -1)
			center_on (587, 512)
			center_widget_on_other (marker, dot)
			center_widget_on_other (anchor, dot)
			translate_widget (not_allowed_text, 121, 162)
			translate_widget (marker, -7, 5)
			translate_widget (anchor, 0, 5)
			bring_to_front (anchor)
			bring_to_front (marker)
			dot.set_foreground_color (Cyan)
			dot.show
			bring_to_front (dot)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {ISLAND_PORT_WIDGET}
			land.extend (mainland)
			land.extend (upolu)
		end

	not_allowed_text: EV_MODEL_TEXT
			-- Extra text on some Red ports (e.g. "No British Allowed").

feature -- Status report

	is_red: BOOLEAN = True
			-- Does Current represent a red (i.e. major) port?

feature {NONE} -- Implementation

	mainland: EV_MODEL_POLYGON
	upolu: EV_MODEL_POLYGON

feature {NONE} -- Implementation

	mainland_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (20, 8))
			Result.extend_point (create {EV_COORDINATE}.make_precise (22, 4))
			Result.extend_point (create {EV_COORDINATE}.make_precise (34, 8))
			Result.extend_point (create {EV_COORDINATE}.make_precise (46, 27))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55, 43))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68, 50))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71, 60))
			Result.extend_point (create {EV_COORDINATE}.make_precise (86, 76))
			Result.extend_point (create {EV_COORDINATE}.make_precise (91, 87))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95, 91))
			Result.extend_point (create {EV_COORDINATE}.make_precise (95, 98))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108, 104))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104, 110))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111, 114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117, 134))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121, 138))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118, 142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126, 164))
			Result.extend_point (create {EV_COORDINATE}.make_precise (134, 171))
			Result.extend_point (create {EV_COORDINATE}.make_precise (125, 184))
			Result.extend_point (create {EV_COORDINATE}.make_precise (115, 199))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118, 209))
			Result.extend_point (create {EV_COORDINATE}.make_precise (114, 214))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105, 220))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101, 224))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102, 229))
			Result.extend_point (create {EV_COORDINATE}.make_precise (99, 232))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105, 243))
			Result.extend_point (create {EV_COORDINATE}.make_precise (105, 258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (101, 266))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.333333333333314, 269.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.666666666666629, 265.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (78.333333333333314, 263.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (72.333333333333314, 264.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (64.333333333333314, 256))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.666666666666629, 247.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.666666666666629, 243.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (53, 238.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (42.333333333333314, 240))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37, 238.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (29, 240))
			Result.extend_point (create {EV_COORDINATE}.make_precise (25.666666666666629, 245.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23, 250.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17, 251.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (13, 250.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9, 252.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (3.6666666666666288, 250))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-15, 254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-18.333333333333371, 252))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19, 255.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-32.333333333333371, 256.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.666666666666686, 253.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-51, 260.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-65.666666666666686, 264))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-70.333333333333371, 262.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-85, 261.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93.666666666666686, 268))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-111, 269.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-121.66666666666669, 272.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-133.66666666666669, 266))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-139, 254.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-141, 249.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-147.66666666666669, 245.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155.66666666666669, 244))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-161.66666666666669, 227.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-165.66666666666669, 226))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-169.66666666666669, 225.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-172.33333333333334, 221.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-170.33333333333334, 212))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-183, 196.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-189.66666666666669, 187.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-196.33333333333334, 185.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201, 174.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-208.33333333333334, 168.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-207.66666666666669, 161.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235, 140))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.66666666666669, 130))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-238.33333333333334, 126))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-243.66666666666669, 126))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-251, 126))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-260.33333333333337, 116.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-271, 104))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.33333333333331, 92))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-297.66666666666669, 88))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-309, 78))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-313, 67.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-320.33333333333331, 56.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-322.33333333333331, 52.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-317.66666666666669, 48))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-314.33333333333331, 40.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-311, 38))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-305.66666666666669, 36.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295.66666666666669, 43.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-295, 38.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-291.66666666666669, 36.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-288.33333333333331, 38))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-286.33333333333331, 43.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-279.66666666666669, 42))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-277, 46))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-267.66666666666669, 54))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-255.66666666666669, 57.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-251, 59.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-247.66666666666669, 54.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-242.33333333333334, 54.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-239.66666666666669, 51.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235.66666666666669, 51.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-235, 55.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-230.33333333333334, 54.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-227, 51.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-222.33333333333334, 49.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-217.66666666666669, 52.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-215, 58))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-205.66666666666669, 57.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-198.33333333333334, 52))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-200.33333333333334, 48.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-201, 44.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-193, 43.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-186.33333333333334, 36.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-179, 40.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-177, 38))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-167.66666666666669, 40.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-155, 34))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-144.33333333333334, 30))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-136.33333333333334, 24.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-127, 22.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-115.66666666666669, 25.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-109.66666666666669, 23.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-103.66666666666669, 26))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-99.666666666666686, 19.333333333333329))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-95.666666666666686, 20.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-93, 16))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-87, 14.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-81, 20.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-72.333333333333371, 18.666666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-69, 22))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-49, 22))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-41.666666666666686, 6.6666666666666643))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-35.666666666666686, 8.6666666666666643))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-19.666666666666686, 2.6666666666666643))
			Result.extend_point (create {EV_COORDINATE}.make_precise (-6.3333333333333712, 4.6666666666666643))
		end

	upolu_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (249.66666666666663, 288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (253, 291.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (282.33333333333326, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.33333333333326, 281.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (296.33333333333326, 281.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (302.33333333333326, 276.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.33333333333326, 276.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315, 272.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (323, 272))
			Result.extend_point (create {EV_COORDINATE}.make_precise (325.66666666666663, 268))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331, 268))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333, 270))
			Result.extend_point (create {EV_COORDINATE}.make_precise (340.33333333333326, 270))
			Result.extend_point (create {EV_COORDINATE}.make_precise (347, 266.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.66666666666663, 267.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (357.66666666666663, 265.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (363, 268.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (367.66666666666663, 265.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369, 270))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377, 267.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.66666666666663, 263.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.33333333333326, 268))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395, 272))
			Result.extend_point (create {EV_COORDINATE}.make_precise (400.33333333333326, 274.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.66666666666663, 280.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (408.33333333333326, 284))
			Result.extend_point (create {EV_COORDINATE}.make_precise (410.33333333333326, 288.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.66666666666663, 291.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.66666666666663, 288))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419, 282.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.33333333333326, 281.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.33333333333326, 291.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.66666666666663, 286.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439, 292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.66666666666663, 291.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (446.33333333333326, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (453.66666666666663, 302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (459, 299.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (463.66666666666663, 302))
			Result.extend_point (create {EV_COORDINATE}.make_precise (464.33333333333326, 306))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471, 308))
			Result.extend_point (create {EV_COORDINATE}.make_precise (473.66666666666663, 317.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (479.66666666666663, 312.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.66666666666663, 317.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.33333333333326, 314.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.66666666666663, 314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (517, 324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (521, 322.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (529, 323.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (535.66666666666663, 331.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (546.33333333333326, 322.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (557.66666666666663, 324))
			Result.extend_point (create {EV_COORDINATE}.make_precise (564.33333333333326, 329.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (560.33333333333326, 334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (563, 338.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (571.66666666666663, 337.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.66666666666663, 335.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.66666666666663, 346.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (581, 344.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (578.33333333333326, 349.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (580.33333333333326, 352.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585.66666666666663, 353.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (589.66666666666663, 350.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (592.33333333333326, 354.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (598.33333333333326, 354))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.66666666666663, 362))
			Result.extend_point (create {EV_COORDINATE}.make_precise (581.66666666666663, 368))
			Result.extend_point (create {EV_COORDINATE}.make_precise (573.66666666666663, 376))
			Result.extend_point (create {EV_COORDINATE}.make_precise (586.33333333333326, 376))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.66666666666663, 376.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (592.33333333333326, 373.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (599, 370.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (603, 366))
			Result.extend_point (create {EV_COORDINATE}.make_precise (608.33333333333326, 365.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (607.66666666666663, 370.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (614.33333333333326, 381.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (628.33333333333326, 382.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (634.33333333333326, 386.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (637.66666666666663, 384.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (639, 388))
			Result.extend_point (create {EV_COORDINATE}.make_precise (657, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (657, 405.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (661, 399.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (663.66666666666663, 397.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (670.33333333333326, 402))
			Result.extend_point (create {EV_COORDINATE}.make_precise (673.66666666666663, 411.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (679, 414))
			Result.extend_point (create {EV_COORDINATE}.make_precise (681, 424))
			Result.extend_point (create {EV_COORDINATE}.make_precise (677.66666666666652, 440))
			Result.extend_point (create {EV_COORDINATE}.make_precise (673, 451.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (665.66666666666663, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (655, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (637, 445.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (631.66666666666663, 448.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (619, 451.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (603.66666666666663, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (597.66666666666663, 453.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (591.66666666666663, 453.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (587.66666666666663, 454))
			Result.extend_point (create {EV_COORDINATE}.make_precise (585, 448.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (552.33333333333326, 448))
			Result.extend_point (create {EV_COORDINATE}.make_precise (547, 444.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (544.33333333333326, 447.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (545, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (538.33333333333326, 443.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (524.33333333333326, 446))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.33333333333326, 449.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (513, 448.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511, 446.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (500.33333333333326, 449.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.33333333333326, 440))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471, 443.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (463.66666666666663, 448))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.66666666666663, 450))
			Result.extend_point (create {EV_COORDINATE}.make_precise (452.33333333333326, 447.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451, 450.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (445.66666666666663, 450.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443, 447.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.66666666666663, 451.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.66666666666663, 447.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.33333333333326, 440.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.33333333333326, 428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (409, 424.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (387, 422))
			Result.extend_point (create {EV_COORDINATE}.make_precise (382.33333333333326, 420))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.66666666666663, 415.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389, 417.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (386.33333333333326, 414))
			Result.extend_point (create {EV_COORDINATE}.make_precise (387, 409.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (382.33333333333326, 409.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.66666666666663, 413.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (376.33333333333326, 409.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (365, 407.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.66666666666663, 411.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (349.66666666666663, 416.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (343.66666666666663, 420.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.66666666666663, 421.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (331.66666666666663, 424.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.33333333333326, 424.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315, 416))
			Result.extend_point (create {EV_COORDINATE}.make_precise (311, 416))
			Result.extend_point (create {EV_COORDINATE}.make_precise (309, 411.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (305.66666666666663, 410.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (299, 406.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (295, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (292.33333333333326, 394.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.33333333333326, 390))
			Result.extend_point (create {EV_COORDINATE}.make_precise (290.33333333333326, 381.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (283.66666666666663, 376.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.66666666666663, 371.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277, 369.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (275, 373.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (276.33333333333326, 379.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.66666666666663, 382.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (267, 382))
			Result.extend_point (create {EV_COORDINATE}.make_precise (268.33333333333326, 375.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (263, 372))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259, 372))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.66666666666663, 369.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (254.33333333333326, 365.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257, 360.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (235.66666666666663, 352))
			Result.extend_point (create {EV_COORDINATE}.make_precise (239.66666666666663, 345.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.66666666666663, 340))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.66666666666663, 334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225, 326.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.33333333333326, 319.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (220.33333333333326, 314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (227.66666666666663, 308.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.33333333333326, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (242.33333333333326, 292))
		end

feature {NONE} -- Implementation

	rotation_amount: REAL_64 = -150.0
			-- Make the arrow point north-east

end
