note
	description: "[
		Widget that represents this VITP sea area
		]"
	author: "Jimmy J. Johnson"

class
	INDONESIA_WIDGET

inherit

	SEA_AREA_WIDGET
		redefine
			create_interface_objects,
			position_widgets,
			build_land,
			build_ocean
--			build_bounding_figure
		end

create
	make

feature {NONE} -- Initialization

	create_interface_objects
			-- Initialize attributes
		do
			Precursor {SEA_AREA_WIDGET}
			sumatra := sumatra_imp
			kalimantan := kalimantan_imp
			java := java_imp
			sulawesi := sulawesi_imp
			maluka_utara := maluka_utara_imp
			maluku := maluku_imp
			timor := timor_imp
			wetar := wetar_imp
			not_named := not_named_imp
			nusa_tenggara_timor := nusa_tenggara_timor_imp
			sumba := sumba_imp
			nusa_tenggara_barat := nusa_tenggara_barat_imp
			praya_barat :=praya_barat_imp
			puerto_princesa := puerto_princesa_imp
		end

	position_widgets
			-- Move Current and contained widgets to correct
			-- location and set their their sizes
		do
			Precursor {SEA_AREA_WIDGET}
			rotate_widget (land, 15.0)
			scale_widget (land, 0.13)
--			translate_widget (land, 105, 55)
--			translate_widget (text_widget, 80, 0)
--			translate_widget (flag, 0, -80)
--			translate_widget (Current, 44, 259)
			land.set_point_position (8, 0)
			name_mt.set_point_position (80, 0)
			dot.set_point_position (100, 30)
--			flag.center_on_dot (dot)
			flag.set_x_y (dot.x, dot.y)
			set_point_position (44, 259)
			translate_widget (dot, 0, 30)
			dot.set_foreground_color (Cyan)
		end

	build_land
			-- Add widgets to Current
		do
			Precursor {SEA_AREA_WIDGET}
				-- Initialize attributes
			land.extend (sumatra)
			land.extend (kalimantan)
			land.extend (java)
			land.extend (sulawesi)
			land.extend (maluka_utara)
			land.extend (maluku)
			land.extend (timor)
			land.extend (wetar)
			land.extend (not_named)
			land.extend (nusa_tenggara_timor)
			land.extend (sumba)
			land.extend (nusa_tenggara_barat)
			land.extend (praya_barat)
			land.extend (puerto_princesa)
		end

	build_ocean
			-- Create the polygon representing the `ocean' here
			-- Redefined to add the points
		do
			Precursor {SEA_AREA_WIDGET}
				-- start at west-most point west of Singapore
			ocean.extend_point (create {EV_COORDINATE}.make (0, 0))
			ocean.extend_point (create {EV_COORDINATE}.make (30, -13))
			ocean.extend_point (create {EV_COORDINATE}.make (75, -104))	-- under Asia
			ocean.extend_point (create {EV_COORDINATE}.make (156, -81))
			ocean.extend_point (create {EV_COORDINATE}.make (178, -58))
			ocean.extend_point (create {EV_COORDINATE}.make (169, -8))		-- under Philippines
			ocean.extend_point (create {EV_COORDINATE}.make (172, 20))
			ocean.extend_point (create {EV_COORDINATE}.make (244, 102))
			ocean.extend_point (create {EV_COORDINATE}.make (151, 140))		-- x +/- 1
			ocean.extend_point (create {EV_COORDINATE}.make (42, 96))
		end

--	build_bounding_figure
--			-- Add points to the `jj_bounding_figure'.
--			-- Redefined to use the ocean edges as the bounding area
--		local
--			t: EV_MODEL_TRANSFORMATION
--		do
--			if has (jj_bounding_figure) then
--				prune_all (jj_bounding_figure)
--			end
--			create jj_bounding_figure
--			extend (jj_bounding_figure)
--				-- start at west-most point west of Singapore
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (0, 0))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (30, -13))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (75, -5))	-- south tip of Saigon
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (156, -81))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (178, -58))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (169, -8))		-- under Philippines
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (172, 20))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (244, 102))
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (151, 140))		-- x +/- 1
--			jj_bounding_figure.extend_point (create {EV_COORDINATE}.make (42, 96))
--			jj_bounding_figure.enable_closed
--				-- make adjustments
--			translate_widget (jj_bounding_figure, 44, 259)
--			jj_bounding_figure.set_line_width (2)
----			show_bounding_figure
--		end

feature -- Access

	sumatra: EV_MODEL_POLYGON
	kalimantan: EV_MODEL_POLYGON
	java: EV_MODEL_POLYGON
	sulawesi: EV_MODEL_POLYGON
	maluka_utara: EV_MODEL_POLYGON
	maluku: EV_MODEL_POLYGON
	timor: EV_MODEL_POLYGON
	wetar: EV_MODEL_POLYGON
	not_named: EV_MODEL_POLYGON
	nusa_tenggara_timor: EV_MODEL_POLYGON
	sumba: EV_MODEL_POLYGON
	nusa_tenggara_barat: EV_MODEL_POLYGON
	praya_barat: EV_MODEL_POLYGON
	puerto_princesa: EV_MODEL_POLYGON

feature {NONE} -- Implementation

	sumatra_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (0, 0))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.9999999999999787, -4.0000000000001137))
			Result.extend_point (create {EV_COORDINATE}.make_precise (17.999999999999957, -3.3333333333332575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (29.999999999999986, 0.66666666666662877))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.666666666666622, 5.9999999999998863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (36.666666666666636, 9.9999999999998863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (37.333333333333279, 15.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (47.333333333333307, 12.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.333333333333272, 15.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (71.333333333333272, 13.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.333333333333229, 14.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (87.999999999999915, 19.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (104.66666666666659, 12.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (106.66666666666664, 18))
			Result.extend_point (create {EV_COORDINATE}.make_precise (110.66666666666656, 18.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (113.99999999999987, 23.999999999999773))
			Result.extend_point (create {EV_COORDINATE}.make_precise (117.99999999999982, 27.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.9999999999999, 29.999999999999716))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.6666666666665, 35.999999999999659))
			Result.extend_point (create {EV_COORDINATE}.make_precise (126.66666666666656, 41.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (124.6666666666665, 45.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (129.99999999999994, 48.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.66666666666669, 47.333333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (139.33333333333331, 51.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (137.33333333333326, 56.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (136.66666666666657, 62.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666657, 65.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (146.66666666666669, 68.666666666666799))
			Result.extend_point (create {EV_COORDINATE}.make_precise (151.99999999999983, 69.999999999999773))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.99999999999983, 73.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.33333333333331, 73.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (154.66666666666657, 80.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (161.99999999999994, 81.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.33333333333314, 84.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (180, 90.000000000000057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (186.66666666666652, 94.666666666666345))
			Result.extend_point (create {EV_COORDINATE}.make_precise (192.66666666666652, 98.666666666666458))
			Result.extend_point (create {EV_COORDINATE}.make_precise (196.6666666666664, 104.6666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (205.33333333333314, 107.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.99999999999983, 115.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 119.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (217.99999999999989, 125.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (215.99999999999977, 129.33333333333297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (221.3333333333332, 128.6666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (218.66666666666652, 135.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.33333333333303, 133.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (224.66666666666652, 138.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (225.33333333333309, 131.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (228.66666666666663, 130.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (232.66666666666646, 137.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (237.3333333333332, 149.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (242, 154))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.33333333333297, 157.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.3333333333332, 161.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (259.33333333333314, 169.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (256.66666666666669, 159.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (252.66666666666657, 152.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.3333333333332, 147.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666646, 147.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (265.99999999999983, 152.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (271.33333333333309, 155.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277.33333333333297, 159.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (278.66666666666646, 167.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (280.66666666666669, 173.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (288.66666666666652, 177.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (297.33333333333292, 176.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (303.33333333333309, 181.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (308.66666666666669, 186.66666666666623))
			Result.extend_point (create {EV_COORDINATE}.make_precise (315.99999999999972, 190.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (316.6666666666664, 201.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.6666666666664, 208.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (329.3333333333332, 215.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.3333333333332, 218.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (347.99999999999983, 220.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333303, 227.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (359.33333333333286, 232.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (350.66666666666657, 236.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (339.9999999999996, 240.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (335.33333333333309, 244.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (344, 238.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (347.3333333333332, 239.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (355.33333333333303, 237.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (363.99999999999966, 231.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (367.33333333333309, 229.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (372.66666666666612, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (379.33333333333314, 232.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (381.33333333333303, 239.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (388.6666666666664, 244.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (391.33333333333297, 251.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.9999999999996, 254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (378.66666666666646, 254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (376.6666666666664, 259.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.99999999999977, 263.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.99999999999943, 263.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (383.9999999999996, 263.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (390.66666666666629, 267.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (382.66666666666634, 269.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380, 274.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (374.66666666666646, 275.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (372.66666666666612, 281.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (371.99999999999977, 287.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.33333333333292, 288.66666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (380, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (392.66666666666669, 299.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.9999999999996, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (407.33333333333275, 301.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (413.9999999999996, 300.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (415.99999999999972, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666646, 303.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666646, 309.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.99999999999966, 315.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (419.33333333333292, 323.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (423.33333333333309, 328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (421.99999999999966, 334.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666646, 337.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.9999999999996, 337.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (428.66666666666669, 344.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.99999999999983, 343.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.33333333333297, 346.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999983, 353.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.99999999999983, 357.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.33333333333297, 363.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (437.99999999999949, 360.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (439.99999999999983, 357.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (445.99999999999983, 359.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (453.99999999999937, 358.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.33333333333292, 360.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471.99999999999937, 361.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (473.9999999999996, 370))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.99999999999955, 373.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.66666666666623, 379.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.99999999999966, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666623, 387.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.66666666666612, 387.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (493.99999999999983, 393.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (495.33333333333286, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (492.66666666666612, 401.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.33333333333314, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.99999999999937, 413.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.99999999999937, 422.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (487.99999999999983, 429.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (483.99999999999937, 437.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.99999999999966, 448.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (482.66666666666652, 454.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666623, 455.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.99999999999977, 461.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (486.66666666666623, 465.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (484.66666666666634, 469.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.99999999999977, 475.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (484.66666666666634, 481.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.33333333333275, 494))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.99999999999966, 497.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (482.66666666666652, 508.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (480.66666666666623, 513.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (478.66666666666623, 521.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (477.33333333333309, 517.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (473.33333333333275, 519.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471.33333333333297, 512.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (467.99999999999926, 511.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.33333333333292, 506))
			Result.extend_point (create {EV_COORDINATE}.make_precise (457.99999999999972, 500.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.99999999999972, 506))
			Result.extend_point (create {EV_COORDINATE}.make_precise (451.99999999999983, 507.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.33333333333286, 510.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (453.99999999999937, 517.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (443.99999999999943, 513.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (435.99999999999972, 508.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (433.33333333333297, 505.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (430.6666666666664, 503.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.33333333333292, 503.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.9999999999996, 507.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (429.3333333333332, 513.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (432.66666666666629, 518.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (431.33333333333292, 523.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (425.33333333333292, 523.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (422.66666666666652, 516.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (418.66666666666646, 511.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666629, 510.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (414.66666666666629, 505.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (408.66666666666612, 503.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (403.33333333333297, 499.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (399.33333333333309, 494))
			Result.extend_point (create {EV_COORDINATE}.make_precise (395.9999999999996, 488.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (389.9999999999996, 483.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (387.99999999999955, 479.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (382.66666666666634, 477.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (377.99999999999943, 475.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (373.99999999999966, 473.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (369.33333333333309, 471.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (364.66666666666634, 465.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (361.33333333333309, 459.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (351.33333333333314, 458.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (342.66666666666623, 449.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (333.9999999999996, 442.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.66666666666646, 433.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (322.66666666666646, 427.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (320.6666666666664, 419.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (313.33333333333297, 414.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (304.66666666666646, 410.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (293.3333333333332, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (287.99999999999983, 395.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (281.33333333333309, 384.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (277.99999999999994, 375.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (270.66666666666663, 373.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (262.66666666666646, 363.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.99999999999989, 357.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.99999999999989, 353.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (255.33333333333309, 350.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (257.99999999999989, 347.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (255.99999999999983, 335.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (251.99999999999983, 332.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (247.99999999999994, 326.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (246.66666666666646, 321.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (243.99999999999983, 318.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (239.99999999999977, 309.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (235.3333333333332, 304.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (236.66666666666646, 298.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (231.99999999999977, 291.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (223.33333333333303, 281.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (219.99999999999977, 275.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (215.33333333333326, 271.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (211.99999999999983, 267.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (209.33333333333326, 264.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666669, 259.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (206.66666666666669, 254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (200, 249.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (191.99999999999989, 247.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (189.33333333333309, 241.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (185.33333333333331, 241.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (183.33333333333303, 245.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.6666666666664, 238.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (177.99999999999977, 235.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (178.6666666666664, 231.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (175.3333333333332, 220.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (171.33333333333314, 213.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (166.66666666666663, 201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (165.99999999999994, 192.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (159.33333333333314, 181.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.99999999999989, 179.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (163.99999999999989, 175.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (161.99999999999994, 173.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (157.33333333333331, 172.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (153.3333333333332, 167.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (149.3333333333332, 163.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (144.66666666666657, 160.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (138.66666666666657, 159.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (132.66666666666669, 153.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (127.33333333333324, 149.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (121.33333333333327, 149.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (118.66666666666661, 151.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.33333333333323, 145.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (111.33333333333323, 135.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (108.66666666666656, 125.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (102.66666666666653, 117.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (97.333333333333215, 115.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (94.666666666666643, 111.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (93.333333333333229, 104.6666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (88.6666666666666, 105.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (83.999999999999844, 95.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (81.999999999999915, 92.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (76.666666666666572, 88.666666666666458))
			Result.extend_point (create {EV_COORDINATE}.make_precise (73.999999999999929, 83.333333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (68.6666666666666, 81.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (59.333333333333272, 81.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (55.333333333333243, 78.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (45.999999999999986, 67.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (40.666666666666622, 64))
			Result.extend_point (create {EV_COORDINATE}.make_precise (35.99999999999995, 59.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (30.666666666666622, 54))
			Result.extend_point (create {EV_COORDINATE}.make_precise (23.999999999999957, 46.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (16.666666666666657, 41.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (12.666666666666647, 35.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (9.333333333333325, 33.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (7.3333333333333286, 26.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4, 19.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (4, 15.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.3333333333333144, 12.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1.3333333333333144, 6.6666666666666288))
		end

	kalimantan_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (685.99999999999943, 387.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (685.33333333333326, 378.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (679.99999999999955, 371.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (681.99999999999943, 365.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (678.66666666666617, 358.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (676.6666666666664, 351.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (677.99999999999943, 344.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (673.33333333333246, 338.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (669.33333333333269, 333.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (672.66666666666595, 325.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (675.33333333333314, 318.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (674.66666666666606, 311.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (669.99999999999932, 306.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (670.66666666666617, 301.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (663.99999999999909, 299.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (661.9999999999992, 304.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (656.66666666666606, 308.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (648.66666666666606, 310.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (645.99999999999932, 307.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (647.99999999999943, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (654.66666666666617, 295.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (646.66666666666629, 291.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (645.33333333333314, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (638.66666666666629, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (639.99999999999943, 281.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (643.99999999999943, 281.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (643.33333333333269, 277.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (635.33333333333212, 277.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (631.9999999999992, 269.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (630.66666666666663, 262.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (636.6666666666664, 251.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (635.33333333333212, 243.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (628.66666666666617, 238.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (623.33333333333235, 237.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (623.99999999999943, 227.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (621.33333333333292, 220.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (619.99999999999932, 215.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (626.66666666666617, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (623.33333333333235, 200.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (627.33333333333292, 195.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (629.33333333333246, 187.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (629.33333333333246, 182.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (634.66666666666595, 179.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (639.99999999999943, 175.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (641.9999999999992, 164.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (647.99999999999943, 163.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (655.99999999999909, 160.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (653.99999999999932, 163.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (659.33333333333269, 171.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (670.66666666666617, 171.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (680.6666666666664, 173.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (691.99999999999966, 175.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (695.33333333333246, 178.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (705.3333333333328, 181.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.33333333333246, 179.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (717.33333333333314, 183.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.33333333333246, 176.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.9999999999992, 187.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (726.66666666666617, 189.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (731.33333333333246, 187.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.33333333333258, 179.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (723.99999999999943, 168.66666666666623))
			Result.extend_point (create {EV_COORDINATE}.make_precise (728.66666666666606, 156.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (726.66666666666617, 150.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.33333333333314, 141.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (733.33333333333326, 140.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (731.33333333333246, 126.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (736.66666666666652, 129.33333333333297))
			Result.extend_point (create {EV_COORDINATE}.make_precise (747.99999999999932, 123.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.33333333333269, 121.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (777.33333333333246, 117.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (786.66666666666617, 115.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (805.33333333333269, 108.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (813.99999999999943, 105.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (818.66666666666595, 95.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (827.33333333333235, 85.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (833.33333333333201, 77.999999999999773))
			Result.extend_point (create {EV_COORDINATE}.make_precise (843.99999999999898, 67.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (851.33333333333235, 58.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (855.33333333333212, 50))
			Result.extend_point (create {EV_COORDINATE}.make_precise (853.33333333333269, 44.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (859.99999999999909, 42.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (870.66666666666572, 41.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (879.99999999999966, 35.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (888.66666666666606, 28.666666666666345))
			Result.extend_point (create {EV_COORDINATE}.make_precise (897.99999999999932, 18.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (902.66666666666663, 25.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (901.99999999999909, 31.999999999999773))
			Result.extend_point (create {EV_COORDINATE}.make_precise (905.99999999999955, 29.333333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (911.33333333333246, 27.333333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (921.33333333333246, 22.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (925.33333333333258, 15.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (919.33333333333292, 10.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (913.33333333333292, 7.3333333333333712))
			Result.extend_point (create {EV_COORDINATE}.make_precise (919.99999999999898, 3.3333333333332575))
			Result.extend_point (create {EV_COORDINATE}.make_precise (925.99999999999898, -2.0000000000001137))
			Result.extend_point (create {EV_COORDINATE}.make_precise (933.9999999999992, -0.66666666666674246))
			Result.extend_point (create {EV_COORDINATE}.make_precise (939.99999999999898, -4.0000000000001137))
			Result.extend_point (create {EV_COORDINATE}.make_precise (941.99999999999943, -10.000000000000284))
			Result.extend_point (create {EV_COORDINATE}.make_precise (947.33333333333235, -16.000000000000057))
			Result.extend_point (create {EV_COORDINATE}.make_precise (949.99999999999898, -24.000000000000227))
			Result.extend_point (create {EV_COORDINATE}.make_precise (953.99999999999943, -33.333333333333201))
			Result.extend_point (create {EV_COORDINATE}.make_precise (961.33333333333269, -35.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (965.99999999999966, -43.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (970.66666666666549, -50.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (974.66666666666629, -57.333333333333286))
			Result.extend_point (create {EV_COORDINATE}.make_precise (976.66666666666572, -63.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (979.99999999999898, -68.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.99999999999989, -64.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.99999999999989, -56.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (981.99999999999932, -48.666666666666714))
			Result.extend_point (create {EV_COORDINATE}.make_precise (988.66666666666572, -52.000000000000142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (993.99999999999932, -59.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (993.99999999999932, -65.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (999.9999999999992, -65.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1001.9999999999995, -62.000000000000114))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.9999999999991, -52.666666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1009.3333333333322, -53.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.333333333332, -52.000000000000142))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.9999999999992, -44.000000000000085))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.9999999999999, -39.999999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.9999999999992, -32.666666666666686))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.9999999999987, -24.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.3333333333322, -19.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1024.6666666666658, -19.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1029.3333333333323, -25.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036.6666666666658, -25.333333333333428))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1039.3333333333319, -18))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036.6666666666658, -13.333333333333485))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1034.6666666666663, -8.6666666666665719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1039.9999999999989, -8.6666666666665719))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.9999999999995, -12.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1049.3333333333323, -14.000000000000171))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1057.9999999999993, -10.666666666666856))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1065.3333333333323, -5.3333333333333712))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1069.9999999999993, -0.66666666666674246))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.9999999999995, 2.6666666666667425))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1085.9999999999993, 4.6666666666664014))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1093.3333333333328, 2.6666666666667425))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.3333333333321, 7.9999999999998863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, 13.333333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1091.3333333333321, 19.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.9999999999993, 20.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1078.6666666666663, 21.333333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1073.9999999999998, 25.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1066.6666666666663, 25.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1056.6666666666663, 25.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1049.3333333333323, 24.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.3333333333323, 30.666666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1048.6666666666663, 39.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1060.6666666666663, 44.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1070.6666666666661, 48.666666666666401))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1061.3333333333321, 51.999999999999829))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1051.3333333333319, 55.333333333333371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036, 57.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.9999999999992, 53.333333333333144))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, 56.666666666666742))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1032.6666666666658, 62.666666666666515))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1030.6666666666661, 70.666666666666458))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1024.6666666666658, 75.999999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1028.6666666666663, 83.999999999999659))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.9999999999987, 85.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, 90.666666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.9999999999987, 91.999999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.9999999999992, 97.333333333332916))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.9999999999987, 100.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.6666666666662, 104.6666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1011.9999999999992, 109.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1018.6666666666662, 113.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.3333333333322, 117.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.9999999999999, 125.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1027.9999999999993, 128.6666666666668))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1028.6666666666663, 134.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036, 140.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1041.9999999999993, 148.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1037.9999999999998, 152.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1028.6666666666663, 153.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1029.9999999999993, 159.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1031.3333333333319, 167.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036, 170.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1041.3333333333326, 171.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1042.6666666666658, 176.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1055.9999999999993, 185.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1065.3333333333323, 192.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1071.3333333333321, 198.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1076.6666666666663, 204.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1082.6666666666661, 205.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1081.3333333333319, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.3333333333328, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1067.9999999999998, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1055.9999999999993, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.3333333333323, 210.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1037.3333333333323, 205.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1033.3333333333323, 201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1037.3333333333323, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1039.3333333333319, 218.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1031.9999999999998, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1024.6666666666658, 220.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1020.6666666666664, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.9999999999987, 238.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.6666666666657, 243.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.333333333332, 252.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1011.9999999999992, 261.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.6666666666657, 287.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.6666666666662, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1001.9999999999995, 287.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1002.6666666666661, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (997.99999999999909, 300.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.99999999999909, 306.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.33333333333201, 309.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (970.66666666666549, 317.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (971.33333333333235, 324.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (958.66666666666549, 330.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.9999999999992, 333.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (966.66666666666606, 333.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (966.66666666666606, 346.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (973.33333333333269, 350.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (969.33333333333223, 368.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (964.66666666666572, 366.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.33333333333201, 366.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (963.99999999999932, 370.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (962.66666666666629, 378.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (957.9999999999992, 388.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (951.99999999999932, 379.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (952.66666666666583, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (949.33333333333292, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (953.99999999999943, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (955.33333333333292, 397.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.9999999999992, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.9999999999992, 405.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (962.66666666666629, 413.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.33333333333201, 420.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (959.33333333333201, 429.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (948.66666666666606, 436.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (949.33333333333292, 425.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (947.9999999999992, 415.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (941.33333333333223, 415.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (931.99999999999875, 421.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (915.99999999999989, 428.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (901.99999999999909, 434.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (884.66666666666595, 442.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (883.33333333333292, 433.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (882.66666666666606, 425.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (883.99999999999898, 419.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (875.99999999999989, 411.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (863.99999999999955, 405.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (853.33333333333269, 404.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (847.99999999999909, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (841.33333333333258, 410.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (835.33333333333292, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (837.99999999999932, 400.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (837.33333333333246, 395.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (830.66666666666629, 395.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (827.33333333333235, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (820.66666666666583, 394.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (809.99999999999989, 387.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (805.99999999999909, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (810.66666666666606, 395.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (789.33333333333246, 410.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (780.66666666666595, 404))
			Result.extend_point (create {EV_COORDINATE}.make_precise (773.33333333333246, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (764.66666666666617, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.99999999999909, 414.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (753.99999999999943, 411.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (755.99999999999955, 408.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (755.99999999999955, 400.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (757.33333333333269, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (751.99999999999955, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (744.66666666666595, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (737.99999999999943, 383.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (725.99999999999932, 387.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (717.33333333333314, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (707.33333333333258, 386.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (703.33333333333326, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (701.33333333333292, 384.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (698.66666666666617, 381.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (691.99999999999966, 382.66666666666629))
		end

	java_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (513.99999999999943, 527.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (518.6666666666664, 526.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (523.9999999999992, 529.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (529.33333333333314, 531.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (534.66666666666629, 529.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (536.6666666666664, 527.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (537.33333333333292, 522.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (545.99999999999909, 527.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (551.33333333333292, 525.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (557.99999999999943, 532.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (563.99999999999886, 535.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (569.9999999999992, 533.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.33333333333246, 533.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (579.9999999999992, 537.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (587.33333333333292, 539.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (590.6666666666664, 535.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (596.66666666666663, 537.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (601.33333333333269, 541.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (606.66666666666617, 544.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (605.33333333333246, 552.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (611.33333333333269, 561.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (619.99999999999932, 561.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (625.99999999999909, 563.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (629.9999999999992, 560.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (631.9999999999992, 563.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (641.9999999999992, 564.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (648.66666666666606, 559.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (655.33333333333269, 563.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (663.99999999999909, 566.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (671.33333333333258, 566.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (676.6666666666664, 567.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (678.66666666666617, 563.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (685.33333333333326, 567.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (691.33333333333269, 570.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (693.99999999999966, 566.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (700.66666666666572, 561.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (703.33333333333326, 552.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (703.99999999999966, 548.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (713.33333333333246, 544.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (719.99999999999943, 543.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (721.33333333333258, 549.33333333333246))
			Result.extend_point (create {EV_COORDINATE}.make_precise (725.33333333333235, 555.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (731.33333333333246, 557.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (737.99999999999943, 557.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (741.33333333333258, 553.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (747.3333333333328, 557.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (750.66666666666595, 561.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (755.99999999999955, 561.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (761.99999999999955, 559.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (766.66666666666595, 567.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (774.6666666666664, 565.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (782.66666666666629, 565.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (787.33333333333326, 566.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (790.66666666666583, 568.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (794.66666666666629, 577.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (797.9999999999992, 582.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (802.66666666666617, 584.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (802.66666666666617, 593.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (804.66666666666617, 600.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (811.33333333333258, 601.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (816.66666666666606, 605.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (823.33333333333326, 607.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (830.66666666666629, 604.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (841.33333333333258, 603.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (847.99999999999909, 601.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (853.33333333333269, 603.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (855.99999999999932, 599.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (859.99999999999909, 604.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (865.99999999999909, 603.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (871.33333333333292, 607.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (876.66666666666606, 607.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (875.33333333333235, 613.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (874.66666666666617, 621.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (875.33333333333235, 625.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (885.33333333333223, 623.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (892.66666666666549, 625.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (898.66666666666595, 625.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (903.99999999999932, 624.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (906.6666666666664, 620.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (918.66666666666595, 623.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (925.33333333333258, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (931.99999999999875, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (932.66666666666629, 639.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (927.33333333333269, 639.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (918.66666666666595, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (914.66666666666629, 645.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (911.33333333333246, 651.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (911.33333333333246, 655.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (905.33333333333235, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (907.33333333333292, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (902.66666666666663, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (895.33333333333292, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (891.99999999999932, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (887.33333333333269, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (883.33333333333292, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (877.33333333333292, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (873.33333333333212, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (871.99999999999898, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (871.99999999999898, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (875.99999999999989, 645.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (881.9999999999992, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (881.9999999999992, 651.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (878.66666666666595, 653.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (871.33333333333292, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (871.33333333333292, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (867.99999999999932, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (859.99999999999909, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (853.33333333333269, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (845.33333333333235, 643.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (839.99999999999955, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (832.66666666666549, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (827.99999999999943, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (823.99999999999909, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (815.99999999999955, 629.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (809.33333333333235, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (807.33333333333246, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (801.99999999999932, 635.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (796.66666666666583, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (787.99999999999909, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (781.99999999999943, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (772.66666666666617, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (765.33333333333246, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (759.99999999999943, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (753.99999999999943, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (753.33333333333269, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (749.3333333333328, 635.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (743.33333333333258, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (738.66666666666629, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (735.3333333333328, 628.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (729.99999999999943, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (726.66666666666617, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (718.66666666666595, 628.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (711.33333333333292, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (700.66666666666572, 624.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (691.33333333333269, 621.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (681.33333333333269, 615.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (671.33333333333258, 609.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (656.66666666666606, 606.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (647.33333333333269, 605.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (637.99999999999898, 602.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (630.66666666666663, 602.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (626.66666666666617, 605.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (618.66666666666617, 604.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (620.66666666666617, 601.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (617.99999999999932, 601.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (612.66666666666629, 603.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (606.66666666666617, 602.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (603.33333333333314, 607.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (597.33333333333292, 608.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (589.9999999999992, 607.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (583.33333333333269, 606.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (579.33333333333292, 605.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (575.33333333333246, 606.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (568.6666666666664, 601.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (565.33333333333314, 597.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (557.33333333333292, 593.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (547.33333333333292, 593.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (537.33333333333292, 593.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (530.6666666666664, 591.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (520.6666666666664, 591.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (517.33333333333292, 591.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (512.6666666666664, 587.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.33333333333309, 588.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.33333333333309, 581.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (511.99999999999926, 579.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (513.99999999999943, 575.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (514.66666666666617, 570.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.33333333333309, 568.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (507.33333333333297, 571.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (503.99999999999949, 569.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (497.99999999999937, 566.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.99999999999949, 562.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (485.99999999999977, 563.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (476.66666666666652, 563.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (471.33333333333297, 565.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (463.33333333333309, 562.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (456.66666666666612, 563.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (455.33333333333286, 559.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (461.99999999999943, 555.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (466.6666666666664, 559.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (472.66666666666657, 553.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (475.3333333333332, 547.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (481.33333333333297, 548.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (482.66666666666652, 539.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (484.66666666666634, 529.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (489.99999999999972, 525.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (491.33333333333292, 520.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (495.33333333333286, 520.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (496.66666666666646, 525.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (501.99999999999949, 523.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (506.66666666666646, 523.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (509.99999999999972, 527.33333333333303))
		end

	sulawesi_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1099.3333333333323, 500.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1100.6666666666658, 490.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1101.9999999999993, 483.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1106.6666666666663, 477.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.3333333333319, 473.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1103.9999999999991, 470.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.3333333333317, 465.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1110.6666666666661, 462.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1110.6666666666661, 452.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.3333333333319, 445.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.3333333333319, 437.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.9999999999989, 429.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1104.6666666666654, 422.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1103.9999999999991, 419.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.9999999999993, 416.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.9999999999993, 411.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1098.6666666666665, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1093.3333333333328, 410.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1088.6666666666663, 412.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1085.3333333333326, 411.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1082.6666666666661, 413.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1078.6666666666663, 413.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.9999999999986, 404))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.9999999999986, 398.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1073.3333333333323, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.3333333333328, 392.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.3333333333323, 384.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.3333333333323, 381.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1073.3333333333323, 381.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1071.9999999999998, 379.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1073.9999999999998, 372.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.9999999999995, 373.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1081.3333333333319, 372.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.9999999999993, 370.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.9999999999993, 366.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1088.6666666666663, 364.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1089.3333333333323, 359.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1091.3333333333321, 349.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1092.6666666666663, 343.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, 341.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1099.3333333333323, 336.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.3333333333321, 333.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, 329.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, 323.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.3333333333321, 320.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.3333333333321, 317.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1098.6666666666665, 312.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, 309.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.3333333333321, 306.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1101.3333333333319, 303.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.9999999999993, 296.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1108.6666666666663, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.9999999999993, 289.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1113.9999999999993, 285.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1114.6666666666663, 281.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1118.6666666666663, 279.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1117.9999999999993, 275.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1117.9999999999993, 269.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.3333333333314, 264.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.3333333333314, 261.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.9999999999993, 257.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.3333333333326, 254.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.3333333333326, 249.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.3333333333314, 243.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.3333333333326, 241.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.6666666666658, 237.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1122.6666666666665, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.3333333333323, 227.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.3333333333323, 224.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.3333333333323, 217.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1137.3333333333319, 217.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1139.3333333333323, 208.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.3333333333312, 207.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.3333333333312, 213.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.9999999999998, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1148.6666666666656, 216.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1151.9999999999998, 215.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1154.6666666666663, 217.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1156.6666666666667, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1157.9999999999998, 207.70370370370347))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1161.9999999999998, 207.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1165.3333333333321, 205.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1163.9999999999993, 201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1163.3333333333321, 199.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1166.6666666666661, 197.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1165.9999999999984, 191.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.9999999999991, 190.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1177.5555555555554, 195.65432098765405))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1181.1111111111102, 192.49382716049371))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1183.4814814814808, 196.24691358024683))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1188.4197530864192, 195.65432098765405))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1191.9999999999993, 191.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1195.3333333333319, 196.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1193.3333333333321, 203.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1200.6666666666661, 203.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1207.3333333333323, 203.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1215.3333333333321, 201.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1216.6666666666658, 205.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1222.6666666666667, 201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1225.9999999999984, 205.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1233.3333333333323, 205.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1236.6666666666661, 204.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1241.3333333333321, 206.66666666666646))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.3333333333319, 207.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1253.3333333333321, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1259.3333333333323, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1263.3333333333323, 208.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1269.3333333333321, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1273.9999999999984, 209.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1278.6666666666658, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1285.9999999999977, 211.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1295.3333333333323, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1302.6666666666658, 213.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1309.3333333333317, 211.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1314.6666666666663, 209.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1317.3333333333319, 207.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1323.3333333333321, 206.66666666666646))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1324.6666666666658, 200.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1327.3333333333317, 198.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1332.6666666666663, 197.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1337.3333333333319, 198.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1338.6666666666663, 195.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1334.6666666666658, 193.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1334.6666666666658, 189.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1335.3333333333323, 185.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1336.6666666666658, 181.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1341.3333333333321, 180.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1345.3333333333321, 183.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1347.3333333333328, 180.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1351.3333333333319, 177.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1355.3333333333321, 173.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1357.3333333333326, 175.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1363.9999999999984, 176.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1365.9999999999998, 181.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1368.6666666666663, 186.66666666666623))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1363.3333333333328, 187.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1359.3333333333321, 190.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1359.3333333333321, 195.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1356.6666666666658, 198.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1352.6666666666661, 204.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1349.3333333333321, 208.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1345.3333333333321, 208.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1340.6666666666658, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1340.6666666666658, 219.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1337.3333333333319, 219.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1333.3333333333328, 225.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1333.3333333333328, 231.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1323.3333333333321, 231.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1317.3333333333319, 233.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1309.3333333333317, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1301.9999999999989, 236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1296.6666666666663, 237.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1290.6666666666661, 237.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1282.6666666666658, 237.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1273.9999999999984, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1268.6666666666658, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1262.6666666666658, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1251.9999999999989, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1249.9999999999989, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.3333333333319, 230))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1238.6666666666661, 229.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1230.6666666666658, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1225.3333333333319, 230))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1217.3333333333323, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1209.9999999999993, 232.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1207.3333333333323, 227.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.9999999999993, 226.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.3333333333323, 230))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1191.3333333333323, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1186.6666666666652, 230))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1182.6666666666663, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1179.3333333333323, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1175.3333333333319, 232.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1170.6666666666667, 233.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1164.6666666666661, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1159.3333333333317, 229.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1151.9999999999998, 229.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1146.6666666666661, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1141.9999999999995, 233.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1139.9999999999991, 236.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1135.3333333333319, 241.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1133.3333333333323, 245.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1133.3333333333323, 249.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1132.6666666666658, 253.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.3333333333323, 255.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.9999999999993, 258.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.3333333333323, 265.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.3333333333323, 270.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.9999999999995, 273.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1130.6666666666667, 278.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1131.9999999999995, 285.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1134.6666666666663, 287.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1137.9999999999991, 290.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1141.3333333333319, 296.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1146.6666666666661, 294.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.9999999999993, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.9999999999995, 301.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.9999999999995, 306.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.9999999999995, 310.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1159.9999999999993, 316.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1166.6666666666661, 313.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1166.6666666666661, 317.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.3333333333323, 315.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1176, 318.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1179.9999999999993, 315.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1181.3333333333317, 311.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1185.9999999999993, 307.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1187.3333333333323, 303.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1192.6666666666663, 299.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1193.9999999999993, 296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.3333333333323, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1203.9999999999993, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1203.9999999999993, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1207.3333333333323, 295.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1214.6666666666663, 298.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1219.3333333333328, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1223.9999999999989, 294.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1226.6666666666663, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.9999999999986, 288.66666666666572))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1238.6666666666661, 287.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1241.9999999999995, 290))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1245.9999999999991, 287.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1248.6666666666663, 289.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1261.9999999999982, 285.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1252.6666666666658, 282.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1259.3333333333323, 280.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1267.9999999999986, 279.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1273.3333333333328, 279.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1280.6666666666667, 280.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1283.9999999999993, 284))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1283.9999999999993, 287.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1283.3333333333319, 291.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1281.3333333333319, 293.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1280.6666666666667, 298))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1277.9999999999995, 299.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1271.3333333333321, 296))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1268.6666666666658, 290.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1266.6666666666658, 293.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1261.3333333333319, 293.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1255.9999999999984, 295.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1255.3333333333321, 299.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1251.9999999999989, 303.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.9999999999993, 304.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1243.3333333333319, 311.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1242.6666666666667, 313.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1235.9999999999989, 319.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1233.3333333333323, 320.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1229.9999999999991, 323.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1224.6666666666663, 325.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1218.6666666666661, 325.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1216.6666666666658, 329.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1212.6666666666663, 328.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1209.9999999999993, 334.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1206.6666666666665, 339.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1200.6666666666661, 340.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.3333333333323, 338.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1193.9999999999993, 335.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.3333333333319, 333.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1187.3333333333323, 337.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.9999999999993, 339.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1193.9999999999993, 339.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1195.9999999999993, 343.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.9999999999993, 348.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1199.3333333333319, 352.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1207.3333333333323, 352.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1210.6666666666658, 357.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1215.3333333333321, 361.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1219.3333333333328, 367.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1218.6666666666661, 373.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1222.6666666666667, 377.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1225.3333333333319, 379.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1228.6666666666658, 383.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1234.6666666666663, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.3333333333319, 389.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1235.3333333333317, 395.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1241.9999999999995, 397.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1237.9999999999989, 401.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1233.3333333333323, 398.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.9999999999986, 404))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.3333333333319, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1229.9999999999991, 410.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1227.9999999999991, 413.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1230.6666666666658, 419.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1233.3333333333323, 421.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1237.9999999999989, 421.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1240.6666666666661, 425.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1243.9999999999984, 425.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1245.3333333333323, 430.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1249.3333333333319, 429.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1248.6666666666663, 435.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1249.9999999999989, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1256.6666666666658, 440.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1260.6666666666663, 443.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1261.3333333333319, 449.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.9999999999993, 455.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1251.3333333333321, 455.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1247.3333333333319, 451.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1241.3333333333321, 454))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.9999999999986, 455.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1227.9999999999991, 455.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1222.6666666666667, 457.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1221.3333333333323, 462.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1220.6666666666658, 465.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1225.3333333333319, 471.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1217.3333333333323, 475.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1213.3333333333319, 472.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1209.9999999999993, 471.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1205.9999999999993, 473.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1201.9999999999989, 470.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1197.3333333333323, 469.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1194.6666666666658, 461.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1196.6666666666663, 458.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1198.6666666666658, 447.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1202.6666666666661, 439.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1194.6666666666658, 435.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1190.6666666666663, 434.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1186.6666666666652, 429.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1185.3333333333328, 426.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1179.3333333333323, 426.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1178.6666666666658, 422.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1174.6666666666658, 424.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1174.6666666666658, 421.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.3333333333323, 415.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1167.9999999999998, 410.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1167.9999999999998, 406.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.9999999999991, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1177.9999999999993, 397.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1176, 396.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1175.3333333333319, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1177.3333333333323, 389.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1175.3333333333319, 381.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1175.3333333333319, 377.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1176.6666666666663, 374.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1173.9999999999993, 371.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1169.9999999999995, 373.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1165.3333333333321, 371.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1159.3333333333317, 371.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.3333333333328, 373.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1151.9999999999998, 377.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.3333333333323, 381.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1142.6666666666667, 383.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1138.6666666666663, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1138.6666666666663, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1141.3333333333319, 393.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.3333333333312, 399.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.3333333333328, 400.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1148.6666666666656, 404.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.3333333333323, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1146.6666666666661, 415.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.9999999999989, 425.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.9999999999993, 427.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1144.6666666666658, 434.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.3333333333312, 442))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.3333333333323, 449.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.6666666666658, 446.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1144.6666666666658, 454.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.9999999999998, 463.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.9999999999993, 465.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1146.6666666666661, 466.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1142.6666666666667, 471.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.6666666666658, 479.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1141.3333333333319, 490.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.3333333333328, 490.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.3333333333328, 495.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.3333333333319, 508.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.9999999999993, 501.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1137.9999999999991, 503.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.9999999999993, 506.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1125.3333333333323, 503.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1122.6666666666665, 506))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.6666666666658, 511.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1115.3333333333319, 512.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1112.6666666666665, 509.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.3333333333317, 507.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1103.3333333333323, 506))
		end

	maluka_utara_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1465.3333333333323, 198.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1471.9999999999989, 183.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1469.9999999999989, 181.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1472.6666666666656, 175.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1471.9999999999989, 171.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1476.6666666666663, 168.66666666666623))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1480.6666666666658, 163.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1486.6666666666656, 157.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.9999999999984, 150.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1495.9999999999984, 151.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1492.6666666666661, 157.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 162.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1486.6666666666656, 164.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.3333333333328, 170.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1493.9999999999986, 173.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1493.9999999999986, 177.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1495.3333333333328, 179.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1492.6666666666661, 185.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1492.6666666666661, 190.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 195.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1488.6666666666665, 199.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1483.9999999999986, 200))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1479.3333333333319, 203.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1477.9999999999984, 209.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1481.3333333333323, 213.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.3333333333328, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 211.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.9999999999984, 207.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1493.3333333333328, 201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 201.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1501.3333333333326, 197.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1497.3333333333323, 194.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 190.66666666666634))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1508.6666666666661, 185.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1513.9999999999991, 181.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1514.6666666666652, 184.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1520.6666666666661, 180.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1524.6666666666652, 180.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1523.9999999999986, 183.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1523.9999999999986, 187.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1527.3333333333326, 188.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1523.9999999999986, 193.33333333333309))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1524.6666666666652, 200.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1524.6666666666652, 204.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1521.3333333333326, 203.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1517.3333333333319, 207.99999999999983))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1511.3333333333321, 209.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1505.9999999999989, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1503.9999999999984, 215.99999999999972))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1502.6666666666661, 218.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1505.9999999999989, 222.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1512.6666666666663, 224.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1519.3333333333326, 225.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1524.6666666666652, 227.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1523.9999999999986, 235.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1527.999999999998, 237.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1531.3333333333317, 239.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1533.3333333333328, 243.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1527.999999999998, 240.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1520.6666666666661, 239.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1516.6666666666654, 237.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1514.6666666666652, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1505.9999999999989, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1493.9999999999986, 230.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 231.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.9999999999998, 235.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1486.6666666666656, 238.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 241.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.333333333333, 246.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.3333333333328, 249.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1488.6666666666665, 254))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1490.6666666666654, 259.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1492.6666666666661, 267.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1497.3333333333323, 275.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 279.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1503.3333333333321, 285.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1513.1604938271587, 293.03703703703673))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1502.6913580246896, 290.86419753086398))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1504.2716049382705, 289.08641975308626))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.3333333333321, 286.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1494.6666666666663, 285.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1491.3333333333323, 278.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.9999999999998, 270.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1482.6666666666658, 267.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1478.6666666666663, 263.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1478.6666666666663, 255.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1479.3333333333319, 248.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1480.6666666666658, 237.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1476.6666666666663, 236))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1474.6666666666652, 234.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1471.9999999999989, 228.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1471.3333333333323, 224.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1471.3333333333323, 220.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1474.6666666666652, 218.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1474.6666666666652, 214.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1473.9999999999998, 211.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1468.6666666666658, 212.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1468.6666666666658, 205.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1459.4320987654307, 204.54320987654307))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1465.5555555555538, 202.56790123456767))
		end

	maluku_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1479.9999999999989, 395.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1485.9999999999991, 397.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1494.6666666666663, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 382.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1508.6666666666661, 383.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1515.9999999999989, 380.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1526.6666666666654, 382.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1534.6666666666656, 381.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1540.6666666666656, 378.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1541.3333333333314, 384.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1545.3333333333326, 387.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1549.9999999999984, 385.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1552.6666666666656, 383.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1554.6666666666652, 379.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1562.6666666666654, 378.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1573.9999999999975, 381.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1581.9999999999984, 387.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1587.3333333333323, 388.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1590.6666666666652, 390.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1595.9999999999989, 389.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1600.6666666666656, 391.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1603.9999999999982, 391.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1606.6666666666656, 394.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1612.6666666666656, 399.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1613.3333333333328, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1617.3333333333326, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1620.6666666666658, 412.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1623.9999999999984, 415.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1620.6666666666658, 419.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1621.3333333333314, 425.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1622.6666666666661, 429.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1615.3333333333314, 426.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1611.3333333333319, 424.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1608.6666666666652, 421.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1605.3333333333326, 421.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1599.9999999999991, 417.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1594.6666666666656, 414.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1591.9999999999989, 413.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1581.9999999999984, 411.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1581.9999999999984, 406.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1578.6666666666645, 403.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1573.9999999999975, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1566, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1563.3333333333326, 401.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1559.9999999999993, 402.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1563.9999999999984, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1563.3333333333326, 410.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1556.6666666666661, 408.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1553.3333333333328, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1551.3333333333323, 408.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1543.3333333333328, 404.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1536.6666666666645, 405.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1537.999999999998, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1532.6666666666654, 398.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1530.6666666666649, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1524.6666666666652, 404.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1523.9999999999986, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1518.6666666666654, 407.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1509.9999999999991, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1504.6666666666654, 398.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1500.6666666666663, 400))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1499.9999999999991, 397.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1500.6666666666663, 392.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1495.9999999999984, 396.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1494.6666666666663, 404))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1490.6666666666654, 407.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1489.9999999999984, 412.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1488.6666666666665, 404))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1487.3333333333328, 401.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1483.9999999999986, 399.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1479.3333333333319, 401.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1475.3333333333323, 399.33333333333292))
		end

	timor_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1287.3333333333326, 727.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1287.9999999999998, 717.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1294.6666666666656, 715.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1299.9999999999995, 711.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1295.9999999999986, 709.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1291.3333333333314, 711.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1290.6666666666661, 705.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1295.3333333333323, 703.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1292.6666666666661, 699.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1295.9999999999986, 698.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1293.9999999999993, 692.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1309.3333333333317, 679.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1316.6666666666667, 678.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1318.6666666666663, 674.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1330.6666666666658, 671.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1338.6666666666663, 670.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1340.6666666666658, 665.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1353.3333333333323, 661.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1359.9999999999982, 652.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1359.9999999999982, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1363.9999999999984, 645.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1371.9999999999986, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1377.9999999999989, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1395.3333333333321, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1402, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1408.6666666666663, 640.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1415.9999999999993, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1419.3333333333323, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1424.6666666666658, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1432.6666666666658, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1437.3333333333317, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1444.6666666666656, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1449.9999999999998, 635.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1454.6666666666656, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1461.9999999999991, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1455.3333333333323, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1453.9999999999984, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1449.9999999999998, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1449.3333333333328, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1443.9999999999995, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1439.3333333333319, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1435.9999999999984, 650.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1427.9999999999991, 653.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1424.6666666666658, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1423.9999999999984, 662.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1409.3333333333323, 662.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1403.9999999999995, 664.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1397.3333333333326, 670.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1394.6666666666658, 669.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1389.3333333333323, 670.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1383.9999999999993, 670.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1375.3333333333326, 675.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1370.6666666666658, 676.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1360.6666666666654, 682.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1356.6666666666658, 685.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1355.9999999999991, 691.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1351.3333333333319, 697.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1344.6666666666661, 703.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1337.9999999999991, 707.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1334.6666666666658, 711.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1327.9999999999984, 716.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1321.3333333333314, 716.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1315.9999999999984, 716.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1312, 721.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1303.9999999999986, 723.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1298.6666666666663, 726.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1293.3333333333323, 729.33333333333303))
		end

	wetar_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1392.6666666666663, 615.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1393.3333333333326, 610.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1395.9999999999991, 608.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1398.6666666666658, 602.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1409.3333333333323, 605.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1415.9999999999993, 602.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1422, 599.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1429.3333333333326, 597.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1431.9999999999998, 601.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1438.6666666666658, 601.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1439.3333333333319, 605.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1435.3333333333328, 605.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1428.6666666666654, 607.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1425.9999999999991, 609.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1423.3333333333328, 615.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1419.9999999999993, 614.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1413.9999999999989, 614.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1409.9999999999993, 614.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1405.3333333333323, 611.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1400.6666666666649, 612.6666666666664))
		end

	not_named_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1312, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1307.3333333333321, 637.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1309.3333333333317, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1314.6666666666663, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1315.3333333333319, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1324.6666666666658, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1328.6666666666656, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1330.6666666666658, 623.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1337.3333333333319, 622.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1339.3333333333319, 627.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1343.3333333333317, 624.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1349.3333333333321, 625.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1358.6666666666661, 623.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1361.9999999999984, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1361.3333333333321, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1351.3333333333319, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1347.3333333333328, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1341.9999999999984, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1336.6666666666658, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1335.3333333333323, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1326.6666666666665, 637.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1327.9999999999984, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1325.3333333333314, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1321.3333333333314, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1319.9999999999998, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1313.3333333333323, 642.6666666666664))
		end

	nusa_tenggara_timor_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.3333333333326, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.3333333333323, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1133.3333333333323, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1135.9999999999984, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1146.6666666666661, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1150.6666666666661, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1155.9999999999989, 629.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1163.9999999999993, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.9999999999991, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1180.6666666666658, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1184.6666666666658, 640.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.3333333333319, 643.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1195.9999999999993, 645.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1201.9999999999989, 639.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1206.6666666666665, 639.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1208.6666666666667, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1211.3333333333323, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1217.3333333333323, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1223.9999999999989, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1231.3333333333319, 645.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1239.3333333333326, 645.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1242.6666666666667, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1239.9999999999993, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1243.9999999999984, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1250.6666666666663, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.3333333333323, 632.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1259.9999999999995, 629.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1260.6666666666663, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1256.6666666666658, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1254.6666666666658, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1252.6666666666658, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1253.9999999999993, 623.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.9999999999993, 619.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1261.9999999999982, 622.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1263.9999999999986, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1267.3333333333317, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1271.3333333333321, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1277.9999999999995, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1281.3333333333319, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1288.6666666666663, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1289.9999999999989, 631.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1293.9999999999993, 628.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1299.9999999999995, 625.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1305.3333333333314, 628.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1299.9999999999995, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1296.6666666666663, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1290.6666666666661, 637.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1291.3333333333314, 642.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1287.3333333333326, 640.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1281.9999999999991, 644.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1280.6666666666667, 641.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1275.3333333333319, 642.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1278.6666666666658, 638.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1285.3333333333314, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1277.9999999999995, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1271.9999999999989, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1269.9999999999993, 640.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1265.3333333333321, 640.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1261.9999999999982, 645.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1257.3333333333323, 643.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1249.9999999999989, 646.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1242.6666666666667, 649.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1233.3333333333323, 651.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1225.9999999999984, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1223.3333333333323, 653.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1216.6666666666658, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1209.9999999999993, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1201.9999999999989, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1190.6666666666663, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1189.9999999999993, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1187.3333333333323, 659.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1183.3333333333321, 659.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1175.3333333333319, 662.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1171.3333333333323, 662.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1167.9999999999998, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1165.9999999999984, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1163.3333333333321, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1158.6666666666658, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1155.9999999999989, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1148.6666666666656, 653.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.3333333333323, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1143.3333333333312, 656.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.6666666666658, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1136.6666666666663, 652.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1126.6666666666665, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1125.3333333333323, 657.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1123.9999999999993, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1119.3333333333314, 653.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1118.6666666666663, 645.3333333333328))
		end

	sumba_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (1080.6666666666665, 691.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1081.9999999999991, 686.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1091.3333333333321, 681.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.9999999999993, 681.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1100.6666666666658, 681.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1104.6666666666654, 679.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1109.9999999999993, 679.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1114.6666666666663, 681.33333333333348))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1117.3333333333319, 682.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1125.3333333333323, 677.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1132.6666666666658, 683.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1135.9999999999984, 687.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1138.6666666666663, 685.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.6666666666658, 687.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1139.3333333333323, 692.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1141.9999999999995, 695.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1147.3333333333328, 691.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1151.3333333333321, 697.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1153.9999999999995, 695.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1157.9999999999998, 703.33333333333258))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1160.6666666666658, 707.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1164.6666666666661, 709.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1166.6666666666661, 711.99999999999966))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1164.6666666666661, 714.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1161.3333333333321, 718.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1157.3333333333323, 721.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1155.3333333333319, 718.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1151.3333333333321, 719.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1149.9999999999993, 724.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1145.3333333333323, 720.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1140.6666666666658, 721.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1135.9999999999984, 721.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1129.9999999999993, 717.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1128.6666666666665, 714.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1125.9999999999993, 709.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1121.3333333333321, 707.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1116.6666666666665, 705.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1113.9999999999993, 702.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.3333333333319, 699.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.9999999999989, 699.99999999999909))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1104.6666666666654, 698.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1101.9999999999993, 700.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1098.6666666666665, 699.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1093.9999999999989, 699.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1088.6666666666663, 697.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1085.3333333333326, 696.66666666666629))
		end

	nusa_tenggara_barat_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (980.66666666666629, 664.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (979.99999999999898, 656.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (983.99999999999989, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (981.33333333333212, 648.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (985.33333333333292, 642.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (991.33333333333292, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (997.33333333333258, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.6666666666662, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1010.6666666666662, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1013.9999999999999, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1013.9999999999999, 625.99999999999943))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, 625.33333333333303))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, 628.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1017.9999999999992, 629.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.6666666666659, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.9999999999992, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.3333333333322, 643.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1026.6666666666665, 643.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1027.3333333333326, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1035.3333333333328, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1039.9999999999989, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1045.3333333333328, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1048.6666666666663, 646.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1044.6666666666658, 643.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1041.3333333333326, 637.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036.6666666666658, 639.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1031.9999999999998, 635.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1025.3333333333323, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1025.3333333333323, 624.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1033.9999999999995, 621.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1042.6666666666658, 622.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.3333333333323, 627.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1048.6666666666663, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1053.3333333333323, 633.99999999999898))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1059.3333333333323, 629.33333333333269))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1071.3333333333321, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.3333333333328, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1080.6666666666665, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1084.6666666666661, 636.66666666666629))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1085.3333333333326, 641.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.3333333333326, 645.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1087.3333333333326, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1088.6666666666663, 644.04938271604863))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1092.0246913580233, 645.62962962962911))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1090.2469135802464, 647.40740740740739))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1090.6666666666656, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1082.6666666666661, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.3333333333323, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1074.6666666666663, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1079.9999999999995, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1077.9999999999995, 656.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1069.9999999999993, 655.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1066.6666666666663, 652.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1063.9999999999995, 655.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1057.9999999999993, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1054.6666666666661, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1055.9999999999993, 653.33333333333235))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1055.3333333333323, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1050.6666666666663, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1048.6666666666663, 654.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.9999999999995, 656.66666666666561))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1036.6666666666658, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1030.6666666666661, 661.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1025.9999999999998, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, 662.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1016.6666666666659, 660.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1011.333333333332, 662.00000000000011))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1007.333333333332, 661.33333333333292))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1003.3333333333329, 663.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (999.9999999999992, 667.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (994.66666666666617, 667.99999999999977))
			Result.extend_point (create {EV_COORDINATE}.make_precise (988.66666666666572, 665.99999999999909))
		end

	praya_barat_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (921.33333333333246, 652.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (926.66666666666629, 647.99999999999886))
			Result.extend_point (create {EV_COORDINATE}.make_precise (930.66666666666595, 653.9999999999992))
			Result.extend_point (create {EV_COORDINATE}.make_precise (939.33333333333212, 651.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (946.66666666666549, 652.66666666666617))
			Result.extend_point (create {EV_COORDINATE}.make_precise (949.99999999999898, 645.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (947.33333333333235, 637.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (955.33333333333292, 633.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (963.33333333333246, 626.66666666666595))
			Result.extend_point (create {EV_COORDINATE}.make_precise (969.99999999999943, 630.6666666666664))
			Result.extend_point (create {EV_COORDINATE}.make_precise (975.33333333333223, 631.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (979.33333333333258, 634.66666666666583))
			Result.extend_point (create {EV_COORDINATE}.make_precise (975.33333333333223, 643.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (970.66666666666549, 651.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (973.33333333333269, 655.3333333333328))
			Result.extend_point (create {EV_COORDINATE}.make_precise (969.99999999999943, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (963.99999999999932, 660.66666666666674))
			Result.extend_point (create {EV_COORDINATE}.make_precise (955.99999999999909, 658.66666666666606))
			Result.extend_point (create {EV_COORDINATE}.make_precise (951.33333333333178, 655.99999999999955))
			Result.extend_point (create {EV_COORDINATE}.make_precise (945.33333333333223, 657.99999999999932))
			Result.extend_point (create {EV_COORDINATE}.make_precise (940.66666666666583, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (933.9999999999992, 657.33333333333314))
			Result.extend_point (create {EV_COORDINATE}.make_precise (926.66666666666629, 655.99999999999955))
		end

	puerto_princesa_imp: EV_MODEL_POLYGON
			-- Make the polygon
		do
			create Result
				-- Points generated by Grabber application
			Result.extend_point (create {EV_COORDINATE}.make_precise (999.9999999999992, -129.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1002.6666666666661, -139.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1008.6666666666662, -147.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1011.9999999999992, -153.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1019.3333333333322, -157.33333333333337))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1021.3333333333318, -161.99999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1025.3333333333323, -161.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1029.3333333333323, -169.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1033.3333333333323, -173.33333333333334))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1037.3333333333323, -171.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1044.6666666666658, -179.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1049.3333333333323, -184.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1051.9999999999989, -189.99999999999997))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1057.9999999999993, -191.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1064.6666666666661, -200.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1070.6666666666661, -209.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1073.9999999999998, -210.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.3333333333328, -215.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1079.3333333333323, -215.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.3333333333326, -221.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1079.9999999999995, -223.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1083.3333333333326, -230.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1091.9999999999998, -231.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1096.6666666666658, -233.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1097.9999999999998, -238.66666666666654))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1093.3333333333328, -247.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1095.9999999999993, -255.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1099.3333333333323, -253.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1099.9999999999993, -259.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1102.6666666666663, -267.3333333333332))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1105.3333333333319, -270.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1106.6666666666663, -266.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.9999999999989, -260.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1108.6666666666663, -255.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1112.6666666666665, -253.99999999999986))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1108.6666666666663, -248.66666666666654))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1109.3333333333319, -243.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.9999999999993, -235.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1115.3333333333319, -231.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1120.6666666666658, -235.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1127.9999999999998, -231.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1117.9999999999993, -225.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1111.9999999999993, -227.33333333333323))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1107.9999999999989, -222.66666666666652))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1102.6666666666663, -221.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1094.6666666666663, -215.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1094.6666666666663, -208.66666666666654))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1075.9999999999986, -203.99999999999991))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1071.9999999999998, -201.99999999999989))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1069.9999999999993, -197.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1072.6666666666667, -193.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1068.6666666666663, -186.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1063.9999999999995, -179.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1059.9999999999991, -179.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1057.9999999999993, -172.66666666666666))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1049.3333333333323, -166.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1043.9999999999995, -165.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1039.9999999999989, -158.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1032.6666666666658, -156.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1031.3333333333319, -151.33333333333331))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1026.6666666666665, -148.66666666666663))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1023.3333333333322, -144.66666666666657))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1015.9999999999987, -145.33333333333326))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1012.6666666666657, -137.99999999999994))
			Result.extend_point (create {EV_COORDINATE}.make_precise (1007.333333333332, -135.99999999999989))
		end

invariant

	is_valid_sea_area: attached target_imp implies sea_area = game.indonesia

end
